/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 2

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 30 "parser.yy"


#define yyerror Lily_parser::parser_error

/* We use custom location type: Input objects */
#define YYLTYPE Input
#define YYSTYPE SCM
#define YYLLOC_DEFAULT(Current,Rhs,N) \
	((Current).set_location ((Rhs)[1], (Rhs)[N]))

#define YYPRINT(file, type, value)					\
	do {								\
		if (scm_is_eq (value, SCM_UNSPECIFIED))			\
			break;						\
		SCM s = Display::value_to_lily_string (value);		\
		char *p = scm_to_locale_string (s);			\
		fputs (p, file);					\
		free (p);						\
	} while (0)


#define lookup_identifier(x) lookup_identifier_symbol (ly_symbol2scm (x))

#line 101 "parser.yy"
 // -*-Fundamental-*-

/*
FIXME:

   * The rules for who is protecting what are very shady.  Uniformise
     this.

   * There are too many lexical modes?
*/

#include "config.hh"

#include <cctype>
#include <cstdlib>
#include <cstdio>

#include "book.hh"
#include "context.hh"
#include "context-def.hh"
#include "context-mod.hh"
#include "dimensions.hh"
#include "file-path.hh"
#include "input.hh"
#include "international.hh"
#include "lily-guile.hh"
#include "lily-lexer.hh"
#include "lily-parser.hh"
#include "ly-module.hh"
#include "ly-scm-list.hh"
#include "misc.hh"
#include "music.hh"
#include "output-def.hh"
#include "scm-hash.hh"
#include "score.hh"
#include "std-vector.hh"
#include "text-interface.hh"
#include "warn.hh"
#include "lily-imports.hh"

void
Lily_parser::parser_error (Input const *i, Lily_parser *parser, SCM *, const std::string &s)
{
	parser->parser_error (*i, s);
}

// The following are somewhat precarious constructs as they may change
// the value of the lookahead token.  That implies that the lookahead
// token must not yet have made an impact on the state stack other
// than causing the reduction of the current rule, or switching the
// lookahead token while Bison is mulling it over will cause trouble.

#define MYBACKUP(Token, Value, Location)				\
	do {								\
		if (yychar != YYEMPTY)					\
			parser->lexer_->push_extra_token		\
				(yylloc, yychar, yylval);		\
		parser->lexer_->push_extra_token			\
			(Location, Token, Value);			\
		parser->lexer_->push_extra_token (Location, BACKUP);	\
		yychar = YYEMPTY;					\
	} while (0)


#define MYREPARSE(Location, Pred, Token, Value)				\
	do {								\
		if (yychar != YYEMPTY)					\
			parser->lexer_->push_extra_token		\
				(yylloc, yychar, yylval);		\
		parser->lexer_->push_extra_token			\
			(Location, Token, Value);			\
		parser->lexer_->push_extra_token			\
			(Location, REPARSE, Pred);			\
		yychar = YYEMPTY;					\
	} while (0)

#line 180 "parser.yy"


#define MY_MAKE_MUSIC(x, spot) \
	make_music_with_input (ly_symbol2scm (x), \
			       parser->lexer_->override_input (spot))

/* ES TODO:
- delay application of the function
*/

#define LOWLEVEL_MAKE_SYNTAX(location, proc, ...)			\
	with_location							\
		(parser->lexer_->override_input (location).smobbed_copy (), \
		 proc,							\
		 ##__VA_ARGS__)

/* Syntactic Sugar. */
#define MAKE_SYNTAX(name, location, ...)				\
	LOWLEVEL_MAKE_SYNTAX (location, Syntax::name, ##__VA_ARGS__)

#define START_MAKE_SYNTAX(name, ...)					\
	ly_list (Syntax::name, ##__VA_ARGS__)

#define FINISH_MAKE_SYNTAX(start, location, ...)			\
	LOWLEVEL_MAKE_SYNTAX						\
		(location,						\
		 Guile_user::apply,					\
		 scm_car (start),					\
		 scm_append_x						\
		 (ly_list (scm_cdr (start),				\
		           ly_list (__VA_ARGS__))))

#undef _
#if !HAVE_GETTEXT
#define _(x) x
#else
#include <libintl.h>
#define _(x) gettext (x)
#endif

using std::string;

static Music *make_music_with_input (SCM name, Input where);
bool add_post_events (Music *music, SCM events);
SCM reverse_music_list (Lily_parser *parser, Input loc, SCM lst, bool preserve, bool compress);
SCM check_scheme_arg (Lily_parser *parser, Input loc,
		      SCM arg, SCM args, SCM pred, SCM disp = SCM_UNDEFINED);
SCM make_music_from_simple (Lily_parser *parser, Input loc, SCM pitch);
SCM loc_on_copy (Lily_parser *parser, Input loc, SCM arg);
SCM make_chord_elements (Input loc, SCM pitch, SCM dur, SCM modification_list);
SCM make_chord_step (SCM step, Rational alter);
SCM make_simple_markup (SCM a);
SCM make_duration (SCM t, int dots = 0, SCM factor = SCM_UNDEFINED);
bool is_regular_identifier (SCM id, bool multiple=false);
SCM make_reverse_key_list (SCM keys);
SCM try_word_variants (SCM pred, SCM str);
SCM try_string_variants (SCM pred, SCM str);
SCM post_event_cons (SCM ev, SCM tail);
void property_path_dot_warning (Input loc, SCM lst);
int yylex (YYSTYPE *s, YYLTYPE *loc, Lily_parser *parser);


// generated code may trigger conversion warnings
#pragma GCC diagnostic ignored "-Wconversion"

// generated code triggers a false positive in GCC 11
// https://gcc.gnu.org/bugzilla/show_bug.cgi?id=98753
#pragma GCC diagnostic ignored "-Wfree-nonheap-object"

// generated code contains some old-style casts
#pragma GCC diagnostic ignored "-Wold-style-cast"

// generated `int yynerrs = 0;` triggers this in Clang >= 15
#pragma GCC diagnostic ignored "-Wunused-but-set-variable"

// generated code contains some useless casts
#if !defined(__clang__)
#pragma GCC diagnostic ignored "-Wuseless-cast"
#endif


#line 254 "./out/parser.cc"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "parser.hh"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of input"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_PREC_BOT = 3,                   /* PREC_BOT  */
  YYSYMBOL_COMPOSITE = 4,                  /* COMPOSITE  */
  YYSYMBOL_5_ = 5,                         /* ':'  */
  YYSYMBOL_6_ = 6,                         /* '^'  */
  YYSYMBOL_7___ = 7,                       /* '_'  */
  YYSYMBOL_8_ = 8,                         /* '!'  */
  YYSYMBOL_9_ = 9,                         /* '\''  */
  YYSYMBOL_10_ = 10,                       /* ','  */
  YYSYMBOL_PREC_TOP = 11,                  /* PREC_TOP  */
  YYSYMBOL_ACCEPTS = 12,                   /* "\\accepts"  */
  YYSYMBOL_ADDLYRICS = 13,                 /* "\\addlyrics"  */
  YYSYMBOL_ALIAS = 14,                     /* "\\alias"  */
  YYSYMBOL_ALTERNATIVE = 15,               /* "\\alternative"  */
  YYSYMBOL_BOOK = 16,                      /* "\\book"  */
  YYSYMBOL_BOOKPART = 17,                  /* "\\bookpart"  */
  YYSYMBOL_CHANGE = 18,                    /* "\\change"  */
  YYSYMBOL_CHORDMODE = 19,                 /* "\\chordmode"  */
  YYSYMBOL_CHORDS = 20,                    /* "\\chords"  */
  YYSYMBOL_CONSISTS = 21,                  /* "\\consists"  */
  YYSYMBOL_CONTEXT = 22,                   /* "\\context"  */
  YYSYMBOL_DEFAULT = 23,                   /* "\\default"  */
  YYSYMBOL_DEFAULTCHILD = 24,              /* "\\defaultchild"  */
  YYSYMBOL_DENIES = 25,                    /* "\\denies"  */
  YYSYMBOL_DESCRIPTION = 26,               /* "\\description"  */
  YYSYMBOL_DRUMMODE = 27,                  /* "\\drummode"  */
  YYSYMBOL_DRUMS = 28,                     /* "\\drums"  */
  YYSYMBOL_ETC = 29,                       /* "\\etc"  */
  YYSYMBOL_FIGUREMODE = 30,                /* "\\figuremode"  */
  YYSYMBOL_FIGURES = 31,                   /* "\\figures"  */
  YYSYMBOL_HEADER = 32,                    /* "\\header"  */
  YYSYMBOL_INVALID = 33,                   /* "\\version-error"  */
  YYSYMBOL_LAYOUT = 34,                    /* "\\layout"  */
  YYSYMBOL_LYRICMODE = 35,                 /* "\\lyricmode"  */
  YYSYMBOL_LYRICS = 36,                    /* "\\lyrics"  */
  YYSYMBOL_LYRICSTO = 37,                  /* "\\lyricsto"  */
  YYSYMBOL_MARKUP = 38,                    /* "\\markup"  */
  YYSYMBOL_MARKUPLIST = 39,                /* "\\markuplist"  */
  YYSYMBOL_MIDI = 40,                      /* "\\midi"  */
  YYSYMBOL_NAME = 41,                      /* "\\name"  */
  YYSYMBOL_NOTEMODE = 42,                  /* "\\notemode"  */
  YYSYMBOL_OVERRIDE = 43,                  /* "\\override"  */
  YYSYMBOL_PAPER = 44,                     /* "\\paper"  */
  YYSYMBOL_REMOVE = 45,                    /* "\\remove"  */
  YYSYMBOL_REPEAT = 46,                    /* "\\repeat"  */
  YYSYMBOL_REST = 47,                      /* "\\rest"  */
  YYSYMBOL_REVERT = 48,                    /* "\\revert"  */
  YYSYMBOL_SCORE = 49,                     /* "\\score"  */
  YYSYMBOL_SCORELINES = 50,                /* "\\score-lines"  */
  YYSYMBOL_SEQUENTIAL = 51,                /* "\\sequential"  */
  YYSYMBOL_SET = 52,                       /* "\\set"  */
  YYSYMBOL_SIMULTANEOUS = 53,              /* "\\simultaneous"  */
  YYSYMBOL_TEMPO = 54,                     /* "\\tempo"  */
  YYSYMBOL_TYPE = 55,                      /* "\\type"  */
  YYSYMBOL_UNSET = 56,                     /* "\\unset"  */
  YYSYMBOL_WITH = 57,                      /* "\\with"  */
  YYSYMBOL_NEWCONTEXT = 58,                /* "\\new"  */
  YYSYMBOL_CHORD_BASS = 59,                /* "/+"  */
  YYSYMBOL_CHORD_CARET = 60,               /* "^"  */
  YYSYMBOL_CHORD_COLON = 61,               /* ":"  */
  YYSYMBOL_CHORD_MINUS = 62,               /* "-"  */
  YYSYMBOL_CHORD_SLASH = 63,               /* "/"  */
  YYSYMBOL_ANGLE_OPEN = 64,                /* "<"  */
  YYSYMBOL_ANGLE_CLOSE = 65,               /* ">"  */
  YYSYMBOL_DOUBLE_ANGLE_OPEN = 66,         /* "<<"  */
  YYSYMBOL_DOUBLE_ANGLE_CLOSE = 67,        /* ">>"  */
  YYSYMBOL_E_BACKSLASH = 68,               /* "\\\\"  */
  YYSYMBOL_E_EXCLAMATION = 69,             /* "\\!"  */
  YYSYMBOL_E_PLUS = 70,                    /* "\\+"  */
  YYSYMBOL_EXTENDER = 71,                  /* "__"  */
  YYSYMBOL_FIGURE_CLOSE = 72,              /* FIGURE_CLOSE  */
  YYSYMBOL_FIGURE_OPEN = 73,               /* FIGURE_OPEN  */
  YYSYMBOL_FIGURE_SPACE = 74,              /* "_"  */
  YYSYMBOL_FIGURE_ALTERATION_EXPR = 75,    /* FIGURE_ALTERATION_EXPR  */
  YYSYMBOL_HYPHEN = 76,                    /* "--"  */
  YYSYMBOL_MULTI_MEASURE_REST = 77,        /* MULTI_MEASURE_REST  */
  YYSYMBOL_E_UNSIGNED = 78,                /* E_UNSIGNED  */
  YYSYMBOL_UNSIGNED = 79,                  /* UNSIGNED  */
  YYSYMBOL_EXPECT_MARKUP = 80,             /* "markup?"  */
  YYSYMBOL_EXPECT_SCM = 81,                /* "scheme?"  */
  YYSYMBOL_BACKUP = 82,                    /* "(backed-up?)"  */
  YYSYMBOL_REPARSE = 83,                   /* "(reparsed?)"  */
  YYSYMBOL_EXPECT_MARKUP_LIST = 84,        /* "markup-list?"  */
  YYSYMBOL_EXPECT_OPTIONAL = 85,           /* "optional?"  */
  YYSYMBOL_EXPECT_NO_MORE_ARGS = 86,       /* EXPECT_NO_MORE_ARGS  */
  YYSYMBOL_EMBEDDED_LILY = 87,             /* "#{"  */
  YYSYMBOL_BOOK_IDENTIFIER = 88,           /* BOOK_IDENTIFIER  */
  YYSYMBOL_CHORD_MODIFIER = 89,            /* CHORD_MODIFIER  */
  YYSYMBOL_CHORD_REPETITION = 90,          /* CHORD_REPETITION  */
  YYSYMBOL_DRUM_PITCH = 91,                /* DRUM_PITCH  */
  YYSYMBOL_DURATION_ARG = 92,              /* DURATION_ARG  */
  YYSYMBOL_DURATION_IDENTIFIER = 93,       /* DURATION_IDENTIFIER  */
  YYSYMBOL_EVENT_IDENTIFIER = 94,          /* EVENT_IDENTIFIER  */
  YYSYMBOL_EVENT_FUNCTION = 95,            /* EVENT_FUNCTION  */
  YYSYMBOL_FRACTION = 96,                  /* FRACTION  */
  YYSYMBOL_LOOKUP_IDENTIFIER = 97,         /* LOOKUP_IDENTIFIER  */
  YYSYMBOL_LYRIC_ELEMENT = 98,             /* LYRIC_ELEMENT  */
  YYSYMBOL_MARKUP_FUNCTION = 99,           /* MARKUP_FUNCTION  */
  YYSYMBOL_MARKUP_LIST_FUNCTION = 100,     /* MARKUP_LIST_FUNCTION  */
  YYSYMBOL_MARKUP_IDENTIFIER = 101,        /* MARKUP_IDENTIFIER  */
  YYSYMBOL_MARKUPLIST_IDENTIFIER = 102,    /* MARKUPLIST_IDENTIFIER  */
  YYSYMBOL_MUSIC_FUNCTION = 103,           /* MUSIC_FUNCTION  */
  YYSYMBOL_MUSIC_IDENTIFIER = 104,         /* MUSIC_IDENTIFIER  */
  YYSYMBOL_NOTENAME_PITCH = 105,           /* NOTENAME_PITCH  */
  YYSYMBOL_NUMBER_IDENTIFIER = 106,        /* NUMBER_IDENTIFIER  */
  YYSYMBOL_PITCH_IDENTIFIER = 107,         /* PITCH_IDENTIFIER  */
  YYSYMBOL_REAL = 108,                     /* REAL  */
  YYSYMBOL_RESTNAME = 109,                 /* RESTNAME  */
  YYSYMBOL_SCM_ARG = 110,                  /* SCM_ARG  */
  YYSYMBOL_SCM_FUNCTION = 111,             /* SCM_FUNCTION  */
  YYSYMBOL_SCM_IDENTIFIER = 112,           /* SCM_IDENTIFIER  */
  YYSYMBOL_SCM_TOKEN = 113,                /* SCM_TOKEN  */
  YYSYMBOL_STRING = 114,                   /* STRING  */
  YYSYMBOL_SYMBOL_LIST = 115,              /* SYMBOL_LIST  */
  YYSYMBOL_TONICNAME_PITCH = 116,          /* TONICNAME_PITCH  */
  YYSYMBOL_SYMBOL = 117,                   /* SYMBOL  */
  YYSYMBOL_118_ = 118,                     /* '-'  */
  YYSYMBOL_119_ = 119,                     /* '+'  */
  YYSYMBOL_UNARY_MINUS = 120,              /* UNARY_MINUS  */
  YYSYMBOL_121_ = 121,                     /* '.'  */
  YYSYMBOL_122_ = 122,                     /* '{'  */
  YYSYMBOL_123_ = 123,                     /* '}'  */
  YYSYMBOL_124_ = 124,                     /* '='  */
  YYSYMBOL_125_ = 125,                     /* '*'  */
  YYSYMBOL_126_ = 126,                     /* ']'  */
  YYSYMBOL_127_ = 127,                     /* '/'  */
  YYSYMBOL_128_ = 128,                     /* '['  */
  YYSYMBOL_129_ = 129,                     /* '?'  */
  YYSYMBOL_YYACCEPT = 130,                 /* $accept  */
  YYSYMBOL_start_symbol = 131,             /* start_symbol  */
  YYSYMBOL_132_1 = 132,                    /* $@1  */
  YYSYMBOL_lilypond = 133,                 /* lilypond  */
  YYSYMBOL_toplevel_expression = 134,      /* toplevel_expression  */
  YYSYMBOL_lookup = 135,                   /* lookup  */
  YYSYMBOL_embedded_scm_bare = 136,        /* embedded_scm_bare  */
  YYSYMBOL_embedded_scm_active = 137,      /* embedded_scm_active  */
  YYSYMBOL_embedded_scm_bare_arg = 138,    /* embedded_scm_bare_arg  */
  YYSYMBOL_embedded_scm = 139,             /* embedded_scm  */
  YYSYMBOL_embedded_scm_arg = 140,         /* embedded_scm_arg  */
  YYSYMBOL_scm_function_call = 141,        /* scm_function_call  */
  YYSYMBOL_embedded_lilypond_number = 142, /* embedded_lilypond_number  */
  YYSYMBOL_embedded_lilypond = 143,        /* embedded_lilypond  */
  YYSYMBOL_lilypond_header_body = 144,     /* lilypond_header_body  */
  YYSYMBOL_lilypond_header = 145,          /* lilypond_header  */
  YYSYMBOL_header_block = 146,             /* header_block  */
  YYSYMBOL_147_2 = 147,                    /* $@2  */
  YYSYMBOL_assignment_id = 148,            /* assignment_id  */
  YYSYMBOL_assignment = 149,               /* assignment  */
  YYSYMBOL_identifier_init = 150,          /* identifier_init  */
  YYSYMBOL_identifier_init_nonumber = 151, /* identifier_init_nonumber  */
  YYSYMBOL_partial_function_scriptable = 152, /* partial_function_scriptable  */
  YYSYMBOL_partial_function = 153,         /* partial_function  */
  YYSYMBOL_context_def_spec_block = 154,   /* context_def_spec_block  */
  YYSYMBOL_context_mod_arg = 155,          /* context_mod_arg  */
  YYSYMBOL_156_3 = 156,                    /* $@3  */
  YYSYMBOL_context_def_spec_body = 157,    /* context_def_spec_body  */
  YYSYMBOL_book_block = 158,               /* book_block  */
  YYSYMBOL_book_body = 159,                /* book_body  */
  YYSYMBOL_160_4 = 160,                    /* $@4  */
  YYSYMBOL_bookpart_block = 161,           /* bookpart_block  */
  YYSYMBOL_bookpart_body = 162,            /* bookpart_body  */
  YYSYMBOL_163_5 = 163,                    /* $@5  */
  YYSYMBOL_score_block = 164,              /* score_block  */
  YYSYMBOL_score_body = 165,               /* score_body  */
  YYSYMBOL_score_item = 166,               /* score_item  */
  YYSYMBOL_score_items = 167,              /* score_items  */
  YYSYMBOL_168_6 = 168,                    /* $@6  */
  YYSYMBOL_paper_block = 169,              /* paper_block  */
  YYSYMBOL_output_def = 170,               /* output_def  */
  YYSYMBOL_output_def_head = 171,          /* output_def_head  */
  YYSYMBOL_output_def_head_with_mode_switch = 172, /* output_def_head_with_mode_switch  */
  YYSYMBOL_music_or_context_def = 173,     /* music_or_context_def  */
  YYSYMBOL_output_def_body = 174,          /* output_def_body  */
  YYSYMBOL_175_7 = 175,                    /* $@7  */
  YYSYMBOL_tempo_event = 176,              /* tempo_event  */
  YYSYMBOL_music_list = 177,               /* music_list  */
  YYSYMBOL_braced_music_list = 178,        /* braced_music_list  */
  YYSYMBOL_music = 179,                    /* music  */
  YYSYMBOL_pitch_as_music = 180,           /* pitch_as_music  */
  YYSYMBOL_music_embedded = 181,           /* music_embedded  */
  YYSYMBOL_music_embedded_backup = 182,    /* music_embedded_backup  */
  YYSYMBOL_music_assign = 183,             /* music_assign  */
  YYSYMBOL_repeated_music = 184,           /* repeated_music  */
  YYSYMBOL_alternative_music = 185,        /* alternative_music  */
  YYSYMBOL_sequential_music = 186,         /* sequential_music  */
  YYSYMBOL_simultaneous_music = 187,       /* simultaneous_music  */
  YYSYMBOL_simple_music = 188,             /* simple_music  */
  YYSYMBOL_context_modification = 189,     /* context_modification  */
  YYSYMBOL_190_8 = 190,                    /* $@8  */
  YYSYMBOL_context_modification_arg = 191, /* context_modification_arg  */
  YYSYMBOL_optional_context_mods = 192,    /* optional_context_mods  */
  YYSYMBOL_context_modification_mods_list = 193, /* context_modification_mods_list  */
  YYSYMBOL_context_mod_list = 194,         /* context_mod_list  */
  YYSYMBOL_context_prefix = 195,           /* context_prefix  */
  YYSYMBOL_new_lyrics = 196,               /* new_lyrics  */
  YYSYMBOL_basic_music = 197,              /* basic_music  */
  YYSYMBOL_contextable_music = 198,        /* contextable_music  */
  YYSYMBOL_contexted_basic_music = 199,    /* contexted_basic_music  */
  YYSYMBOL_composite_music = 200,          /* composite_music  */
  YYSYMBOL_music_bare = 201,               /* music_bare  */
  YYSYMBOL_grouped_music_list = 202,       /* grouped_music_list  */
  YYSYMBOL_symbol_list_arg = 203,          /* symbol_list_arg  */
  YYSYMBOL_symbol_list_rev = 204,          /* symbol_list_rev  */
  YYSYMBOL_symbol_list_part = 205,         /* symbol_list_part  */
  YYSYMBOL_symbol_list_element = 206,      /* symbol_list_element  */
  YYSYMBOL_symbol_list_part_bare = 207,    /* symbol_list_part_bare  */
  YYSYMBOL_function_arglist_nonbackup = 208, /* function_arglist_nonbackup  */
  YYSYMBOL_reparsed_rhythm = 209,          /* reparsed_rhythm  */
  YYSYMBOL_function_arglist_nonbackup_reparse = 210, /* function_arglist_nonbackup_reparse  */
  YYSYMBOL_function_arglist_backup = 211,  /* function_arglist_backup  */
  YYSYMBOL_function_arglist = 212,         /* function_arglist  */
  YYSYMBOL_function_arglist_skip_nonbackup = 213, /* function_arglist_skip_nonbackup  */
  YYSYMBOL_function_arglist_partial = 214, /* function_arglist_partial  */
  YYSYMBOL_function_arglist_partial_optional = 215, /* function_arglist_partial_optional  */
  YYSYMBOL_function_arglist_common = 216,  /* function_arglist_common  */
  YYSYMBOL_function_arglist_common_reparse = 217, /* function_arglist_common_reparse  */
  YYSYMBOL_function_arglist_optional = 218, /* function_arglist_optional  */
  YYSYMBOL_function_arglist_skip_backup = 219, /* function_arglist_skip_backup  */
  YYSYMBOL_music_function_call = 220,      /* music_function_call  */
  YYSYMBOL_optional_id = 221,              /* optional_id  */
  YYSYMBOL_lyric_mode_music = 222,         /* lyric_mode_music  */
  YYSYMBOL_223_9 = 223,                    /* $@9  */
  YYSYMBOL_mode_changed_music = 224,       /* mode_changed_music  */
  YYSYMBOL_mode_changing_head = 225,       /* mode_changing_head  */
  YYSYMBOL_mode_changing_head_with_context = 226, /* mode_changing_head_with_context  */
  YYSYMBOL_context_change = 227,           /* context_change  */
  YYSYMBOL_property_path = 228,            /* property_path  */
  YYSYMBOL_property_operation = 229,       /* property_operation  */
  YYSYMBOL_revert_arg = 230,               /* revert_arg  */
  YYSYMBOL_revert_arg_backup = 231,        /* revert_arg_backup  */
  YYSYMBOL_revert_arg_part = 232,          /* revert_arg_part  */
  YYSYMBOL_context_def_mod = 233,          /* context_def_mod  */
  YYSYMBOL_context_mod = 234,              /* context_mod  */
  YYSYMBOL_grob_prop_spec = 235,           /* grob_prop_spec  */
  YYSYMBOL_grob_prop_path = 236,           /* grob_prop_path  */
  YYSYMBOL_context_prop_spec = 237,        /* context_prop_spec  */
  YYSYMBOL_simple_revert_context = 238,    /* simple_revert_context  */
  YYSYMBOL_music_property_def = 239,       /* music_property_def  */
  YYSYMBOL_string = 240,                   /* string  */
  YYSYMBOL_text = 241,                     /* text  */
  YYSYMBOL_simple_string = 242,            /* simple_string  */
  YYSYMBOL_symbol = 243,                   /* symbol  */
  YYSYMBOL_scalar = 244,                   /* scalar  */
  YYSYMBOL_event_chord = 245,              /* event_chord  */
  YYSYMBOL_note_chord_element = 246,       /* note_chord_element  */
  YYSYMBOL_chord_body = 247,               /* chord_body  */
  YYSYMBOL_chord_body_elements = 248,      /* chord_body_elements  */
  YYSYMBOL_chord_body_element = 249,       /* chord_body_element  */
  YYSYMBOL_music_function_chord_body = 250, /* music_function_chord_body  */
  YYSYMBOL_event_function_event = 251,     /* event_function_event  */
  YYSYMBOL_post_events = 252,              /* post_events  */
  YYSYMBOL_post_event_nofinger = 253,      /* post_event_nofinger  */
  YYSYMBOL_post_event = 254,               /* post_event  */
  YYSYMBOL_string_number_event = 255,      /* string_number_event  */
  YYSYMBOL_direction_less_event = 256,     /* direction_less_event  */
  YYSYMBOL_direction_reqd_event = 257,     /* direction_reqd_event  */
  YYSYMBOL_octave_check = 258,             /* octave_check  */
  YYSYMBOL_quotes = 259,                   /* quotes  */
  YYSYMBOL_erroneous_quotes = 260,         /* erroneous_quotes  */
  YYSYMBOL_sup_quotes = 261,               /* sup_quotes  */
  YYSYMBOL_sub_quotes = 262,               /* sub_quotes  */
  YYSYMBOL_steno_pitch = 263,              /* steno_pitch  */
  YYSYMBOL_steno_tonic_pitch = 264,        /* steno_tonic_pitch  */
  YYSYMBOL_pitch = 265,                    /* pitch  */
  YYSYMBOL_pitch_or_tonic_pitch = 266,     /* pitch_or_tonic_pitch  */
  YYSYMBOL_gen_text_def = 267,             /* gen_text_def  */
  YYSYMBOL_fingering = 268,                /* fingering  */
  YYSYMBOL_script_abbreviation = 269,      /* script_abbreviation  */
  YYSYMBOL_script_dir = 270,               /* script_dir  */
  YYSYMBOL_maybe_notemode_duration = 271,  /* maybe_notemode_duration  */
  YYSYMBOL_optional_notemode_duration = 272, /* optional_notemode_duration  */
  YYSYMBOL_steno_duration = 273,           /* steno_duration  */
  YYSYMBOL_duration = 274,                 /* duration  */
  YYSYMBOL_dots = 275,                     /* dots  */
  YYSYMBOL_multiplier_scm = 276,           /* multiplier_scm  */
  YYSYMBOL_multipliers = 277,              /* multipliers  */
  YYSYMBOL_tremolo_type = 278,             /* tremolo_type  */
  YYSYMBOL_bass_number = 279,              /* bass_number  */
  YYSYMBOL_bass_figure = 280,              /* bass_figure  */
  YYSYMBOL_figured_bass_modification = 281, /* figured_bass_modification  */
  YYSYMBOL_br_bass_figure = 282,           /* br_bass_figure  */
  YYSYMBOL_figure_list = 283,              /* figure_list  */
  YYSYMBOL_optional_rest = 284,            /* optional_rest  */
  YYSYMBOL_pitch_or_music = 285,           /* pitch_or_music  */
  YYSYMBOL_simple_element = 286,           /* simple_element  */
  YYSYMBOL_lyric_element = 287,            /* lyric_element  */
  YYSYMBOL_lyric_element_music = 288,      /* lyric_element_music  */
  YYSYMBOL_new_chord = 289,                /* new_chord  */
  YYSYMBOL_chord_items = 290,              /* chord_items  */
  YYSYMBOL_chord_separator = 291,          /* chord_separator  */
  YYSYMBOL_chord_item = 292,               /* chord_item  */
  YYSYMBOL_step_numbers = 293,             /* step_numbers  */
  YYSYMBOL_step_number = 294,              /* step_number  */
  YYSYMBOL_tempo_range = 295,              /* tempo_range  */
  YYSYMBOL_number_expression = 296,        /* number_expression  */
  YYSYMBOL_number_term = 297,              /* number_term  */
  YYSYMBOL_number_factor = 298,            /* number_factor  */
  YYSYMBOL_bare_number_common = 299,       /* bare_number_common  */
  YYSYMBOL_bare_number = 300,              /* bare_number  */
  YYSYMBOL_exact_unsigned_number = 301,    /* exact_unsigned_number  */
  YYSYMBOL_unsigned_integer = 302,         /* unsigned_integer  */
  YYSYMBOL_exclamations = 303,             /* exclamations  */
  YYSYMBOL_questions = 304,                /* questions  */
  YYSYMBOL_full_markup_list = 305,         /* full_markup_list  */
  YYSYMBOL_306_10 = 306,                   /* $@10  */
  YYSYMBOL_markup_mode = 307,              /* markup_mode  */
  YYSYMBOL_markup_mode_word = 308,         /* markup_mode_word  */
  YYSYMBOL_full_markup = 309,              /* full_markup  */
  YYSYMBOL_partial_markup = 310,           /* partial_markup  */
  YYSYMBOL_markup_top = 311,               /* markup_top  */
  YYSYMBOL_markup_scm = 312,               /* markup_scm  */
  YYSYMBOL_313_11 = 313,                   /* $@11  */
  YYSYMBOL_markup_list = 314,              /* markup_list  */
  YYSYMBOL_markup_uncomposed_list = 315,   /* markup_uncomposed_list  */
  YYSYMBOL_316_12 = 316,                   /* $@12  */
  YYSYMBOL_markup_composed_list = 317,     /* markup_composed_list  */
  YYSYMBOL_markup_braced_list = 318,       /* markup_braced_list  */
  YYSYMBOL_markup_braced_list_body = 319,  /* markup_braced_list_body  */
  YYSYMBOL_markup_command_list = 320,      /* markup_command_list  */
  YYSYMBOL_markup_command_basic_arguments = 321, /* markup_command_basic_arguments  */
  YYSYMBOL_322_13 = 322,                   /* $@13  */
  YYSYMBOL_markup_command_list_arguments = 323, /* markup_command_list_arguments  */
  YYSYMBOL_markup_partial_function = 324,  /* markup_partial_function  */
  YYSYMBOL_markup_arglist_partial = 325,   /* markup_arglist_partial  */
  YYSYMBOL_markup_head_1_item = 326,       /* markup_head_1_item  */
  YYSYMBOL_markup_head_1_list = 327,       /* markup_head_1_list  */
  YYSYMBOL_markup_word = 328,              /* markup_word  */
  YYSYMBOL_simple_markup = 329,            /* simple_markup  */
  YYSYMBOL_simple_markup_noword = 330,     /* simple_markup_noword  */
  YYSYMBOL_331_14 = 331,                   /* $@14  */
  YYSYMBOL_markup = 332                    /* markup  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  5
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   4834

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  130
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  203
/* YYNRULES -- Number of rules.  */
#define YYNRULES  613
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  908

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   367


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     8,     2,     2,     2,     2,     2,     9,
       2,     2,   125,   119,    10,   118,   121,   127,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     5,     2,
       2,   124,     2,   129,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   128,     2,   126,     6,     7,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   122,     2,   123,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   120
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   408,   408,   409,   409,   417,   418,   420,   422,   425,
     432,   435,   439,   443,   451,   455,   459,   463,   467,   471,
     506,   522,   523,   531,   535,   539,   540,   541,   545,   546,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   566,   567,   568,   572,   573,   574,   578,   585,   589,
     590,   598,   605,   606,   607,   612,   624,   642,   646,   654,
     655,   658,   662,   671,   677,   677,   688,   692,   699,   703,
     708,   723,   724,   725,   729,   733,   749,   750,   751,   752,
     753,   754,   755,   756,   757,   758,   759,   760,   761,   762,
     763,   773,   777,   781,   785,   789,   793,   797,   801,   805,
     812,   813,   823,   833,   843,   853,   857,   861,   865,   870,
     880,   886,   895,   908,   910,   910,   922,   925,   935,   946,
     974,   986,   996,   999,  1003,  1007,  1011,  1015,  1019,  1023,
    1027,  1057,  1056,  1060,  1069,  1077,  1082,  1085,  1088,  1092,
    1096,  1100,  1104,  1108,  1139,  1138,  1145,  1153,  1160,  1177,
    1183,  1184,  1185,  1190,  1193,  1254,  1253,  1276,  1290,  1300,
    1306,  1311,  1320,  1332,  1333,  1337,  1344,  1348,  1376,  1383,
    1382,  1399,  1405,  1408,  1411,  1420,  1423,  1427,  1437,  1443,
    1444,  1445,  1449,  1461,  1462,  1463,  1467,  1471,  1486,  1504,
    1505,  1509,  1513,  1520,  1526,  1529,  1535,  1538,  1546,  1547,
    1548,  1553,  1552,  1560,  1579,  1580,  1588,  1602,  1605,  1618,
    1621,  1625,  1639,  1642,  1648,  1651,  1673,  1674,  1675,  1676,
    1677,  1680,  1687,  1688,  1689,  1693,  1700,  1704,  1711,  1712,
    1713,  1720,  1721,  1722,  1726,  1727,  1784,  1785,  1789,  1796,
    1797,  1801,  1810,  1811,  1823,  1827,  1832,  1841,  1848,  1849,
    1853,  1865,  1871,  1877,  1884,  1888,  1898,  1902,  1906,  1910,
    1914,  1918,  1926,  1940,  1957,  1968,  1979,  1996,  2013,  2026,
    2049,  2067,  2068,  2077,  2087,  2103,  2119,  2128,  2155,  2166,
    2176,  2195,  2206,  2216,  2230,  2245,  2260,  2275,  2285,  2290,
    2295,  2300,  2307,  2308,  2315,  2316,  2335,  2339,  2343,  2347,
    2354,  2358,  2362,  2366,  2373,  2376,  2383,  2388,  2393,  2398,
    2403,  2408,  2418,  2423,  2428,  2433,  2440,  2458,  2469,  2480,
    2498,  2516,  2530,  2553,  2565,  2581,  2590,  2591,  2595,  2599,
    2600,  2607,  2615,  2616,  2628,  2628,  2635,  2639,  2650,  2661,
    2666,  2671,  2676,  2683,  2690,  2694,  2699,  2705,  2712,  2719,
    2725,  2728,  2731,  2742,  2771,  2778,  2790,  2791,  2795,  2799,
    2807,  2808,  2810,  2811,  2812,  2814,  2815,  2816,  2817,  2821,
    2822,  2825,  2828,  2845,  2853,  2868,  2891,  2923,  2941,  2950,
    2953,  2962,  2973,  2974,  2975,  2979,  2980,  2981,  2982,  2993,
    2994,  2995,  3007,  3010,  3016,  3032,  3033,  3034,  3035,  3043,
    3047,  3048,  3052,  3059,  3066,  3070,  3074,  3075,  3080,  3098,
    3104,  3111,  3112,  3119,  3145,  3155,  3171,  3175,  3176,  3177,
    3181,  3188,  3191,  3197,  3200,  3212,  3217,  3222,  3232,  3239,
    3246,  3256,  3257,  3264,  3272,  3273,  3276,  3281,  3285,  3288,
    3304,  3305,  3310,  3313,  3314,  3319,  3326,  3329,  3335,  3338,
    3344,  3359,  3370,  3371,  3382,  3383,  3387,  3392,  3398,  3405,
    3413,  3421,  3424,  3427,  3430,  3433,  3436,  3439,  3445,  3446,
    3447,  3451,  3454,  3462,  3470,  3478,  3484,  3490,  3493,  3499,
    3500,  3505,  3508,  3515,  3523,  3536,  3539,  3551,  3552,  3553,
    3554,  3555,  3570,  3574,  3585,  3589,  3618,  3626,  3629,  3632,
    3635,  3641,  3644,  3651,  3654,  3660,  3661,  3669,  3728,  3748,
    3755,  3771,  3776,  3781,  3786,  3790,  3800,  3806,  3813,  3816,
    3822,  3825,  3828,  3831,  3837,  3840,  3843,  3849,  3850,  3856,
    3859,  3862,  3868,  3871,  3883,  3886,  3889,  3893,  3896,  3899,
    3905,  3908,  3912,  3913,  3914,  3921,  3922,  3923,  3929,  3930,
    3939,  3952,  3953,  3962,  3974,  3975,  3991,  3992,  4003,  4002,
    4011,  4027,  4036,  4040,  4047,  4055,  4058,  4063,  4070,  4069,
    4086,  4089,  4093,  4096,  4099,  4103,  4103,  4119,  4126,  4132,
    4133,  4136,  4142,  4148,  4151,  4162,  4162,  4183,  4186,  4189,
    4192,  4198,  4199,  4205,  4209,  4217,  4221,  4225,  4231,  4235,
    4239,  4246,  4252,  4255,  4261,  4262,  4266,  4270,  4274,  4274,
    4287,  4290,  4297,  4302
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of input\"", "error", "\"invalid token\"", "PREC_BOT",
  "COMPOSITE", "':'", "'^'", "'_'", "'!'", "'\\''", "','", "PREC_TOP",
  "\"\\\\accepts\"", "\"\\\\addlyrics\"", "\"\\\\alias\"",
  "\"\\\\alternative\"", "\"\\\\book\"", "\"\\\\bookpart\"",
  "\"\\\\change\"", "\"\\\\chordmode\"", "\"\\\\chords\"",
  "\"\\\\consists\"", "\"\\\\context\"", "\"\\\\default\"",
  "\"\\\\defaultchild\"", "\"\\\\denies\"", "\"\\\\description\"",
  "\"\\\\drummode\"", "\"\\\\drums\"", "\"\\\\etc\"", "\"\\\\figuremode\"",
  "\"\\\\figures\"", "\"\\\\header\"", "\"\\\\version-error\"",
  "\"\\\\layout\"", "\"\\\\lyricmode\"", "\"\\\\lyrics\"",
  "\"\\\\lyricsto\"", "\"\\\\markup\"", "\"\\\\markuplist\"",
  "\"\\\\midi\"", "\"\\\\name\"", "\"\\\\notemode\"", "\"\\\\override\"",
  "\"\\\\paper\"", "\"\\\\remove\"", "\"\\\\repeat\"", "\"\\\\rest\"",
  "\"\\\\revert\"", "\"\\\\score\"", "\"\\\\score-lines\"",
  "\"\\\\sequential\"", "\"\\\\set\"", "\"\\\\simultaneous\"",
  "\"\\\\tempo\"", "\"\\\\type\"", "\"\\\\unset\"", "\"\\\\with\"",
  "\"\\\\new\"", "\"/+\"", "\"^\"", "\":\"", "\"-\"", "\"/\"", "\"<\"",
  "\">\"", "\"<<\"", "\">>\"", "\"\\\\\\\\\"", "\"\\\\!\"", "\"\\\\+\"",
  "\"__\"", "FIGURE_CLOSE", "FIGURE_OPEN", "\"_\"",
  "FIGURE_ALTERATION_EXPR", "\"--\"", "MULTI_MEASURE_REST", "E_UNSIGNED",
  "UNSIGNED", "\"markup?\"", "\"scheme?\"", "\"(backed-up?)\"",
  "\"(reparsed?)\"", "\"markup-list?\"", "\"optional?\"",
  "EXPECT_NO_MORE_ARGS", "\"#{\"", "BOOK_IDENTIFIER", "CHORD_MODIFIER",
  "CHORD_REPETITION", "DRUM_PITCH", "DURATION_ARG", "DURATION_IDENTIFIER",
  "EVENT_IDENTIFIER", "EVENT_FUNCTION", "FRACTION", "LOOKUP_IDENTIFIER",
  "LYRIC_ELEMENT", "MARKUP_FUNCTION", "MARKUP_LIST_FUNCTION",
  "MARKUP_IDENTIFIER", "MARKUPLIST_IDENTIFIER", "MUSIC_FUNCTION",
  "MUSIC_IDENTIFIER", "NOTENAME_PITCH", "NUMBER_IDENTIFIER",
  "PITCH_IDENTIFIER", "REAL", "RESTNAME", "SCM_ARG", "SCM_FUNCTION",
  "SCM_IDENTIFIER", "SCM_TOKEN", "STRING", "SYMBOL_LIST",
  "TONICNAME_PITCH", "SYMBOL", "'-'", "'+'", "UNARY_MINUS", "'.'", "'{'",
  "'}'", "'='", "'*'", "']'", "'/'", "'['", "'?'", "$accept",
  "start_symbol", "$@1", "lilypond", "toplevel_expression", "lookup",
  "embedded_scm_bare", "embedded_scm_active", "embedded_scm_bare_arg",
  "embedded_scm", "embedded_scm_arg", "scm_function_call",
  "embedded_lilypond_number", "embedded_lilypond", "lilypond_header_body",
  "lilypond_header", "header_block", "$@2", "assignment_id", "assignment",
  "identifier_init", "identifier_init_nonumber",
  "partial_function_scriptable", "partial_function",
  "context_def_spec_block", "context_mod_arg", "$@3",
  "context_def_spec_body", "book_block", "book_body", "$@4",
  "bookpart_block", "bookpart_body", "$@5", "score_block", "score_body",
  "score_item", "score_items", "$@6", "paper_block", "output_def",
  "output_def_head", "output_def_head_with_mode_switch",
  "music_or_context_def", "output_def_body", "$@7", "tempo_event",
  "music_list", "braced_music_list", "music", "pitch_as_music",
  "music_embedded", "music_embedded_backup", "music_assign",
  "repeated_music", "alternative_music", "sequential_music",
  "simultaneous_music", "simple_music", "context_modification", "$@8",
  "context_modification_arg", "optional_context_mods",
  "context_modification_mods_list", "context_mod_list", "context_prefix",
  "new_lyrics", "basic_music", "contextable_music",
  "contexted_basic_music", "composite_music", "music_bare",
  "grouped_music_list", "symbol_list_arg", "symbol_list_rev",
  "symbol_list_part", "symbol_list_element", "symbol_list_part_bare",
  "function_arglist_nonbackup", "reparsed_rhythm",
  "function_arglist_nonbackup_reparse", "function_arglist_backup",
  "function_arglist", "function_arglist_skip_nonbackup",
  "function_arglist_partial", "function_arglist_partial_optional",
  "function_arglist_common", "function_arglist_common_reparse",
  "function_arglist_optional", "function_arglist_skip_backup",
  "music_function_call", "optional_id", "lyric_mode_music", "$@9",
  "mode_changed_music", "mode_changing_head",
  "mode_changing_head_with_context", "context_change", "property_path",
  "property_operation", "revert_arg", "revert_arg_backup",
  "revert_arg_part", "context_def_mod", "context_mod", "grob_prop_spec",
  "grob_prop_path", "context_prop_spec", "simple_revert_context",
  "music_property_def", "string", "text", "simple_string", "symbol",
  "scalar", "event_chord", "note_chord_element", "chord_body",
  "chord_body_elements", "chord_body_element", "music_function_chord_body",
  "event_function_event", "post_events", "post_event_nofinger",
  "post_event", "string_number_event", "direction_less_event",
  "direction_reqd_event", "octave_check", "quotes", "erroneous_quotes",
  "sup_quotes", "sub_quotes", "steno_pitch", "steno_tonic_pitch", "pitch",
  "pitch_or_tonic_pitch", "gen_text_def", "fingering",
  "script_abbreviation", "script_dir", "maybe_notemode_duration",
  "optional_notemode_duration", "steno_duration", "duration", "dots",
  "multiplier_scm", "multipliers", "tremolo_type", "bass_number",
  "bass_figure", "figured_bass_modification", "br_bass_figure",
  "figure_list", "optional_rest", "pitch_or_music", "simple_element",
  "lyric_element", "lyric_element_music", "new_chord", "chord_items",
  "chord_separator", "chord_item", "step_numbers", "step_number",
  "tempo_range", "number_expression", "number_term", "number_factor",
  "bare_number_common", "bare_number", "exact_unsigned_number",
  "unsigned_integer", "exclamations", "questions", "full_markup_list",
  "$@10", "markup_mode", "markup_mode_word", "full_markup",
  "partial_markup", "markup_top", "markup_scm", "$@11", "markup_list",
  "markup_uncomposed_list", "$@12", "markup_composed_list",
  "markup_braced_list", "markup_braced_list_body", "markup_command_list",
  "markup_command_basic_arguments", "$@13",
  "markup_command_list_arguments", "markup_partial_function",
  "markup_arglist_partial", "markup_head_1_item", "markup_head_1_list",
  "markup_word", "simple_markup", "simple_markup_noword", "$@14", "markup", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-649)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-599)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
      20,  -649,    90,  1957,  1505,  -649,  -649,  4712,     5,    36,
    -649,  -649,   193,  -649,  -649,  -649,  -649,  -649,  -649,  -649,
    -649,   880,  -649,  -649,  -649,  -649,  -649,   990,    51,    68,
      68,   193,  -649,  -649,   111,   355,  -649,   355,  -649,  -649,
    -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,   203,    -8,
    -649,  -649,  -649,  -649,  -649,  -649,   138,  1842,  -649,  -649,
    -649,  -649,  -649,  4579,   229,  -649,  -649,  -649,  -649,  -649,
    -649,   541,  -649,  -649,  2117,   190,  -649,  -649,   210,   238,
     238,   193,   656,  1267,   698,   990,   698,   698,   565,   698,
     584,  -649,  -649,  -649,  -649,    55,  -649,   215,    55,    55,
    -649,  -649,   404,  -649,  -649,   590,   158,  -649,   158,   219,
      55,   707,  -649,  -649,    59,   158,    89,    35,  -649,  -649,
      97,  -649,  -649,  -649,  -649,  -649,  -649,   311,  -649,  -649,
    -649,  -649,  -649,  -649,  -649,  -649,  3573,   276,   129,  -649,
    -649,  -649,  -649,  -649,  -649,  -649,  -649,    55,  -649,  -649,
     132,  -649,  -649,  -649,    55,  -649,  1103,  -649,  -649,  -649,
     161,  -649,    55,  -649,  -649,  -649,  -649,  4396,  -649,   165,
    -649,  -649,   274,   285,  -649,  -649,  -649,   261,   292,   301,
     304,   294,   308,   726,  -649,  -649,  -649,   721,  -649,  -649,
    -649,   261,  2205,   698,   750,   353,  -649,  -649,   371,  -649,
    -649,   381,  -649,  1733,   344,  -649,   698,  3459,  -649,  -649,
    -649,  -649,  -649,  -649,  4514,   104,   190,  -649,  -649,   229,
    -649,  -649,  -649,  -649,   475,  -649,   541,   438,  -649,  -649,
     516,   722,  -649,  -649,  -649,  -649,  -649,   207,  -649,  -649,
    -649,  -649,  -649,  -649,  2117,  -649,  -649,  3459,  -649,  -649,
    -649,  -649,   368,  -649,  -649,  -649,  -649,  -649,  -649,    63,
    -649,  -649,  -649,   698,   374,  3993,  -649,   698,    63,   397,
    -649,  -649,  -649,  -649,    55,   410,  -649,  -649,  -649,  -649,
     414,  -649,  2079,  1026,  -649,  -649,  -649,  -649,   421,  -649,
    -649,   421,   761,   464,  -649,  -649,   761,   467,  -649,  -649,
    -649,  -649,   546,   551,  -649,  -649,  -649,   761,   482,  -649,
    -649,   215,  -649,  -649,  -649,   698,   698,   355,  -649,  -649,
     238,  -649,  -649,  -649,  -649,  3966,  -649,  -649,   332,  -649,
    1110,  1123,   548,  -649,  -649,  -649,  -649,  -649,  -649,  -649,
    -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  4396,
    -649,   449,   978,   901,  -649,   901,   966,   552,  4527,  -649,
    1997,  -649,  2096,   990,  -649,  -649,  -649,   541,   990,   488,
     480,  -649,   726,  -649,  -649,  -649,  4421,   100,  4316,  -649,
    -649,  -649,  -649,    63,   503,    56,  -649,  3345,   505,   796,
    1120,  1820,  -649,  -649,    63,   466,   235,   144,   162,   272,
    -649,  -649,  -649,  -649,   170,  -649,  -649,   264,  -649,   223,
    -649,  -649,  -649,  -649,  -649,  -649,   475,   294,  -649,  -649,
    -649,   469,   479,   722,   722,   722,  -649,  -649,   722,  -649,
    -649,  1141,   506,  -649,  -649,  -649,  -649,  -649,  -649,  -649,
    -649,   990,  4077,   698,   698,  -649,  3686,  -649,  -649,   698,
     990,   698,    94,   102,  -649,  -649,   436,  3912,  -649,  -649,
     522,  -649,  3799,   489,   969,  -649,  -649,  -649,  -649,  -649,
    -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,
    -649,  -649,   856,  -649,  -649,   873,  -649,  -649,   901,  -649,
     901,   761,   525,  -649,  2775,   874,  2775,   874,  -649,  -649,
    2775,   874,   493,   495,  1386,   901,  -649,   901,   509,  -649,
    -649,   509,  -649,  -649,   -33,  -649,   398,  -649,   901,  1047,
    1047,  1047,  -649,  -649,   966,  -649,  -649,  -649,  -649,   203,
    -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,
    -649,   203,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,
     294,   606,  -649,  -649,  -649,  -649,   203,  -649,  -649,  -649,
     925,   897,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,
     347,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,
    -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,
    -649,   549,  2889,   604,  -649,  -649,   178,  -649,  -649,  -649,
    -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,
     539,  3459,  -649,   529,   435,  -649,   698,   698,   901,   435,
     435,   435,   435,  -649,   294,  -649,  -649,  -649,  4554,   726,
     917,  -649,  -649,  2117,  -649,  -649,  -649,  -649,  -649,  -649,
    -649,  -649,  -649,  -649,  -649,   698,  -649,   698,  -649,   193,
    -649,   304,  -649,  -649,  4672,  -649,  -649,   977,  -649,   507,
    -649,  -649,  -649,   272,  -649,  -649,   179,  -649,  -649,  -649,
    -649,   513,  3993,   515,   761,   573,   761,   574,   120,   558,
    -649,    42,  -649,  -649,   969,  -649,  -649,  -649,  -649,   542,
    4102,   901,   548,   873,  -649,  -649,  -649,  -649,  -649,  -649,
    -649,  -649,  3003,   936,  -649,   761,   587,  2433,  -649,  -649,
    2433,  -649,  2433,  4211,  4211,  -649,  -649,   839,   158,  -649,
      55,  -649,  -649,  -649,  -649,  -649,  1047,   658,  -649,  4554,
    -649,   726,  -649,  -649,  -649,  -649,  -649,  -649,  -649,   609,
    2547,   675,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,
     796,  -649,  -649,  -649,  -649,  -649,   378,  -649,  -649,  -649,
    -649,  -649,  -649,  -649,   421,   698,   698,  -649,  -649,  -649,
    -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,   110,
     124,  -649,  -649,  -649,  -649,  -649,  -649,   627,   917,  -649,
    -649,   581,  -649,  -649,  -649,  -649,  -649,  -649,  4211,  -649,
     698,   698,   981,   981,   981,   981,   982,   981,   982,   761,
     657,   391,   641,   684,  -649,  -649,   969,  -649,  -649,  -649,
     -33,   660,  2319,  -649,  3117,   874,  -649,  -649,  -649,   272,
      43,  -649,  -649,  -649,   626,  -649,  -649,   158,   917,   925,
    -649,  -649,  -649,  -649,  -649,  -649,  -649,   443,  -649,  -649,
    -649,  -649,  -649,  -649,  -649,  -649,  -649,  -649,   449,    63,
      63,  -649,  -649,  1619,  4211,  -649,  -649,  -649,   667,   981,
     981,   981,   982,  1047,  1047,   391,   698,   698,  -649,  -649,
    -649,   936,  2661,  -649,  -649,   671,  -649,   709,  -649,  -649,
    -649,  -649,   901,   643,  -649,   982,   981,  -649,  -649,  -649,
    -649,   901,  -649,  -649,  -649,  -649,  3231,   901
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       5,     3,     0,     0,     0,     1,     8,     0,     0,     0,
     342,   346,     0,   340,   344,   341,   345,     9,   161,   343,
     347,     0,   560,   558,   160,   339,   159,     0,     0,     0,
       0,     0,   175,    13,    21,     0,   232,     0,    25,    18,
      66,    67,   175,     6,    27,    19,    26,    10,     0,     0,
       7,    11,    12,    14,    20,   162,     0,     0,   195,   217,
     218,   235,   234,     0,   228,   229,    15,   219,   233,   216,
     231,     0,   207,    17,     0,   563,    16,    57,   485,   469,
     468,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,   411,   426,   503,   425,   471,   433,   477,   471,   471,
     477,   435,     0,    84,   514,     0,   442,   543,   442,   542,
     471,     0,    24,    23,   513,   442,   512,   470,    43,    41,
     188,    42,    53,     4,    76,    52,   100,     0,    81,    78,
      79,    77,    80,   406,   183,   181,     0,   185,   179,   189,
      89,   190,   200,   199,    85,   198,   407,   471,   437,   431,
     184,   434,   423,   452,   471,   554,   111,   481,   421,   436,
     182,   421,   471,   180,   421,    49,    88,     0,   563,   511,
      87,   193,   121,   135,   392,   393,   394,   332,   389,   390,
     391,   334,     0,     0,   389,   390,   391,     0,   153,   194,
     196,   332,     0,     0,     0,     0,   304,   292,     0,   331,
     248,     0,    47,     0,     0,    65,     0,    64,   165,   171,
     168,   158,   167,   166,     0,     0,     0,   223,   222,   226,
     227,   224,   182,   207,   230,   337,     0,   206,   608,   575,
       0,     0,   604,   605,   579,   568,   562,     0,   565,   571,
     570,   572,   573,   602,     0,   561,   567,    64,   486,   460,
     429,   430,     0,   116,    58,   245,   244,   246,   243,   373,
     239,   247,   242,   374,     0,   107,   377,     0,   376,     0,
     477,   385,   386,   388,   174,     0,   387,   381,   205,   204,
       0,   203,     0,     0,   473,   421,   472,    50,   474,   421,
     509,   475,     0,     0,   420,    92,     0,     0,    91,   446,
     448,   450,   444,   443,   453,   544,   510,     0,     0,    93,
     451,   460,    48,   432,    90,     0,     0,     0,   513,   512,
     470,   188,   175,   179,   184,     0,   421,   511,     0,   421,
     516,     0,   556,   461,   467,   464,   465,   457,   458,   463,
     462,   466,   459,   110,   424,   428,   427,   438,   439,     0,
     456,   476,   187,   403,   421,   508,     0,     0,     0,   122,
       0,   136,     0,     0,   207,   336,   220,     0,     0,     0,
       0,   559,     0,   551,   552,   553,     0,     0,   148,   207,
     177,   197,   176,    22,     0,   326,   271,    64,     0,     0,
       0,     0,   178,    59,   349,     0,   546,   382,   383,   470,
      86,    68,    71,    82,     0,   421,    83,    72,   536,   537,
     545,   541,   384,   164,   170,   163,   225,   334,   207,   338,
     208,     0,     0,     0,     0,     0,   590,   610,     0,   591,
     582,     0,     0,   611,   574,   577,   603,   606,   566,   607,
      70,     0,   114,     0,     0,   375,    64,   469,   468,     0,
       0,     0,     0,     0,   470,   108,   111,   105,   356,   379,
       0,   355,    64,     0,     0,   209,   409,   421,   418,   419,
     417,   412,   415,   416,   455,   454,   554,   410,   492,   487,
     488,   489,     0,   491,   493,   501,   504,   490,   405,   478,
     404,     0,     0,   297,    64,     0,    64,     0,   447,   449,
      64,     0,     0,     0,     0,   187,   186,   408,     0,   521,
     520,     0,   518,   555,   440,   109,     0,   422,   515,     0,
       0,     0,   593,   564,     0,   133,   129,   120,   130,     0,
     124,   125,   123,   157,   126,   128,   127,   146,   142,   134,
     143,     0,   138,   137,   139,   141,   140,   333,   212,   335,
     334,   191,   149,   147,   150,   154,     0,   152,   151,   213,
       0,     0,   322,   323,    30,    28,   316,    29,   319,   320,
     470,    40,    44,   305,    45,    34,    36,    37,    38,    35,
      39,    46,    33,   307,   318,   317,   306,    32,   321,    31,
     328,     0,    64,     0,   477,   259,   236,   261,   257,   256,
     255,   260,   258,   309,   315,   314,   313,   311,   310,   312,
       0,    64,   547,   546,     0,   540,     0,     0,    75,     0,
       0,     0,     0,   214,   334,   153,   153,   601,     0,     0,
       0,   578,   581,     0,   613,   580,   569,   348,   362,   365,
     360,   363,   364,   367,   368,     0,   361,     0,   366,     0,
     112,    41,   113,   119,     0,   118,   369,     0,   117,     0,
     241,   240,   397,   470,   395,   103,     0,   400,   378,   396,
     398,     0,   107,     0,     0,     0,     0,     0,     0,     0,
     106,     0,   104,   380,     0,   548,   549,   550,   172,   532,
     114,   414,   556,   502,   500,   498,   497,   495,   494,   499,
     496,   301,    64,     0,    95,     0,     0,    64,   299,    94,
      64,    96,    64,    64,    64,   523,   522,   517,   442,   557,
     471,   482,   483,   479,   480,   484,     0,   601,   595,   600,
     597,   599,   596,   594,   132,   145,   221,   192,   156,     0,
     329,   330,   291,   290,   289,   287,   288,   324,   308,   325,
       0,   269,   270,   263,   266,   267,   470,   253,   249,   265,
     264,   254,   268,   293,   481,     0,     0,    61,    63,    62,
      60,    69,    74,    73,   535,   534,   538,   539,   215,     0,
       0,   588,   589,   585,   584,   587,   583,     0,     0,   592,
     612,     0,   353,   351,   115,   370,   371,   372,    64,   399,
       0,     0,   101,   105,   102,   296,     0,   296,     0,     0,
       0,     0,     0,     0,   354,   173,     0,   202,   211,   210,
     440,     0,   329,   303,    64,     0,    98,    97,    99,     0,
     529,   526,   524,   519,   525,   527,   441,   442,   598,     0,
     277,   283,   279,   278,   284,   285,   286,   470,   272,   273,
     275,   274,   276,   327,   295,   250,   252,   251,   421,   238,
     237,   609,   576,     0,    64,   350,   402,   401,     0,   298,
     298,   296,     0,     0,     0,     0,     0,     0,   359,   533,
     421,     0,    64,   531,   530,     0,   445,   505,   330,   280,
     282,   281,   262,     0,   352,     0,   298,   600,   599,   358,
     357,   413,   528,   506,   421,   586,    64,   507
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -649,  -649,  -649,  -649,  -649,     6,   242,   -27,  -649,    95,
     325,    19,   647,   -81,  -649,  -411,    17,  -649,  -649,   -40,
    -202,  -173,  -113,   255,    29,    82,  -649,  -649,    21,  -649,
    -649,    15,  -649,  -649,     3,  -229,  -649,  -649,  -649,   413,
       9,  -649,  -649,  -649,  -649,  -649,  -649,    14,   383,   -39,
     717,   -83,  -649,    23,  -649,   230,  -649,  -649,  -649,    34,
    -649,  -649,   -86,  -649,  -649,  -649,   564,   101,  -649,   727,
      26,  -649,   -29,  -336,   -12,    80,  -649,  -128,   146,  -321,
    -649,  -437,    44,  -648,   -45,  -454,  -136,  -649,  -245,  -436,
     -87,   603,  -323,  -649,  -535,  -649,  -649,  -649,  -222,  -649,
    -519,  -649,  -649,  -649,   126,  -649,  -232,   -41,  -649,  -649,
    -394,  -649,    37,    40,  -422,   751,  -649,  -649,  -649,  -649,
    -649,  -649,  -115,   -38,     4,  -649,  -112,  -649,     0,   -76,
    -649,  -649,  -649,  -649,   453,   313,  -649,  -649,   437,  -649,
      50,  -140,   775,   -21,    -1,   -65,  -649,    58,  -649,  -649,
     367,  -649,  -649,  -649,  -649,     1,  -649,  -649,  -240,  -649,
    -649,   133,  -649,  -649,   -56,   167,  -649,   -44,  -268,    32,
    -299,    47,  -239,   393,   212,    12,  -649,   788,     8,    -3,
      27,  -649,  -179,  -649,  -160,  -100,  -649,  -649,  -649,  -649,
    -649,  -180,  -649,  -225,   704,  -208,  -166,   -64,    62,  -216,
     112,  -649,   478
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     2,     4,     3,    43,   118,   119,    45,   572,   235,
     573,   121,   122,   123,   610,   205,   575,    48,    49,    50,
     401,   125,   126,   127,   576,   653,   654,   442,   577,   360,
     529,   578,   362,   541,   579,   377,   555,   378,   556,   532,
     580,    55,    56,   414,    57,   214,   133,   192,    58,   134,
     135,   136,   137,   581,    59,    60,    61,    62,   139,   582,
     280,   281,   226,   227,   690,    63,   224,    64,   219,    65,
     141,    67,    68,   597,   394,   260,   261,   262,   197,   598,
     198,   385,   199,   593,   708,   493,   200,   201,   387,   388,
      69,   364,   366,   367,    70,    71,    72,   142,   395,   656,
     459,   460,   461,   657,   658,   263,   264,   269,   267,   143,
     144,   274,   181,   177,   668,   145,   146,   147,   282,   471,
     472,   148,   352,   149,   517,   151,   152,   346,   720,   301,
     887,   302,   303,   153,   154,   155,   476,   347,   313,   348,
     325,   284,   285,   157,   286,   288,   725,   351,   159,   484,
     485,   700,   486,   283,   904,   222,   161,   162,   163,   164,
     717,   512,   833,   834,   835,   688,   407,   408,   409,   410,
     411,   689,   376,   332,   514,   587,   183,   167,   168,   327,
     589,   236,   237,   432,   238,   239,   422,   240,   241,   431,
     242,   429,   863,   430,   515,   522,   243,   372,   437,   634,
     439,   421,   789
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      76,   169,   254,   158,   370,   160,    53,   131,   150,    44,
     244,    75,    54,   132,   330,    73,   166,   213,    52,   130,
      47,   124,    46,   371,    51,   129,   457,   138,   438,    66,
     212,   170,   304,   128,   402,   291,   165,   701,   140,   310,
     683,   445,   225,   343,   345,   440,   353,   494,   277,   355,
     427,   496,   667,   322,   156,   604,   203,   295,   386,  -382,
     298,   182,   500,    44,   187,   216,   309,   275,   667,   344,
     605,   191,   259,   443,   402,   268,    46,   268,   436,   404,
     169,   202,   158,   502,   160,   276,   131,   150,   506,  -383,
       5,   718,   132,   785,   623,   166,   719,   -86,   130,   120,
     124,   552,   854,   358,   129,   883,   138,     1,   171,   382,
     170,   552,   128,   206,   311,   165,   207,   140,   734,   404,
     382,   252,   265,   740,   741,   552,   791,   172,   792,   -82,
     735,   615,   -54,   156,   270,   326,   245,   417,  -329,   561,
     324,   107,   438,   109,   435,   738,   294,   670,   100,   165,
     601,   608,   813,   350,  -244,   202,   386,   596,   173,   323,
     386,   -83,   884,   670,   218,  -384,   266,   299,   300,   405,
     488,   386,  -246,   188,   490,   674,   427,   854,   120,   675,
     616,   383,  -382,   676,   444,   279,   246,   677,   765,   800,
      42,   326,   436,   370,   785,   470,   324,   419,   627,   628,
     629,   809,   326,   630,   412,   810,   436,   324,   406,   405,
     131,   505,  -383,   345,   507,   323,   132,   671,   232,   166,
     -86,   233,   130,   553,   124,   742,   323,   736,   129,   245,
     403,   321,   193,   861,   170,   204,   128,   415,   344,   518,
     743,   140,   223,   413,   412,  -245,   702,   862,   406,   823,
     131,   342,   -82,   463,   176,   -54,   132,   156,   435,   166,
     208,   420,   130,   180,   124,  -244,   822,   741,   129,   186,
     403,   632,   435,   176,   170,   503,   128,   245,   548,   246,
     487,   140,   375,  -246,   -83,   358,   473,   321,  -384,   248,
     618,   617,   683,   559,   727,   729,   731,   156,   321,   766,
     801,   778,   400,   259,   268,   112,   113,   174,   433,   434,
     175,   728,   730,   732,   247,   456,   733,   249,   666,   667,
     667,   287,   350,   176,   176,   305,   258,   186,   258,   258,
     273,   258,   624,   528,   666,   540,   504,   551,   549,   558,
     314,   612,   400,   343,   427,   814,   615,   458,   621,   583,
     622,   613,   691,   776,   777,   386,  -245,   536,   328,   546,
     375,   294,   359,   531,   799,   542,    44,   633,    44,   533,
      22,   533,   535,   361,   545,   530,   865,   469,   107,    46,
     109,    46,   619,   620,   588,   363,   534,   557,   544,   599,
     606,   600,   607,   571,   772,   773,   779,   780,   365,   323,
     547,   323,   740,   888,   667,   550,   574,   295,   298,   771,
     673,   245,   189,   190,   670,   670,  -392,   790,   551,   586,
     342,   382,   602,   609,   386,  -393,   747,   823,  -394,   805,
     104,   807,   368,   803,   389,   258,   194,   259,   402,   268,
     195,   196,   894,   412,   822,   888,   318,   669,   258,   319,
     370,   787,   571,   748,   390,   749,   583,   855,   583,   412,
     824,   246,   583,   669,   391,   574,   393,   436,   571,   786,
     667,   519,   873,   554,    22,   874,   655,   721,   637,   487,
     323,   574,   659,   404,   856,   292,   857,   672,   418,   293,
     196,   588,   441,   588,   722,    90,   456,   588,   446,   670,
     571,   838,   571,   326,   723,   258,   571,   456,   324,   258,
     112,   113,   456,   574,   613,   574,   250,   251,   728,   574,
     455,   462,   889,   660,   661,   483,   586,   323,   586,   764,
     799,   452,   586,   435,   464,   592,   465,   652,   386,   453,
     386,   107,   489,   109,   156,   495,   156,   678,   497,   890,
     156,   891,   370,   614,   758,   498,   513,   258,   258,   687,
     744,   499,   745,   501,   871,   670,   788,   386,   423,   386,
     770,   786,   790,   405,   516,   774,   775,    22,   866,   867,
     837,   523,   434,   769,   560,   666,   666,   590,   636,   762,
     611,   625,    29,   746,    30,   475,   423,   424,   571,   321,
     425,   626,   426,    22,   681,   186,   703,    32,   412,   787,
     186,   574,   406,   684,   131,   812,    44,   713,   216,   714,
     132,     7,   436,   166,   761,   115,   130,   763,   124,    46,
     750,   798,   129,   309,   403,   612,    34,   802,   170,   804,
     128,   707,   836,   710,   270,   140,   436,   712,   897,   898,
      37,    38,   767,    40,   806,   808,    41,   811,   100,   787,
     816,   156,   768,    42,   583,   730,   732,   733,   825,   758,
     666,   296,   758,   386,   758,   297,   196,   112,   113,   271,
     794,    34,   272,   186,   651,   258,   258,  -598,   278,   793,
     839,   258,   186,   258,   876,    37,   112,   113,   853,   588,
     585,   665,   849,   386,   762,   864,   400,   762,   571,   762,
     412,   412,   680,   571,   669,   669,   571,   682,   571,   571,
     571,   574,   456,   784,   483,   458,   574,   458,   433,   574,
     659,   574,   574,   574,   586,   474,   666,   852,   872,   761,
     875,   881,   761,   892,   761,   386,   571,   885,   895,   704,
     830,   709,   797,   859,   860,   711,   903,   156,   724,   574,
     156,   886,   156,   255,   312,   901,   905,   375,   112,   113,
     174,   664,   818,   175,   788,   543,   229,   255,   253,   687,
     217,   737,   893,   416,   849,   652,   583,   664,   307,   907,
     220,    74,   308,   196,   379,   412,   112,   113,   256,   669,
     373,   257,   428,   424,   571,   877,   425,   585,   426,   585,
     112,   113,   256,   585,   221,   257,   819,   574,    34,   852,
     880,   588,   858,    34,   784,   369,   231,   374,   571,   902,
     571,   194,    37,   112,   113,   384,   196,    37,   112,   113,
     584,   574,   491,   574,   758,   215,   492,   196,   234,   693,
     832,   815,   456,   456,   456,   456,   586,   456,   258,   258,
     169,   412,   158,   879,   160,   669,   131,   150,   758,   692,
     571,   357,   132,   289,   290,   166,    74,   194,   130,   762,
     124,   591,   196,   574,   129,   306,   138,   258,   571,   258,
     170,   176,   128,   878,    22,   165,   592,   140,   508,   509,
     510,   574,   511,   762,   820,   760,    78,    79,    80,   635,
       0,   687,   571,   156,   761,     0,     0,   757,   830,   456,
     456,   456,   329,     0,    74,   574,     0,   455,   831,   331,
     478,     0,   651,     0,     0,   479,     0,   354,   761,     0,
       0,   694,   695,   696,   349,     0,   456,   584,   697,   584,
       0,     0,   869,   584,   870,   705,   899,   900,   120,   706,
     196,   715,   826,     0,   716,   827,   228,   828,   112,   113,
     480,   882,    92,   481,     0,     0,   270,    94,   -55,    96,
      74,     0,     0,    78,    79,    80,     0,   447,   448,   594,
     100,    74,   112,   113,   178,   101,   317,   179,     0,   698,
     699,     0,   106,   107,   108,   109,   194,   258,   258,     0,
     739,   196,   596,   115,    34,   585,   230,   491,   896,   320,
     760,   821,   196,   760,   449,   760,     0,   450,    37,   112,
     113,   232,   757,   451,   233,   757,     0,   757,   664,   664,
       0,   906,   258,   258,     0,   759,   519,   520,   685,    92,
     521,     0,   426,   851,    94,   258,    96,   665,   680,   682,
     704,     0,   709,   705,    22,   848,    34,   868,   196,     0,
       0,    74,   101,   317,    34,   686,   452,     0,     0,     0,
      37,   112,   113,     0,   453,     0,     0,     0,    37,   112,
     113,   795,   678,     0,   796,     0,   320,     0,   477,   454,
     478,   -55,   112,   113,   184,   479,     0,   185,    78,   333,
     334,   335,     0,    74,     0,     0,    74,     0,   258,   258,
       0,     0,     0,   664,   826,   827,   711,   726,   520,     0,
       0,   521,     0,   426,     0,   851,     0,   585,   112,   113,
     480,    22,     0,   481,     0,     0,     0,   848,    74,     0,
      74,   828,     0,     0,   482,   584,     0,     0,    22,     0,
     759,     0,     0,   759,    74,   759,    74,     0,   336,  -473,
    -473,  -473,     0,  -473,     0,     0,     0,     0,    74,    74,
       0,    96,   508,   509,   510,     0,   511,     0,     0,   664,
     228,   229,     0,   850,     0,   760,     0,   101,   102,   270,
      34,     0,     0,     0,     0,     0,   105,   757,     0,     0,
       0,     0,   594,   100,   111,   112,   113,   337,   104,   760,
     338,   339,   340,     0,   341,   106,   107,   108,   109,     0,
     595,   757,     0,     0,   318,   596,   115,   319,    34,     0,
     230,   231,     0,     0,   679,    74,     0,     0,     0,     0,
       0,     0,    37,   112,   113,   232,     0,     0,   233,     0,
       0,     0,     0,   234,   631,     0,     0,   -51,    77,     0,
      74,     0,    78,    79,    80,   850,     0,   584,     0,     0,
       0,     0,     7,     8,     9,    81,    10,    11,     0,    82,
       0,     0,    74,     0,    13,    14,     0,    15,    16,   -64,
      83,    18,    19,    20,    21,    22,    23,    24,     0,    25,
      84,    26,     0,    85,     0,    86,    28,     0,    29,    87,
      30,    88,     0,    89,    90,    31,     0,     0,     0,     0,
       0,    91,     0,    32,     0,   759,     0,     0,    92,     0,
      93,     0,     0,    94,    95,    96,    97,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    98,    99,   759,
     100,   101,   102,   103,    34,   104,     0,     0,     0,     0,
     105,    36,   106,   107,   108,   109,   110,     0,   111,   112,
     113,   114,     0,   115,   116,   117,   -56,   380,     0,    42,
     -51,    78,    79,    80,     0,     0,     0,     0,   215,     0,
       0,     7,     0,     0,    81,    10,    11,     0,    12,     0,
       0,     0,     0,    13,    14,     0,    15,    16,     0,     0,
       0,    19,    20,    21,    22,     0,     0,     0,    25,   315,
       0,     0,    27,     0,    86,     0,     0,    29,   316,    30,
      88,     0,    89,     0,    31,     0,     0,     0,     0,     0,
      91,     0,    32,     0,     0,     0,     0,    92,     0,    93,
       0,     0,    94,    95,    96,   270,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    98,    99,     0,   100,
     101,   317,     0,    34,   104,     0,     0,     0,     0,    35,
      36,   106,     0,   108,     0,   110,     0,    37,   112,   113,
     318,     0,   115,   319,   320,   -51,    77,     0,    42,   -56,
      78,    79,    80,     0,     0,     0,     0,     0,     0,     0,
       7,     8,     9,    81,    10,    11,     0,    82,     0,     0,
       0,     0,    13,    14,     0,    15,    16,   -64,    83,    18,
      19,    20,    21,    22,    23,    24,     0,    25,    84,    26,
       0,    85,     0,    86,    28,     0,    29,    87,    30,    88,
       0,    89,    90,    31,     0,     0,     0,     0,     0,    91,
       0,    32,     0,     0,     0,     0,    92,     0,    93,     0,
       0,    94,    95,    96,    97,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    98,    99,     0,   100,   101,
     102,   103,    34,   104,     0,     0,     0,     0,   105,    36,
     106,   107,   108,   109,   110,     0,   111,   112,   113,   114,
      77,   115,   116,   117,    78,    79,    80,    42,     0,     0,
       0,     0,     0,     0,     7,     8,     9,    81,    10,    11,
       0,    82,     0,     0,     0,     0,    13,    14,     0,    15,
      16,   -64,    83,    18,    19,    20,    21,    22,    23,    24,
       0,    25,    84,    26,     0,    85,     0,    86,    28,     0,
      29,    87,    30,    88,     0,    89,    90,    31,     0,     0,
       0,     0,     0,    91,     0,    32,     0,     0,     0,     0,
      92,     0,    93,     0,     0,    94,    95,    96,    97,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    98,
      99,     0,   100,   101,   102,   103,    34,   104,     0,     0,
       0,     0,   105,    36,   106,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   380,   115,   116,   117,    78,    79,
      80,    42,   -51,     0,     0,     0,     0,     0,     7,     0,
       0,    81,    10,    11,     0,    12,     0,     0,     0,     0,
      13,    14,     0,    15,    16,     0,     0,     0,    19,    20,
      21,    22,     0,     0,     0,    25,   315,     0,     0,    27,
       0,    86,     0,     0,    29,   316,    30,    88,     0,    89,
       0,    31,     0,     0,     0,     0,     0,    91,     0,    32,
       0,     0,     0,     0,    92,     0,    93,     0,     0,    94,
      95,    96,   270,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    98,    99,     0,   100,   101,   317,     0,
      34,   104,     0,     0,     0,     0,    35,    36,   106,     0,
     108,     0,   110,   209,    37,   112,   113,   318,     0,   115,
     319,   320,     0,     0,     0,    42,   392,  -169,    22,     0,
    -169,  -169,  -169,     0,  -169,     0,     0,     0,     0,  -169,
    -169,     0,  -169,  -169,     0,     0,     0,  -169,  -169,  -169,
      22,     0,     0,     0,  -169,  -169,     0,     0,  -169,     0,
    -169,     0,     0,  -169,  -169,  -169,  -169,     0,  -169,   270,
    -169,     0,     0,     0,     0,     0,  -169,     0,  -169,     0,
       0,     0,   594,   100,     0,  -169,     0,     0,   104,  -169,
       0,     0,     0,     0,     0,   106,   107,   108,   109,     0,
     603,     0,  -169,  -169,   318,   596,   115,   319,     0,    34,
       0,     0,     0,     0,     0,  -169,  -169,     0,     0,     0,
       0,  -169,     0,    37,    38,   210,    40,    -2,     6,    41,
       0,     0,     0,     0,  -169,   211,     0,     0,     0,     0,
       0,     0,     7,     8,     9,     0,    10,    11,     0,    12,
       0,     0,     0,     0,    13,    14,     0,    15,    16,   -64,
      17,    18,    19,    20,    21,    22,    23,    24,   525,    25,
       0,    26,     0,    27,     0,     0,    28,     0,    29,     0,
      30,     0,     7,     0,     9,    31,    10,    11,     0,    12,
       0,     0,     0,    32,    13,    14,     0,    15,    16,  -131,
       0,    18,    19,    20,    21,    22,    23,    24,     0,    25,
       0,    26,     0,    27,     0,    33,    28,     0,    29,     0,
      30,     0,     0,     0,    34,    31,     0,     0,     0,     0,
      35,    36,     0,    32,     0,     0,     0,     0,    37,    38,
      39,    40,     0,     0,    41,     0,     0,     0,     0,    42,
       0,     0,     0,     0,    78,    79,    80,     0,     0,     0,
       0,     0,     0,     0,    34,     0,     0,   537,     0,     0,
      35,    36,     0,     0,     0,     0,     0,     0,    37,    38,
     526,     7,     0,     0,     0,    10,    11,     0,    12,    42,
     527,     0,     0,    13,    14,     0,    15,    16,  -144,     0,
      18,    19,    20,    21,    22,    23,    24,     0,    25,     0,
      26,     0,    27,     0,   466,    28,     0,    29,     0,    30,
      92,     0,     0,     0,    31,    94,     0,    96,     0,     0,
       0,     0,    32,     0,     0,     0,   228,   229,     0,     0,
     467,     0,     0,   101,   317,     0,    34,     0,     0,     0,
       0,     0,    35,   468,   106,     0,   108,     0,     0,     0,
      37,   112,   113,    34,     0,   115,     0,   320,     0,    35,
      36,     0,     0,     0,     0,     0,   380,    37,    38,   538,
      78,    79,    80,     0,    34,     0,   230,   231,    42,   539,
       7,     0,     0,    81,    10,    11,     0,    12,    37,   112,
     113,   232,    13,    14,   233,    15,    16,     0,     0,   234,
      19,    20,    21,    22,     0,     0,     0,    25,   315,     0,
       0,    27,     0,    86,     0,     0,    29,   316,    30,    88,
       0,    89,     0,    31,     0,     0,     0,     0,     0,    91,
       0,    32,   381,     0,     0,     0,    92,     0,    93,     0,
       0,    94,    95,    96,   270,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    98,    99,     0,   100,   101,
     317,     0,    34,   104,     0,     0,     0,     0,    35,    36,
     106,     0,   108,     0,   110,     0,    37,   112,   113,   318,
       0,   115,   319,   320,    78,    79,    80,    42,     0,     0,
       0,     0,     0,     0,     7,     8,     9,    81,    10,    11,
       0,    82,     0,     0,     0,     0,    13,    14,  -302,    15,
      16,   -64,     0,    18,    19,    20,    21,    22,    23,    24,
       0,    25,   315,    26,     0,    27,     0,    86,    28,     0,
      29,   316,    30,    88,     0,    89,    90,    31,     0,     0,
       0,     0,     0,    91,     0,    32,     0,     0,     0,     0,
      92,     0,    93,     0,     0,    94,    95,    96,   840,     0,
       0,     0,   561,     0,     0,     0,     0,     0,     0,    98,
      99,     0,   841,   101,   317,   564,    34,     0,     0,     0,
       0,     0,    35,    36,   106,   842,   108,   843,   110,   565,
      37,   844,   567,   845,     0,   115,   846,   847,    78,    79,
      80,    42,     0,     0,     0,     0,     0,     0,     7,     8,
       9,    81,    10,    11,     0,    82,  -294,     0,     0,     0,
      13,    14,  -298,    15,    16,     0,     0,    18,    19,    20,
      21,    22,    23,    24,     0,    25,    84,    26,     0,    85,
       0,    86,    28,     0,    29,    87,    30,    88,     0,    89,
      90,    31,     0,     0,     0,     0,     0,    91,     0,    32,
       0,     0,     0,     0,    92,     0,    93,     0,     0,    94,
      95,    96,   751,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    98,    99,     0,   752,   101,   102,   564,
      34,     0,     0,     0,     0,     0,   105,    36,   106,   107,
     108,   109,   110,   565,   111,   753,   567,   754,     0,   115,
     755,   756,    78,    79,    80,    42,     0,     0,     0,     0,
       0,     0,     7,     8,     9,    81,    10,    11,     0,    82,
       0,     0,     0,     0,    13,    14,     0,    15,    16,   -64,
       0,    18,    19,    20,    21,    22,    23,    24,     0,    25,
     315,    26,     0,    27,     0,    86,    28,     0,    29,   316,
      30,    88,     0,    89,    90,    31,     0,     0,     0,     0,
       0,    91,     0,    32,     0,     0,     0,     0,    92,     0,
      93,     0,     0,    94,    95,    96,   840,     0,     0,     0,
     561,     0,     0,     0,     0,     0,     0,    98,    99,     0,
     841,   101,   317,   564,    34,     0,     0,     0,     0,     0,
      35,    36,   106,   842,   108,   843,   110,   565,    37,   844,
     567,   845,     0,   115,   846,   847,    78,    79,    80,    42,
       0,     0,     0,     0,     0,     0,     7,     8,     9,    81,
      10,    11,     0,    82,  -294,     0,     0,     0,    13,    14,
    -298,    15,    16,     0,     0,    18,    19,    20,    21,    22,
      23,    24,     0,    25,   315,    26,     0,    27,     0,    86,
      28,     0,    29,   316,    30,    88,     0,    89,    90,    31,
       0,     0,     0,     0,     0,    91,     0,    32,     0,     0,
       0,     0,    92,     0,    93,     0,     0,    94,    95,    96,
     751,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    98,    99,     0,   752,   101,   317,   564,    34,     0,
       0,     0,     0,     0,    35,    36,   106,   107,   108,   109,
     110,   565,    37,   753,   567,   754,     0,   115,   755,   756,
      78,    79,    80,    42,     0,     0,     0,     0,     0,     0,
       7,     8,     9,    81,    10,    11,     0,    82,     0,     0,
       0,     0,    13,    14,  -296,    15,    16,     0,     0,    18,
      19,    20,    21,    22,    23,    24,     0,    25,    84,    26,
       0,    85,     0,    86,    28,     0,    29,    87,    30,    88,
       0,    89,    90,    31,     0,     0,     0,     0,     0,    91,
       0,    32,     0,     0,     0,     0,    92,     0,    93,     0,
       0,    94,    95,    96,   562,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    98,    99,     0,   563,   101,
     102,   564,    34,     0,     0,     0,     0,     0,   105,    36,
     106,   107,   108,   109,   110,   565,   111,   566,   567,   568,
       0,   115,   569,   570,    78,    79,    80,    42,     0,     0,
       0,     0,     0,     0,     7,     8,     9,    81,    10,    11,
       0,    82,  -294,     0,     0,     0,    13,    14,     0,    15,
      16,     0,     0,    18,    19,    20,    21,    22,    23,    24,
       0,    25,   315,    26,     0,    27,     0,    86,    28,     0,
      29,   316,    30,    88,     0,    89,    90,    31,     0,     0,
       0,     0,     0,    91,     0,    32,     0,     0,     0,     0,
      92,     0,    93,     0,     0,    94,    95,    96,   751,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    98,
      99,     0,   752,   101,   317,   564,    34,     0,     0,     0,
       0,     0,    35,    36,   106,   107,   108,   109,   110,   565,
      37,   753,   567,   754,     0,   115,   755,   756,    78,    79,
      80,    42,     0,     0,     0,     0,     0,     0,     7,     8,
       9,    81,    10,    11,     0,    82,     0,     0,     0,     0,
      13,    14,  -300,    15,    16,     0,     0,    18,    19,    20,
      21,    22,    23,    24,     0,    25,   315,    26,     0,    27,
       0,    86,    28,     0,    29,   316,    30,    88,     0,    89,
      90,    31,     0,     0,     0,     0,     0,    91,     0,    32,
       0,     0,     0,     0,    92,     0,    93,     0,     0,    94,
      95,    96,   562,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    98,    99,     0,   563,   101,   317,   564,
      34,     0,     0,     0,     0,     0,    35,    36,   106,   107,
     108,   109,   110,   565,    37,   566,   567,   568,     0,   115,
     569,   570,    78,    79,    80,    42,     0,     0,     0,     0,
       0,     0,     7,     8,     9,    81,    10,    11,     0,    82,
       0,     0,     0,     0,    13,    14,  -296,    15,    16,     0,
       0,    18,    19,    20,    21,    22,    23,    24,     0,    25,
     315,    26,     0,    27,     0,    86,    28,     0,    29,   316,
      30,    88,     0,    89,    90,    31,     0,     0,     0,     0,
       0,    91,     0,    32,     0,     0,     0,     0,    92,     0,
      93,     0,     0,    94,    95,    96,   562,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    98,    99,     0,
     563,   101,   317,   564,    34,     0,     0,     0,     0,     0,
      35,    36,   106,   107,   108,   109,   110,   565,    37,   566,
     567,   568,     0,   115,   569,   570,    78,    79,    80,    42,
       0,     0,     0,     0,     0,     0,     7,     8,     9,    81,
      10,    11,     0,    82,     0,     0,     0,     0,    13,    14,
    -298,    15,    16,     0,     0,    18,    19,    20,    21,    22,
      23,    24,     0,    25,   315,    26,     0,    27,     0,    86,
      28,     0,    29,   316,    30,    88,     0,    89,    90,    31,
       0,     0,     0,     0,     0,    91,     0,    32,     0,     0,
       0,     0,    92,     0,    93,     0,     0,    94,    95,    96,
     751,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    98,    99,     0,   752,   101,   317,   564,    34,     0,
       0,     0,     0,     0,    35,    36,   106,   107,   108,   109,
     110,   565,    37,   753,   567,   754,     0,   115,   755,   756,
      78,    79,    80,    42,     0,     0,     0,     0,     0,     0,
       7,     8,     9,    81,    10,    11,     0,    82,     0,     0,
       0,     0,    13,    14,     0,    15,    16,     0,     0,    18,
      19,    20,    21,    22,    23,    24,     0,    25,   315,    26,
       0,    27,     0,    86,    28,     0,    29,   316,    30,    88,
       0,    89,    90,    31,     0,     0,     0,     0,     0,    91,
       0,    32,     0,     0,     0,     0,    92,     0,    93,     0,
       0,    94,    95,    96,   562,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    98,    99,     0,   563,   101,
     317,   564,    34,     0,     0,     0,     0,     0,    35,    36,
     106,   107,   108,   109,   110,   565,    37,   566,   567,   568,
       0,   115,   569,   570,    78,    79,    80,    42,     0,     0,
       0,     0,     0,     0,     7,     8,     9,    81,    10,    11,
       0,    82,     0,     0,     0,     0,    13,    14,     0,    15,
      16,     0,     0,    18,    19,    20,    21,    22,    23,    24,
       0,    25,    84,    26,     0,    85,     0,    86,    28,     0,
      29,    87,    30,    88,     0,    89,    90,    31,     0,     0,
       0,     0,     0,    91,     0,    32,     0,     0,     0,     0,
      92,     0,    93,     0,     0,    94,    95,    96,   396,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    98,
      99,     0,     0,   101,   102,   103,    34,     0,     0,     0,
       0,     0,   105,    36,   106,   107,   108,   109,   110,     0,
     111,   112,   113,   397,     0,   115,   398,   399,    78,    79,
      80,    42,     0,     0,     0,     0,     0,     0,     7,     0,
       0,    81,    10,    11,     0,    12,     0,     0,     0,     0,
      13,    14,     0,    15,    16,     0,     0,     0,    19,    20,
      21,    22,     0,     0,     0,    25,   315,     0,     0,    27,
       0,    86,     0,     0,    29,   316,    30,    88,     0,    89,
       0,    31,     0,     0,     0,     0,     0,    91,     0,    32,
       0,     0,     0,     0,    92,     0,    93,     0,     0,    94,
      95,    96,   270,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    98,    99,     0,   100,   101,   317,     0,
      34,   104,     0,     0,     0,     0,    35,    36,   106,     0,
     108,     0,   110,     0,    37,   112,   113,   318,     0,   115,
     319,   320,   447,   448,     0,    42,     0,     0,     0,     0,
       0,     7,     8,     9,    81,    10,    11,     0,    82,     0,
       0,     0,     0,    13,    14,  -101,    15,    16,     0,     0,
      18,    19,    20,    21,    22,    23,    24,     0,    25,    84,
      26,     0,    85,     0,    86,    28,     0,    29,    87,    30,
      88,     0,    89,    90,    31,     0,     0,     0,     0,     0,
      91,     0,    32,     0,     0,     0,     0,     0,     0,    93,
       0,     0,     0,    95,     0,   396,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    98,    99,     0,     0,
       0,   452,   564,    34,     0,     0,     0,     0,     0,   105,
      36,   106,   107,   108,   109,   110,   565,   111,   662,   567,
     397,     0,   115,   398,   663,   447,   448,     0,    42,     0,
       0,     0,     0,     0,     7,     8,     9,    81,    10,    11,
       0,    82,     0,     0,     0,     0,    13,    14,  -102,    15,
      16,     0,     0,    18,    19,    20,    21,    22,    23,    24,
       0,    25,    84,    26,     0,    85,     0,    86,    28,     0,
      29,    87,    30,    88,     0,    89,    90,    31,     0,     0,
       0,     0,     0,    91,     0,    32,     0,     0,     0,     0,
       0,     0,    93,     0,     0,     0,    95,     0,   396,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    98,
      99,     0,     0,     0,   452,   564,    34,     0,     0,     0,
       0,     0,   105,    36,   106,   107,   108,   109,   110,   565,
     111,   662,   567,   397,     0,   115,   398,   663,   447,   448,
       0,    42,     0,     0,     0,     0,     0,     7,     0,     0,
      81,    10,    11,     0,    12,     0,     0,     0,     0,    13,
      14,     0,    15,    16,     0,     0,     0,    19,    20,    21,
      22,     0,     0,     0,    25,    84,     0,     0,    85,     0,
      86,     0,     0,    29,    87,    30,    88,     0,    89,     0,
      31,    78,   333,   334,   335,     0,    91,     0,    32,     0,
       0,     0,     0,     0,     0,    93,     0,     0,     0,    95,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   447,
     448,     0,    98,    99,    22,     0,     0,   452,     0,     0,
     104,     0,     0,     0,     0,   105,    36,   106,     0,   108,
       0,   110,     0,   678,     0,     0,   318,     0,   115,   319,
     454,   336,     0,     0,    42,     0,   449,     0,     0,   450,
       0,     0,     0,     0,    96,   451,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     101,   317,     0,    34,     0,     0,     0,     0,     0,    35,
       0,     0,   373,     0,     0,     0,     0,    37,   112,   113,
     337,     0,     0,   338,   339,   340,     0,   341,   452,   638,
      34,   639,     0,     0,     0,     0,   453,     0,   640,   374,
       0,   641,   642,   643,   111,   112,   113,     0,     0,     0,
       0,   454,     0,     0,   638,     0,   639,     0,   644,     0,
     645,     0,   646,   640,     0,   647,   641,   642,   643,     0,
       0,     0,   648,   649,    90,     0,     0,     0,     0,     0,
       0,     0,     0,   644,     0,   645,     0,   646,     0,     0,
     647,     0,     0,     0,     0,     0,     0,   648,   649,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    34,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    37,   112,
     113,   174,     0,     0,   175,     0,     0,     0,     0,    34,
     650,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    37,   112,   113,   174,     0,     0,   175,
       0,     0,     0,     0,     0,   817,     7,     8,     9,    81,
      10,    11,     0,    82,     0,     0,     0,     0,    13,    14,
       0,    15,    16,     0,     0,    18,    19,    20,    21,    22,
      23,    24,     0,    25,   315,    26,     0,    27,     0,    86,
      28,     0,    29,   316,    30,    88,     0,    89,    90,    31,
       0,     0,     0,     0,     0,    91,     0,    32,     0,     0,
       0,     0,     0,     0,    93,     0,     0,     0,    95,     0,
     396,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    98,    99,     0,     0,     0,     0,   564,    34,     0,
       0,     0,     0,     0,    35,    36,   106,   107,   108,   109,
     110,   565,    37,   662,   567,   397,     0,   115,   398,   829,
       0,     7,     0,    42,    81,    10,    11,     0,    12,     0,
       0,     0,     0,    13,    14,     0,    15,    16,  -155,     0,
      18,    19,    20,    21,    22,     0,    24,     0,    25,   315,
      26,     0,    27,     0,    86,     0,     0,    29,   316,    30,
      88,     0,    89,     0,    31,     0,     0,     0,     0,     0,
      91,     0,    32,     0,     0,     0,     0,     0,     0,    93,
       0,     0,     0,    95,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    98,    99,     0,     0,
       0,     0,     0,    34,   104,     0,     0,     0,     0,    35,
      36,   106,     0,   108,     0,   110,     0,    37,   112,   113,
     318,     0,   115,   319,     0,     0,     7,     0,    42,    81,
      10,    11,     0,    12,     0,   228,   229,     0,    13,    14,
       0,    15,    16,     0,     0,     0,    19,    20,    21,    22,
       0,     0,     0,    25,   315,     0,     0,    27,     0,    86,
       0,     0,    29,   316,    30,    88,     0,    89,     0,    31,
       0,     0,     0,     0,     0,    91,     0,    32,     0,     0,
       0,     0,     0,    34,    93,   356,   231,     0,    95,     0,
       0,     0,     0,     0,     0,     0,     0,    37,   112,   113,
     232,    98,    99,   233,     0,     0,     0,     0,   234,   104,
       0,     0,     0,     0,    35,    36,   106,     0,   108,     7,
     110,     0,    81,    10,    11,   318,    82,   115,   319,     0,
       0,    13,    14,    42,    15,    16,     0,     0,     0,    19,
      20,    21,     0,     0,     0,     0,    25,   315,     0,     0,
      27,     0,    86,     0,     0,    29,   316,    30,    88,     0,
      89,     0,    31,    10,    11,     0,   228,   229,    91,     0,
      32,    13,    14,     0,    15,    16,     0,    93,     0,    19,
      20,    95,     0,     0,     7,     0,    25,     0,    10,    11,
       0,    12,     0,     0,    98,    99,    13,    14,     0,    15,
      16,     0,     0,     0,    19,    20,    21,    35,    36,     0,
       0,    25,     0,   110,    34,    27,   524,   231,     0,     0,
      29,     0,    30,    88,     0,     0,    42,    31,    37,   112,
     113,   232,     0,    91,   233,    32,     0,     0,     0,   234,
       0,    34,    93,     0,     0,     0,    95,     0,   781,     0,
       0,     0,     0,     0,     0,    37,   112,   113,   782,    98,
      99,     0,     0,     0,     0,     0,   783,     0,     0,     0,
       0,     0,    35,    36,   106,     0,   108,     7,   110,     0,
       0,    10,    11,     0,    12,   115,     0,     0,     0,    13,
      14,    42,    15,    16,     0,     0,     0,    19,    20,    21,
       0,     0,     0,     0,    25,     0,     0,     0,    27,     0,
       0,     0,     0,    29,     0,    30,     0,     7,     0,     0,
      31,    10,    11,     0,     0,     0,     0,     0,    32,    13,
      14,     0,    15,    16,     0,     0,     0,    19,    20,    21,
       0,     0,     0,     0,    25,     0,     0,     0,    27,     0,
       0,     0,     0,    29,     0,    30,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,    36,     0,    32,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,    36,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    42
};

static const yytype_int16 yycheck[] =
{
       3,     4,    83,     4,   183,     4,     3,     4,     4,     3,
      74,     3,     3,     4,   154,     3,     4,    57,     3,     4,
       3,     4,     3,   183,     3,     4,   265,     4,   244,     3,
      57,     4,   108,     4,   207,   100,     4,   491,     4,   115,
     462,   263,    71,   156,   156,   247,   161,   292,    89,   164,
     230,   296,   446,   136,     4,   391,    42,   102,   194,     0,
     105,    21,   307,    57,    27,    57,   111,    88,   462,   156,
     391,    31,    84,    10,   247,    87,    57,    89,   244,   207,
      83,    37,    83,   315,    83,    88,    83,    83,   328,     0,
       0,   124,    83,   628,   417,    83,   129,     0,    83,     4,
      83,     1,   750,   167,    83,    62,    83,    87,     7,   192,
      83,     1,    83,   121,    79,    83,   124,    83,   529,   247,
     203,    81,    85,   560,   560,     1,   645,   122,   647,     0,
     541,   399,     0,    83,    79,   136,    74,   223,    82,    83,
     136,   106,   358,   108,   244,   556,   102,   446,    93,   117,
     390,   391,   110,   156,    10,   111,   292,   115,   122,   136,
     296,     0,   119,   462,    63,     0,    86,     9,    10,   207,
     285,   307,    10,   122,   289,    81,   356,   825,    83,    85,
      10,   193,   123,    81,   121,    90,    74,    85,    10,    10,
     122,   192,   358,   372,   729,   282,   192,   226,   423,   424,
     425,    81,   203,   428,   207,    85,   372,   203,   207,   247,
     207,   326,   123,   325,   329,   192,   207,   449,   114,   207,
     123,   117,   207,   123,   207,   561,   203,   550,   207,   167,
     207,   136,   121,   123,   207,    32,   207,   214,   325,   354,
     561,   207,    13,   214,   247,    10,   491,   123,   247,   703,
     247,   156,   123,   274,    12,   123,   247,   207,   358,   247,
     122,   227,   247,    21,   247,   121,   703,   703,   247,    27,
     247,   431,   372,    31,   247,   316,   247,   215,   364,   167,
     283,   247,   187,   121,   123,   349,   282,   192,   123,    79,
     405,   121,   714,   379,   519,   520,   521,   247,   203,   121,
     121,   624,   207,   315,   316,   112,   113,   114,   101,   102,
     117,   519,   520,   521,   124,   265,   524,    79,   446,   713,
     714,   106,   325,    81,    82,   106,    84,    85,    86,    87,
      88,    89,   418,   360,   462,   362,   322,   376,   367,   378,
      29,   106,   247,   456,   524,   681,   614,   267,   125,   387,
     127,    79,   467,   621,   622,   491,   121,   360,    82,   362,
     265,   317,    88,   360,   663,   362,   360,   431,   362,   360,
      38,   362,   360,    88,   362,   360,   798,   282,   106,   360,
     108,   362,   118,   119,   387,   124,   360,   378,   362,   390,
     391,   390,   391,   387,   616,   617,   625,   626,   104,   376,
     363,   378,   839,   839,   798,   368,   387,   452,   453,   611,
     451,   349,    29,    30,   713,   714,   124,   633,   457,   387,
     325,   504,   390,   391,   560,   124,    79,   881,   124,   674,
      98,   676,   124,   672,    81,   193,    81,   449,   611,   451,
      85,    86,   864,   446,   881,   881,   114,   446,   206,   117,
     629,   630,   446,   106,    83,   108,   494,    79,   496,   462,
     705,   349,   500,   462,    83,   446,   122,   633,   462,   629,
     864,    80,    81,   378,    38,    84,   442,    79,   441,   482,
     457,   462,   442,   611,   106,    81,   108,   450,    13,    85,
      86,   494,   124,   496,    96,    57,   446,   500,   124,   798,
     494,   726,   496,   504,   106,   263,   500,   457,   504,   267,
     112,   113,   462,   494,    79,   496,    79,    80,   726,   500,
     265,   124,    79,   443,   444,   283,   494,   504,   496,   594,
     829,    95,   500,   633,   124,   389,   122,   442,   674,   103,
     676,   106,   121,   108,   494,    81,   496,   111,    81,   106,
     500,   108,   731,   118,   592,     9,     8,   315,   316,   464,
     561,    10,   561,    81,   809,   864,   630,   703,    80,   705,
     610,   731,   788,   611,   125,   619,   620,    38,   800,   801,
     720,    29,   102,   610,    81,   713,   714,    82,    82,   592,
     124,   122,    51,   561,    53,   282,    80,    81,   592,   504,
      84,   122,    86,    38,    82,   363,    81,    66,   611,   788,
     368,   592,   611,   124,   611,   679,   610,   124,   610,   124,
     611,    15,   788,   611,   592,   116,   611,    23,   611,   610,
      81,   124,   611,   678,   611,   106,    97,   124,   611,   124,
     611,   495,   718,   497,    79,   611,   812,   501,   873,   874,
     111,   112,   113,   114,    81,    81,   117,    99,    93,   838,
     118,   611,   123,   122,   702,   873,   874,   875,    81,   707,
     798,    81,   710,   809,   712,    85,    86,   112,   113,   114,
     654,    97,   117,   441,   442,   443,   444,    29,   104,   649,
      81,   449,   450,   451,    10,   111,   112,   113,    23,   702,
     387,   446,   740,   839,   707,   124,   611,   710,   702,   712,
     713,   714,   457,   707,   713,   714,   710,   462,   712,   713,
     714,   702,   672,   628,   482,   645,   707,   647,   101,   710,
     690,   712,   713,   714,   702,   282,   864,   740,    81,   707,
      99,    81,   710,   858,   712,   881,   740,   121,    81,   494,
      79,   496,   657,   765,   766,   500,    47,   707,   516,   740,
     710,   837,   712,    79,   117,   880,   123,   672,   112,   113,
     114,   446,   690,   117,   838,   362,    50,    79,   122,   684,
      63,   551,   863,   219,   822,   690,   824,   462,    81,   904,
      63,     3,    85,    86,   191,   798,   112,   113,   114,   798,
      79,   117,    80,    81,   798,   121,    84,   494,    86,   496,
     112,   113,   114,   500,    63,   117,   690,   798,    97,   822,
     820,   824,   764,    97,   729,    99,   100,   106,   822,   885,
     824,    81,   111,   112,   113,    85,    86,   111,   112,   113,
     387,   822,    81,   824,   882,    57,    85,    86,   122,   482,
     717,   684,   802,   803,   804,   805,   824,   807,   616,   617,
     863,   864,   863,   816,   863,   864,   863,   863,   906,   476,
     864,   167,   863,    98,    99,   863,    88,    81,   863,   882,
     863,    85,    86,   864,   863,   110,   863,   645,   882,   647,
     863,   649,   863,   813,    38,   863,   750,   863,    59,    60,
      61,   882,    63,   906,   692,   592,     5,     6,     7,   431,
      -1,   816,   906,   863,   882,    -1,    -1,   592,    79,   869,
     870,   871,   147,    -1,   136,   906,    -1,   672,    89,   154,
      74,    -1,   690,    -1,    -1,    79,    -1,   162,   906,    -1,
      -1,    68,    69,    70,   156,    -1,   896,   494,    75,   496,
      -1,    -1,   806,   500,   808,    81,   876,   877,   863,    85,
      86,   508,   707,    -1,   511,   710,    49,   712,   112,   113,
     114,   825,    71,   117,    -1,    -1,    79,    76,     0,    78,
     192,    -1,    -1,     5,     6,     7,    -1,     6,     7,    92,
      93,   203,   112,   113,   114,    94,    95,   117,    -1,   126,
     127,    -1,   105,   106,   107,   108,    81,   765,   766,    -1,
      85,    86,   115,   116,    97,   702,    99,    81,   872,   118,
     707,    85,    86,   710,    43,   712,    -1,    46,   111,   112,
     113,   114,   707,    52,   117,   710,    -1,   712,   713,   714,
      -1,   895,   800,   801,    -1,   592,    80,    81,    79,    71,
      84,    -1,    86,   740,    76,   813,    78,   802,   803,   804,
     805,    -1,   807,    81,    38,   740,    97,    85,    86,    -1,
      -1,   283,    94,    95,    97,   106,    95,    -1,    -1,    -1,
     111,   112,   113,    -1,   103,    -1,    -1,    -1,   111,   112,
     113,   114,   111,    -1,   117,    -1,   118,    -1,    72,   118,
      74,   123,   112,   113,   114,    79,    -1,   117,     5,     6,
       7,     8,    -1,   325,    -1,    -1,   328,    -1,   876,   877,
      -1,    -1,    -1,   798,   869,   870,   871,    80,    81,    -1,
      -1,    84,    -1,    86,    -1,   822,    -1,   824,   112,   113,
     114,    38,    -1,   117,    -1,    -1,    -1,   822,   360,    -1,
     362,   896,    -1,    -1,   128,   702,    -1,    -1,    38,    -1,
     707,    -1,    -1,   710,   376,   712,   378,    -1,    65,    59,
      60,    61,    -1,    63,    -1,    -1,    -1,    -1,   390,   391,
      -1,    78,    59,    60,    61,    -1,    63,    -1,    -1,   864,
      49,    50,    -1,   740,    -1,   882,    -1,    94,    95,    79,
      97,    -1,    -1,    -1,    -1,    -1,   103,   882,    -1,    -1,
      -1,    -1,    92,    93,   111,   112,   113,   114,    98,   906,
     117,   118,   119,    -1,   121,   105,   106,   107,   108,    -1,
     110,   906,    -1,    -1,   114,   115,   116,   117,    97,    -1,
      99,   100,    -1,    -1,   456,   457,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,    -1,    -1,   117,    -1,
      -1,    -1,    -1,   122,   123,    -1,    -1,     0,     1,    -1,
     482,    -1,     5,     6,     7,   822,    -1,   824,    -1,    -1,
      -1,    -1,    15,    16,    17,    18,    19,    20,    -1,    22,
      -1,    -1,   504,    -1,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    46,    -1,    48,    49,    -1,    51,    52,
      53,    54,    -1,    56,    57,    58,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,   882,    -1,    -1,    71,    -1,
      73,    -1,    -1,    76,    77,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,   906,
      93,    94,    95,    96,    97,    98,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,    -1,   111,   112,
     113,   114,    -1,   116,   117,   118,     0,     1,    -1,   122,
     123,     5,     6,     7,    -1,    -1,    -1,    -1,   610,    -1,
      -1,    15,    -1,    -1,    18,    19,    20,    -1,    22,    -1,
      -1,    -1,    -1,    27,    28,    -1,    30,    31,    -1,    -1,
      -1,    35,    36,    37,    38,    -1,    -1,    -1,    42,    43,
      -1,    -1,    46,    -1,    48,    -1,    -1,    51,    52,    53,
      54,    -1,    56,    -1,    58,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    -1,    -1,    -1,    71,    -1,    73,
      -1,    -1,    76,    77,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    93,
      94,    95,    -1,    97,    98,    -1,    -1,    -1,    -1,   103,
     104,   105,    -1,   107,    -1,   109,    -1,   111,   112,   113,
     114,    -1,   116,   117,   118,     0,     1,    -1,   122,   123,
       5,     6,     7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      15,    16,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      -1,    -1,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      -1,    46,    -1,    48,    49,    -1,    51,    52,    53,    54,
      -1,    56,    57,    58,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    -1,    -1,    -1,    71,    -1,    73,    -1,
      -1,    76,    77,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,    -1,   111,   112,   113,   114,
       1,   116,   117,   118,     5,     6,     7,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    15,    16,    17,    18,    19,    20,
      -1,    22,    -1,    -1,    -1,    -1,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    -1,    46,    -1,    48,    49,    -1,
      51,    52,    53,    54,    -1,    56,    57,    58,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    -1,    -1,    -1,
      71,    -1,    73,    -1,    -1,    76,    77,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,    -1,
     111,   112,   113,   114,     1,   116,   117,   118,     5,     6,
       7,   122,   123,    -1,    -1,    -1,    -1,    -1,    15,    -1,
      -1,    18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,
      27,    28,    -1,    30,    31,    -1,    -1,    -1,    35,    36,
      37,    38,    -1,    -1,    -1,    42,    43,    -1,    -1,    46,
      -1,    48,    -1,    -1,    51,    52,    53,    54,    -1,    56,
      -1,    58,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    -1,    -1,    -1,    71,    -1,    73,    -1,    -1,    76,
      77,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    -1,    93,    94,    95,    -1,
      97,    98,    -1,    -1,    -1,    -1,   103,   104,   105,    -1,
     107,    -1,   109,     1,   111,   112,   113,   114,    -1,   116,
     117,   118,    -1,    -1,    -1,   122,   123,    15,    38,    -1,
      18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,
      28,    -1,    30,    31,    -1,    -1,    -1,    35,    36,    37,
      38,    -1,    -1,    -1,    42,    43,    -1,    -1,    46,    -1,
      48,    -1,    -1,    51,    52,    53,    54,    -1,    56,    79,
      58,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      -1,    -1,    92,    93,    -1,    73,    -1,    -1,    98,    77,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,    -1,
     110,    -1,    90,    91,   114,   115,   116,   117,    -1,    97,
      -1,    -1,    -1,    -1,    -1,   103,   104,    -1,    -1,    -1,
      -1,   109,    -1,   111,   112,   113,   114,     0,     1,   117,
      -1,    -1,    -1,    -1,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    15,    16,    17,    -1,    19,    20,    -1,    22,
      -1,    -1,    -1,    -1,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,     1,    42,
      -1,    44,    -1,    46,    -1,    -1,    49,    -1,    51,    -1,
      53,    -1,    15,    -1,    17,    58,    19,    20,    -1,    22,
      -1,    -1,    -1,    66,    27,    28,    -1,    30,    31,    32,
      -1,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      -1,    44,    -1,    46,    -1,    88,    49,    -1,    51,    -1,
      53,    -1,    -1,    -1,    97,    58,    -1,    -1,    -1,    -1,
     103,   104,    -1,    66,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,    -1,    -1,   117,    -1,    -1,    -1,    -1,   122,
      -1,    -1,    -1,    -1,     5,     6,     7,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    -1,    -1,     1,    -1,    -1,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,    15,    -1,    -1,    -1,    19,    20,    -1,    22,   122,
     123,    -1,    -1,    27,    28,    -1,    30,    31,    32,    -1,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    -1,
      44,    -1,    46,    -1,    65,    49,    -1,    51,    -1,    53,
      71,    -1,    -1,    -1,    58,    76,    -1,    78,    -1,    -1,
      -1,    -1,    66,    -1,    -1,    -1,    49,    50,    -1,    -1,
      91,    -1,    -1,    94,    95,    -1,    97,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,    97,    -1,   116,    -1,   118,    -1,   103,
     104,    -1,    -1,    -1,    -1,    -1,     1,   111,   112,   113,
       5,     6,     7,    -1,    97,    -1,    99,   100,   122,   123,
      15,    -1,    -1,    18,    19,    20,    -1,    22,   111,   112,
     113,   114,    27,    28,   117,    30,    31,    -1,    -1,   122,
      35,    36,    37,    38,    -1,    -1,    -1,    42,    43,    -1,
      -1,    46,    -1,    48,    -1,    -1,    51,    52,    53,    54,
      -1,    56,    -1,    58,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    67,    -1,    -1,    -1,    71,    -1,    73,    -1,
      -1,    76,    77,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    93,    94,
      95,    -1,    97,    98,    -1,    -1,    -1,    -1,   103,   104,
     105,    -1,   107,    -1,   109,    -1,   111,   112,   113,   114,
      -1,   116,   117,   118,     5,     6,     7,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    15,    16,    17,    18,    19,    20,
      -1,    22,    -1,    -1,    -1,    -1,    27,    28,    29,    30,
      31,    32,    -1,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    -1,    46,    -1,    48,    49,    -1,
      51,    52,    53,    54,    -1,    56,    57,    58,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    -1,    -1,    -1,
      71,    -1,    73,    -1,    -1,    76,    77,    78,    79,    -1,
      -1,    -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    -1,    93,    94,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,    -1,   116,   117,   118,     5,     6,
       7,   122,    -1,    -1,    -1,    -1,    -1,    -1,    15,    16,
      17,    18,    19,    20,    -1,    22,    23,    -1,    -1,    -1,
      27,    28,    29,    30,    31,    -1,    -1,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    46,
      -1,    48,    49,    -1,    51,    52,    53,    54,    -1,    56,
      57,    58,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    -1,    -1,    -1,    71,    -1,    73,    -1,    -1,    76,
      77,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    -1,    93,    94,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,    -1,   116,
     117,   118,     5,     6,     7,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    15,    16,    17,    18,    19,    20,    -1,    22,
      -1,    -1,    -1,    -1,    27,    28,    -1,    30,    31,    32,
      -1,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    46,    -1,    48,    49,    -1,    51,    52,
      53,    54,    -1,    56,    57,    58,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    -1,    -1,    -1,    71,    -1,
      73,    -1,    -1,    76,    77,    78,    79,    -1,    -1,    -1,
      83,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,
      93,    94,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,    -1,   116,   117,   118,     5,     6,     7,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    15,    16,    17,    18,
      19,    20,    -1,    22,    23,    -1,    -1,    -1,    27,    28,
      29,    30,    31,    -1,    -1,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    46,    -1,    48,
      49,    -1,    51,    52,    53,    54,    -1,    56,    57,    58,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    -1,
      -1,    -1,    71,    -1,    73,    -1,    -1,    76,    77,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    -1,    93,    94,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,    -1,   116,   117,   118,
       5,     6,     7,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      15,    16,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      -1,    -1,    27,    28,    29,    30,    31,    -1,    -1,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      -1,    46,    -1,    48,    49,    -1,    51,    52,    53,    54,
      -1,    56,    57,    58,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    -1,    -1,    -1,    71,    -1,    73,    -1,
      -1,    76,    77,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    93,    94,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
      -1,   116,   117,   118,     5,     6,     7,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    15,    16,    17,    18,    19,    20,
      -1,    22,    23,    -1,    -1,    -1,    27,    28,    -1,    30,
      31,    -1,    -1,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    -1,    46,    -1,    48,    49,    -1,
      51,    52,    53,    54,    -1,    56,    57,    58,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    -1,    -1,    -1,
      71,    -1,    73,    -1,    -1,    76,    77,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    -1,    93,    94,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,    -1,   116,   117,   118,     5,     6,
       7,   122,    -1,    -1,    -1,    -1,    -1,    -1,    15,    16,
      17,    18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,
      27,    28,    29,    30,    31,    -1,    -1,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    46,
      -1,    48,    49,    -1,    51,    52,    53,    54,    -1,    56,
      57,    58,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    -1,    -1,    -1,    71,    -1,    73,    -1,    -1,    76,
      77,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    -1,    93,    94,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,    -1,   116,
     117,   118,     5,     6,     7,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    15,    16,    17,    18,    19,    20,    -1,    22,
      -1,    -1,    -1,    -1,    27,    28,    29,    30,    31,    -1,
      -1,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    46,    -1,    48,    49,    -1,    51,    52,
      53,    54,    -1,    56,    57,    58,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    -1,    -1,    -1,    71,    -1,
      73,    -1,    -1,    76,    77,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,
      93,    94,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,    -1,   116,   117,   118,     5,     6,     7,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    15,    16,    17,    18,
      19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,    28,
      29,    30,    31,    -1,    -1,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    46,    -1,    48,
      49,    -1,    51,    52,    53,    54,    -1,    56,    57,    58,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    -1,
      -1,    -1,    71,    -1,    73,    -1,    -1,    76,    77,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    -1,    93,    94,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,    -1,   116,   117,   118,
       5,     6,     7,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      15,    16,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      -1,    -1,    27,    28,    -1,    30,    31,    -1,    -1,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      -1,    46,    -1,    48,    49,    -1,    51,    52,    53,    54,
      -1,    56,    57,    58,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    -1,    -1,    -1,    71,    -1,    73,    -1,
      -1,    76,    77,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    93,    94,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
      -1,   116,   117,   118,     5,     6,     7,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    15,    16,    17,    18,    19,    20,
      -1,    22,    -1,    -1,    -1,    -1,    27,    28,    -1,    30,
      31,    -1,    -1,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    -1,    46,    -1,    48,    49,    -1,
      51,    52,    53,    54,    -1,    56,    57,    58,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    -1,    -1,    -1,
      71,    -1,    73,    -1,    -1,    76,    77,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    -1,    -1,    94,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,    -1,
     111,   112,   113,   114,    -1,   116,   117,   118,     5,     6,
       7,   122,    -1,    -1,    -1,    -1,    -1,    -1,    15,    -1,
      -1,    18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,
      27,    28,    -1,    30,    31,    -1,    -1,    -1,    35,    36,
      37,    38,    -1,    -1,    -1,    42,    43,    -1,    -1,    46,
      -1,    48,    -1,    -1,    51,    52,    53,    54,    -1,    56,
      -1,    58,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    -1,    -1,    -1,    71,    -1,    73,    -1,    -1,    76,
      77,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    -1,    93,    94,    95,    -1,
      97,    98,    -1,    -1,    -1,    -1,   103,   104,   105,    -1,
     107,    -1,   109,    -1,   111,   112,   113,   114,    -1,   116,
     117,   118,     6,     7,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    15,    16,    17,    18,    19,    20,    -1,    22,    -1,
      -1,    -1,    -1,    27,    28,    29,    30,    31,    -1,    -1,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    -1,    46,    -1,    48,    49,    -1,    51,    52,    53,
      54,    -1,    56,    57,    58,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    77,    -1,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,    -1,   116,   117,   118,     6,     7,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    15,    16,    17,    18,    19,    20,
      -1,    22,    -1,    -1,    -1,    -1,    27,    28,    29,    30,
      31,    -1,    -1,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    -1,    46,    -1,    48,    49,    -1,
      51,    52,    53,    54,    -1,    56,    57,    58,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    77,    -1,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    -1,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,    -1,   116,   117,   118,     6,     7,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    15,    -1,    -1,
      18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,
      28,    -1,    30,    31,    -1,    -1,    -1,    35,    36,    37,
      38,    -1,    -1,    -1,    42,    43,    -1,    -1,    46,    -1,
      48,    -1,    -1,    51,    52,    53,    54,    -1,    56,    -1,
      58,     5,     6,     7,     8,    -1,    64,    -1,    66,    -1,
      -1,    -1,    -1,    -1,    -1,    73,    -1,    -1,    -1,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,
       7,    -1,    90,    91,    38,    -1,    -1,    95,    -1,    -1,
      98,    -1,    -1,    -1,    -1,   103,   104,   105,    -1,   107,
      -1,   109,    -1,   111,    -1,    -1,   114,    -1,   116,   117,
     118,    65,    -1,    -1,   122,    -1,    43,    -1,    -1,    46,
      -1,    -1,    -1,    -1,    78,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    -1,    97,    -1,    -1,    -1,    -1,    -1,   103,
      -1,    -1,    79,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,    -1,    -1,   117,   118,   119,    -1,   121,    95,    12,
      97,    14,    -1,    -1,    -1,    -1,   103,    -1,    21,   106,
      -1,    24,    25,    26,   111,   112,   113,    -1,    -1,    -1,
      -1,   118,    -1,    -1,    12,    -1,    14,    -1,    41,    -1,
      43,    -1,    45,    21,    -1,    48,    24,    25,    26,    -1,
      -1,    -1,    55,    56,    57,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    41,    -1,    43,    -1,    45,    -1,    -1,
      48,    -1,    -1,    -1,    -1,    -1,    -1,    55,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,    -1,    -1,   117,    -1,    -1,    -1,    -1,    97,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,    -1,    -1,   117,
      -1,    -1,    -1,    -1,    -1,   123,    15,    16,    17,    18,
      19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,    28,
      -1,    30,    31,    -1,    -1,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    46,    -1,    48,
      49,    -1,    51,    52,    53,    54,    -1,    56,    57,    58,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    73,    -1,    -1,    -1,    77,    -1,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    -1,    -1,    -1,    -1,    96,    97,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,    -1,   116,   117,   118,
      -1,    15,    -1,   122,    18,    19,    20,    -1,    22,    -1,
      -1,    -1,    -1,    27,    28,    -1,    30,    31,    32,    -1,
      34,    35,    36,    37,    38,    -1,    40,    -1,    42,    43,
      44,    -1,    46,    -1,    48,    -1,    -1,    51,    52,    53,
      54,    -1,    56,    -1,    58,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    -1,
      -1,    -1,    -1,    97,    98,    -1,    -1,    -1,    -1,   103,
     104,   105,    -1,   107,    -1,   109,    -1,   111,   112,   113,
     114,    -1,   116,   117,    -1,    -1,    15,    -1,   122,    18,
      19,    20,    -1,    22,    -1,    49,    50,    -1,    27,    28,
      -1,    30,    31,    -1,    -1,    -1,    35,    36,    37,    38,
      -1,    -1,    -1,    42,    43,    -1,    -1,    46,    -1,    48,
      -1,    -1,    51,    52,    53,    54,    -1,    56,    -1,    58,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    97,    73,    99,   100,    -1,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,    90,    91,   117,    -1,    -1,    -1,    -1,   122,    98,
      -1,    -1,    -1,    -1,   103,   104,   105,    -1,   107,    15,
     109,    -1,    18,    19,    20,   114,    22,   116,   117,    -1,
      -1,    27,    28,   122,    30,    31,    -1,    -1,    -1,    35,
      36,    37,    -1,    -1,    -1,    -1,    42,    43,    -1,    -1,
      46,    -1,    48,    -1,    -1,    51,    52,    53,    54,    -1,
      56,    -1,    58,    19,    20,    -1,    49,    50,    64,    -1,
      66,    27,    28,    -1,    30,    31,    -1,    73,    -1,    35,
      36,    77,    -1,    -1,    15,    -1,    42,    -1,    19,    20,
      -1,    22,    -1,    -1,    90,    91,    27,    28,    -1,    30,
      31,    -1,    -1,    -1,    35,    36,    37,   103,   104,    -1,
      -1,    42,    -1,   109,    97,    46,    99,   100,    -1,    -1,
      51,    -1,    53,    54,    -1,    -1,   122,    58,   111,   112,
     113,   114,    -1,    64,   117,    66,    -1,    -1,    -1,   122,
      -1,    97,    73,    -1,    -1,    -1,    77,    -1,   104,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,    90,
      91,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,    -1,   107,    15,   109,    -1,
      -1,    19,    20,    -1,    22,   116,    -1,    -1,    -1,    27,
      28,   122,    30,    31,    -1,    -1,    -1,    35,    36,    37,
      -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    46,    -1,
      -1,    -1,    -1,    51,    -1,    53,    -1,    15,    -1,    -1,
      58,    19,    20,    -1,    -1,    -1,    -1,    -1,    66,    27,
      28,    -1,    30,    31,    -1,    -1,    -1,    35,    36,    37,
      -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    46,    -1,
      -1,    -1,    -1,    51,    -1,    53,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,    -1,    66,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   122
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,    87,   131,   133,   132,     0,     1,    15,    16,    17,
      19,    20,    22,    27,    28,    30,    31,    33,    34,    35,
      36,    37,    38,    39,    40,    42,    44,    46,    49,    51,
      53,    58,    66,    88,    97,   103,   104,   111,   112,   113,
     114,   117,   122,   134,   135,   137,   141,   146,   147,   148,
     149,   158,   161,   164,   170,   171,   172,   174,   178,   184,
     185,   186,   187,   195,   197,   199,   200,   201,   202,   220,
     224,   225,   226,   305,   307,   308,   309,     1,     5,     6,
       7,    18,    22,    33,    43,    46,    48,    52,    54,    56,
      57,    64,    71,    73,    76,    77,    78,    79,    90,    91,
      93,    94,    95,    96,    98,   103,   105,   106,   107,   108,
     109,   111,   112,   113,   114,   116,   117,   118,   135,   136,
     139,   141,   142,   143,   146,   151,   152,   153,   154,   158,
     161,   164,   170,   176,   179,   180,   181,   182,   183,   188,
     189,   200,   227,   239,   240,   245,   246,   247,   251,   253,
     254,   255,   256,   263,   264,   265,   270,   273,   274,   278,
     285,   286,   287,   288,   289,   299,   305,   307,   308,   309,
     310,   197,   122,   122,   114,   117,   136,   243,   114,   117,
     136,   242,   243,   306,   114,   117,   136,   242,   122,   178,
     178,   243,   177,   121,    81,    85,    86,   208,   210,   212,
     216,   217,   212,   177,    32,   145,   121,   124,   122,     1,
     113,   123,   137,   149,   175,   307,   308,   180,   197,   198,
     199,   245,   285,    13,   196,   202,   192,   193,    49,    50,
      99,   100,   114,   117,   122,   139,   311,   312,   314,   315,
     317,   318,   320,   326,   327,   328,   330,   124,    79,    79,
     268,   268,   243,   122,   143,    79,   114,   117,   136,   204,
     205,   206,   207,   235,   236,   242,   205,   238,   204,   237,
      79,   114,   117,   136,   241,   273,   309,   237,   104,   139,
     190,   191,   248,   283,   271,   272,   274,   106,   275,   272,
     272,   275,    81,    85,   212,   214,    81,    85,   214,     9,
      10,   259,   261,   262,   259,   106,   272,    81,    85,   214,
     259,    79,   142,   268,    29,    43,    52,    95,   114,   117,
     118,   139,   181,   183,   254,   270,   274,   309,    82,   272,
     271,   272,   303,     6,     7,     8,    65,   114,   117,   118,
     119,   121,   139,   152,   220,   256,   257,   267,   269,   307,
     309,   277,   252,   252,   272,   252,    99,   324,   327,    88,
     159,    88,   162,   124,   221,   104,   222,   223,   124,    99,
     312,   314,   327,    79,   106,   139,   302,   165,   167,   221,
       1,    67,   181,   204,    85,   211,   216,   218,   219,    81,
      83,    83,   123,   122,   204,   228,    79,   114,   117,   118,
     139,   150,   151,   183,   207,   253,   285,   296,   297,   298,
     299,   300,   309,   154,   173,   183,   196,   192,    13,   202,
     189,   331,   316,    80,    81,    84,    86,   321,    80,   321,
     323,   319,   313,   101,   102,   315,   326,   328,   329,   330,
     150,   124,   157,    10,   121,   228,   124,     6,     7,    43,
      46,    52,    95,   103,   118,   153,   270,   302,   205,   230,
     231,   232,   124,   273,   124,   122,    65,    91,   104,   139,
     220,   249,   250,   254,   264,   265,   266,    72,    74,    79,
     114,   117,   128,   136,   279,   280,   282,   309,   252,   121,
     252,    81,    85,   215,   218,    81,   218,    81,     9,    10,
     218,    81,   236,   237,   177,   252,   288,   252,    59,    60,
      61,    63,   291,     8,   304,   324,   125,   254,   252,    80,
      81,    84,   325,    29,    99,     1,   113,   123,   137,   160,
     161,   164,   169,   170,   200,   305,   309,     1,   113,   123,
     137,   163,   164,   169,   200,   305,   309,   242,   192,   202,
     242,   179,     1,   123,   139,   166,   168,   170,   179,   192,
      81,    83,    79,    93,    96,   110,   112,   113,   114,   117,
     118,   135,   138,   140,   141,   146,   154,   158,   161,   164,
     170,   183,   189,   253,   264,   265,   299,   305,   309,   310,
      82,    85,   208,   213,    92,   110,   115,   203,   209,   274,
     285,   288,   299,   110,   203,   209,   274,   285,   288,   299,
     144,   124,   106,    79,   118,   298,    10,   121,   252,   118,
     119,   125,   127,   222,   192,   122,   122,   323,   323,   323,
     323,   123,   314,   327,   329,   332,    82,   242,    12,    14,
      21,    24,    25,    26,    41,    43,    45,    48,    55,    56,
     123,   136,   139,   155,   156,   189,   229,   233,   234,   243,
     205,   205,   112,   118,   140,   153,   207,   240,   244,   285,
     300,   236,   242,   237,    81,    85,    81,    85,   111,   307,
     153,    82,   153,   244,   124,    79,   106,   139,   295,   301,
     194,   252,   303,   280,    68,    69,    70,    75,   126,   127,
     281,   215,   218,    81,   153,    81,    85,   208,   214,   153,
     208,   153,   208,   124,   124,   264,   264,   290,   124,   129,
     258,    79,    96,   106,   136,   276,    80,   323,   325,   323,
     325,   323,   325,   325,   145,   145,   222,   185,   145,    85,
     211,   219,   203,   209,   274,   285,   299,    79,   106,   108,
      81,    79,    93,   112,   114,   117,   118,   140,   253,   264,
     265,   299,   309,    23,   275,    10,   121,   113,   123,   137,
     149,   150,   228,   228,   297,   297,   298,   298,   222,   165,
     165,   104,   114,   122,   139,   224,   314,   312,   327,   332,
     329,   230,   230,   243,   200,   114,   117,   139,   124,   300,
      10,   121,   124,   302,   124,   218,    81,   218,    81,    81,
      85,    99,   327,   110,   203,   295,   118,   123,   155,   234,
     304,    85,   211,   215,   218,    81,   153,   153,   153,   118,
      79,    89,   291,   292,   293,   294,   259,   271,   323,    81,
      79,    93,   106,   108,   112,   114,   117,   118,   140,   253,
     264,   265,   309,    23,   213,    79,   106,   108,   277,   204,
     204,   123,   123,   322,   124,   244,   228,   228,    85,   208,
     208,   218,    81,    81,    84,    99,    10,   121,   205,   301,
     258,    81,   208,    62,   119,   121,   259,   260,   219,    79,
     106,   108,   252,   143,   244,    81,   208,   323,   323,   205,
     205,   252,   294,    47,   284,   123,   208,   252
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   130,   131,   132,   131,   133,   133,   133,   133,   133,
     134,   134,   134,   134,   134,   134,   134,   134,   134,   134,
     134,   135,   135,   136,   136,   137,   137,   137,   138,   138,
     138,   138,   138,   138,   138,   138,   138,   138,   138,   138,
     138,   139,   139,   139,   140,   140,   140,   141,   142,   142,
     142,   143,   143,   143,   143,   143,   143,   143,   143,   144,
     144,   144,   144,   145,   147,   146,   148,   148,   149,   149,
     149,   150,   150,   150,   150,   150,   151,   151,   151,   151,
     151,   151,   151,   151,   151,   151,   151,   151,   151,   151,
     151,   152,   152,   152,   152,   152,   152,   152,   152,   152,
     153,   153,   153,   153,   153,   153,   153,   153,   153,   153,
     153,   153,   154,   155,   156,   155,   157,   157,   157,   157,
     158,   159,   159,   159,   159,   159,   159,   159,   159,   159,
     159,   160,   159,   159,   161,   162,   162,   162,   162,   162,
     162,   162,   162,   162,   163,   162,   162,   164,   165,   165,
     166,   166,   166,   167,   167,   168,   167,   169,   170,   171,
     171,   171,   172,   173,   173,   174,   174,   174,   174,   175,
     174,   174,   176,   176,   176,   177,   177,   177,   178,   179,
     179,   179,   180,   181,   181,   181,   181,   181,   182,   183,
     183,   184,   184,   185,   186,   186,   187,   187,   188,   188,
     188,   190,   189,   189,   191,   191,   192,   193,   193,   194,
     194,   194,   195,   195,   196,   196,   197,   197,   197,   197,
     197,   197,   198,   198,   198,   199,   199,   199,   200,   200,
     200,   201,   201,   201,   202,   202,   203,   203,   203,   204,
     204,   204,   205,   205,   206,   206,   207,   207,   208,   208,
     208,   208,   208,   208,   208,   208,   208,   208,   208,   208,
     208,   208,   209,   210,   210,   210,   210,   210,   210,   210,
     210,   211,   211,   211,   211,   211,   211,   211,   211,   211,
     211,   211,   211,   211,   211,   211,   211,   211,   211,   211,
     211,   211,   212,   212,   213,   213,   214,   214,   214,   214,
     215,   215,   215,   215,   216,   216,   216,   216,   216,   216,
     216,   216,   216,   216,   216,   216,   217,   217,   217,   217,
     217,   217,   217,   217,   217,   217,   218,   218,   218,   219,
     219,   220,   221,   221,   223,   222,   222,   224,   224,   225,
     225,   225,   225,   225,   226,   226,   226,   226,   227,   228,
     229,   229,   229,   229,   230,   231,   232,   232,   232,   232,
     233,   233,   233,   233,   233,   233,   233,   233,   233,   234,
     234,   234,   234,   235,   236,   236,   237,   238,   239,   239,
     239,   239,   240,   240,   240,   241,   241,   241,   241,   242,
     242,   242,   243,   243,   243,   244,   244,   244,   244,   244,
     244,   244,   244,   245,   245,   245,   245,   245,   246,   247,
     247,   248,   248,   249,   249,   249,   249,   250,   250,   250,
     251,   252,   252,   253,   253,   253,   253,   253,   253,   253,
     253,   254,   254,   255,   256,   256,   256,   256,   257,   257,
     258,   258,   259,   259,   259,   260,   261,   261,   262,   262,
     263,   264,   265,   265,   266,   266,   267,   267,   267,   267,
     268,   269,   269,   269,   269,   269,   269,   269,   270,   270,
     270,   271,   271,   272,   273,   273,   274,   275,   275,   276,
     276,   277,   277,   277,   277,   278,   278,   279,   279,   279,
     279,   279,   280,   280,   280,   280,   280,   281,   281,   281,
     281,   282,   282,   283,   283,   284,   284,   285,   285,   286,
     286,   287,   287,   287,   287,   288,   289,   289,   290,   290,
     291,   291,   291,   291,   292,   292,   292,   293,   293,   294,
     294,   294,   295,   295,   296,   296,   296,   297,   297,   297,
     298,   298,   299,   299,   299,   300,   300,   300,   301,   301,
     301,   302,   302,   302,   303,   303,   304,   304,   306,   305,
     307,   308,   309,   309,   310,   311,   311,   311,   313,   312,
     314,   314,   315,   315,   315,   316,   315,   317,   318,   319,
     319,   319,   320,   321,   321,   322,   321,   321,   321,   321,
     321,   323,   323,   324,   324,   325,   325,   325,   325,   325,
     325,   326,   327,   327,   328,   328,   329,   329,   331,   330,
     330,   330,   332,   332
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     0,     3,     0,     2,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       2,     0,     1,     1,     1,     2,     3,     1,     2,     0,
       2,     2,     2,     4,     0,     2,     1,     1,     3,     5,
       3,     1,     1,     3,     3,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     4,     4,     4,     5,     5,     5,
       1,     3,     3,     4,     4,     3,     4,     2,     3,     3,
       2,     1,     4,     1,     0,     2,     0,     2,     2,     2,
       4,     0,     1,     2,     2,     2,     2,     2,     2,     2,
       2,     0,     3,     2,     4,     0,     1,     2,     2,     2,
       2,     2,     2,     2,     0,     3,     2,     4,     1,     2,
       1,     1,     1,     0,     2,     0,     3,     1,     2,     1,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     0,
       3,     2,     4,     5,     2,     0,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     2,     1,     1,
       1,     4,     5,     2,     2,     1,     2,     3,     1,     1,
       1,     0,     5,     2,     1,     1,     1,     0,     2,     0,
       2,     2,     4,     4,     3,     4,     1,     1,     1,     1,
       3,     5,     1,     1,     1,     3,     2,     2,     1,     1,
       2,     1,     1,     1,     1,     1,     1,     3,     3,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     4,
       5,     5,     5,     4,     4,     3,     3,     3,     3,     3,
       3,     3,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     1,     4,     4,     4,     4,     4,     4,     4,     4,
       5,     5,     5,     4,     4,     4,     4,     3,     3,     3,
       3,     3,     1,     4,     1,     3,     2,     2,     3,     3,
       2,     2,     3,     3,     1,     3,     3,     3,     4,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     4,     4,     1,     4,     2,     1,
       3,     2,     0,     2,     0,     2,     1,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       3,     2,     4,     2,     3,     1,     1,     5,     5,     4,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     2,     1,     1,     2,     1,     1,     4,     3,
       4,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     3,     3,     2,     3,     3,     1,     1,     3,     3,
       3,     0,     2,     5,     2,     1,     1,     1,     1,     1,
       2,     0,     2,     1,     2,     1,     1,     2,     2,     2,
       2,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       0,     2,     0,     1,     1,     1,     1,     2,     1,     2,
       2,     2,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     2,     2,     2,     0,     2,     1,
       1,     0,     3,     3,     3,     1,     2,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     2,     1,     1,     1,
       1,     1,     2,     0,     2,     0,     1,     8,     2,     2,
       2,     1,     1,     1,     1,     3,     2,     4,     0,     2,
       1,     1,     2,     2,     1,     1,     1,     1,     3,     1,
       2,     2,     1,     3,     3,     3,     1,     1,     3,     3,
       2,     1,     1,     1,     2,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     0,     2,     0,     2,     0,     3,
       1,     2,     2,     1,     3,     1,     2,     1,     0,     3,
       1,     1,     1,     1,     2,     0,     5,     2,     3,     0,
       2,     2,     2,     3,     3,     0,     6,     3,     3,     3,
       1,     1,     3,     2,     3,     2,     2,     2,     2,     2,
       2,     3,     1,     2,     1,     1,     1,     1,     0,     5,
       2,     2,     2,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, parser, retval, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YYLOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YYLOCATION_PRINT

#  if defined YY_LOCATION_PRINT

   /* Temporary convenience wrapper in case some people defined the
      undocumented and private YY_LOCATION_PRINT macros.  */
#   define YYLOCATION_PRINT(File, Loc)  YY_LOCATION_PRINT(File, *(Loc))

#  elif defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
}

#   define YYLOCATION_PRINT  yy_location_print_

    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT(File, Loc)  YYLOCATION_PRINT(File, &(Loc))

#  else

#   define YYLOCATION_PRINT(File, Loc) ((void) 0)
    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT  YYLOCATION_PRINT

#  endif
# endif /* !defined YYLOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location, parser, retval); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, Lily_parser *parser, SCM *retval)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  YY_USE (parser);
  YY_USE (retval);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, Lily_parser *parser, SCM *retval)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YYLOCATION_PRINT (yyo, yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp, parser, retval);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule, Lily_parser *parser, SCM *retval)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]), parser, retval);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, parser, retval); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
  YYLTYPE *yylloc;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, Lily_parser *parser, SCM *retval)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  YY_USE (parser);
  YY_USE (retval);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (Lily_parser *parser, SCM *retval)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, &yylloc, parser);
    }

  if (yychar <= END_OF_FILE)
    {
      yychar = END_OF_FILE;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 3: /* $@1: %empty  */
#line 409 "parser.yy"
                        {
		parser->lexer_->push_note_state ();
	}
#line 3521 "./out/parser.cc"
    break;

  case 4: /* start_symbol: "#{" $@1 embedded_lilypond  */
#line 411 "parser.yy"
                            {
		parser->lexer_->pop_state ();
                *retval = yyvsp[0];
 	}
#line 3530 "./out/parser.cc"
    break;

  case 5: /* lilypond: %empty  */
#line 417 "parser.yy"
                            { yyval = SCM_UNSPECIFIED; }
#line 3536 "./out/parser.cc"
    break;

  case 6: /* lilypond: lilypond toplevel_expression  */
#line 418 "parser.yy"
                                       {
	}
#line 3543 "./out/parser.cc"
    break;

  case 7: /* lilypond: lilypond assignment  */
#line 420 "parser.yy"
                              {
	}
#line 3550 "./out/parser.cc"
    break;

  case 8: /* lilypond: lilypond error  */
#line 422 "parser.yy"
                         {
		parser->error_level_ = 1;
	}
#line 3558 "./out/parser.cc"
    break;

  case 9: /* lilypond: lilypond "\\version-error"  */
#line 425 "parser.yy"
                                {
		parser->error_level_ = 1;
	}
#line 3566 "./out/parser.cc"
    break;

  case 10: /* toplevel_expression: header_block  */
#line 432 "parser.yy"
                     {
		parser->lexer_->set_identifier (ly_symbol2scm ("$defaultheader"), yyvsp[0]);
	}
#line 3574 "./out/parser.cc"
    break;

  case 11: /* toplevel_expression: book_block  */
#line 435 "parser.yy"
                     {
		SCM proc = parser->lexer_->lookup_identifier ("toplevel-book-handler");
		ly_call (proc, yyvsp[0]);
	}
#line 3583 "./out/parser.cc"
    break;

  case 12: /* toplevel_expression: bookpart_block  */
#line 439 "parser.yy"
                         {
		SCM proc = parser->lexer_->lookup_identifier ("toplevel-bookpart-handler");
		ly_call (proc, yyvsp[0]);
	}
#line 3592 "./out/parser.cc"
    break;

  case 13: /* toplevel_expression: BOOK_IDENTIFIER  */
#line 443 "parser.yy"
                          {
		SCM sym = unsmob<Book>(yyvsp[0])->paper_
			? ly_symbol2scm ("toplevel-book-handler")
			: ly_symbol2scm ("toplevel-bookpart-handler");

		SCM proc = parser->lexer_->lookup_identifier_symbol (sym);
		ly_call (proc, yyvsp[0]);
	}
#line 3605 "./out/parser.cc"
    break;

  case 14: /* toplevel_expression: score_block  */
#line 451 "parser.yy"
                      {
		SCM proc = parser->lexer_->lookup_identifier ("toplevel-score-handler");
		ly_call (proc, yyvsp[0]);
	}
#line 3614 "./out/parser.cc"
    break;

  case 15: /* toplevel_expression: composite_music  */
#line 455 "parser.yy"
                          {
		SCM proc = parser->lexer_->lookup_identifier ("toplevel-music-handler");
		ly_call (proc, yyvsp[0]);
	}
#line 3623 "./out/parser.cc"
    break;

  case 16: /* toplevel_expression: full_markup  */
#line 459 "parser.yy"
                      {
		SCM proc = parser->lexer_->lookup_identifier ("toplevel-text-handler");
		ly_call (proc, ly_list (yyvsp[0]));
	}
#line 3632 "./out/parser.cc"
    break;

  case 17: /* toplevel_expression: full_markup_list  */
#line 463 "parser.yy"
                           {
		SCM proc = parser->lexer_->lookup_identifier ("toplevel-text-handler");
		ly_call (proc, yyvsp[0]);
	}
#line 3641 "./out/parser.cc"
    break;

  case 18: /* toplevel_expression: SCM_TOKEN  */
#line 467 "parser.yy"
                    {
		// Evaluate and ignore #xxx, as opposed to \xxx
		parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 3650 "./out/parser.cc"
    break;

  case 19: /* toplevel_expression: embedded_scm_active  */
#line 472 "parser.yy"
        {
		SCM out = SCM_UNDEFINED;
		if (Text_interface::is_markup (yyvsp[0]))
			out = ly_list (yyvsp[0]);
		else if (Text_interface::is_markup_list (yyvsp[0]))
			out = yyvsp[0];
		if (scm_is_pair (out))
		{
			SCM proc = parser->lexer_->lookup_identifier ("toplevel-text-handler");
			ly_call (proc, out);
		} else if (unsmob<Score> (yyvsp[0]))
		{
			SCM proc = parser->lexer_->lookup_identifier ("toplevel-score-handler");
			ly_call (proc, yyvsp[0]);
		} else if (Output_def * od = unsmob<Output_def> (yyvsp[0])) {
			SCM id = SCM_EOL;
			SCM kind = od->c_variable ("output-def-kind");
			if (scm_is_eq (kind, ly_symbol2scm ("paper")))
				id = ly_symbol2scm ("$defaultpaper");
			else if (scm_is_eq (kind, ly_symbol2scm ("midi")))
				id = ly_symbol2scm ("$defaultmidi");
			else if (scm_is_eq (kind, ly_symbol2scm ("layout")))
				id = ly_symbol2scm ("$defaultlayout");

			parser->lexer_->set_identifier (id, yyvsp[0]);
		} else if (ly_is_module (yyvsp[0]))
		{
			SCM module = get_header (parser);
			ly_module_copy (module, yyvsp[0]);
			parser->lexer_->set_identifier
				(ly_symbol2scm ("$defaultheader"), module);
		} else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _("bad expression type"));
	}
#line 3689 "./out/parser.cc"
    break;

  case 20: /* toplevel_expression: output_def  */
#line 506 "parser.yy"
                     {
		SCM id = SCM_EOL;
		Output_def * od = unsmob<Output_def> (yyvsp[0]);
		SCM kind = od->c_variable ("output-def-kind");
		if (scm_is_eq (kind, ly_symbol2scm ("paper")))
			id = ly_symbol2scm ("$defaultpaper");
		else if (scm_is_eq (kind, ly_symbol2scm ("midi")))
			id = ly_symbol2scm ("$defaultmidi");
		else if (scm_is_eq (kind, ly_symbol2scm ("layout")))
			id = ly_symbol2scm ("$defaultlayout");

		parser->lexer_->set_identifier (id, yyvsp[0]);
	}
#line 3707 "./out/parser.cc"
    break;

  case 22: /* lookup: LOOKUP_IDENTIFIER '.' symbol_list_rev  */
#line 524 "parser.yy"
        {
		yyval = loc_on_copy (parser, (yyloc),
				  nested_property (yyvsp[-2], scm_reverse_x (yyvsp[0], SCM_EOL)));
	}
#line 3716 "./out/parser.cc"
    break;

  case 23: /* embedded_scm_bare: SCM_TOKEN  */
#line 532 "parser.yy"
        {
		yyval = parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 3724 "./out/parser.cc"
    break;

  case 29: /* embedded_scm_bare_arg: SCM_TOKEN  */
#line 547 "parser.yy"
        {
		yyval = parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 3732 "./out/parser.cc"
    break;

  case 47: /* scm_function_call: SCM_FUNCTION function_arglist  */
#line 578 "parser.yy"
                                      {
		yyval = MAKE_SYNTAX (music_function, (yyloc),
				  yyvsp[-1], yyvsp[0]);
	}
#line 3741 "./out/parser.cc"
    break;

  case 48: /* embedded_lilypond_number: '-' embedded_lilypond_number  */
#line 586 "parser.yy"
        {
		yyval = scm_difference (yyvsp[0], SCM_UNDEFINED);
	}
#line 3749 "./out/parser.cc"
    break;

  case 50: /* embedded_lilypond_number: UNSIGNED NUMBER_IDENTIFIER  */
#line 591 "parser.yy"
        {
		yyval = scm_product (yyvsp[-1], yyvsp[0]);
	}
#line 3757 "./out/parser.cc"
    break;

  case 51: /* embedded_lilypond: %empty  */
#line 598 "parser.yy"
        {
		// FIXME: @$ does not contain a useful source location
		// for empty rules, and the only token in the whole
		// production, EMBEDDED_LILY, is synthetic and also
		// contains no source location.
		yyval = MAKE_SYNTAX (unspecified_music, (yyloc));
	}
#line 3769 "./out/parser.cc"
    break;

  case 54: /* embedded_lilypond: post_event  */
#line 608 "parser.yy"
        {
		if (!unsmob<Music> (yyvsp[0]))
			yyval = MY_MAKE_MUSIC ("PostEvents", (yyloc))->unprotect ();
	}
#line 3778 "./out/parser.cc"
    break;

  case 55: /* embedded_lilypond: duration post_events  */
#line 613 "parser.yy"
        {
		if (scm_is_pair (yyvsp[0])) {
			Music *n = MY_MAKE_MUSIC ("NoteEvent", (yyloc));

			parser->default_duration_ = *unsmob<Duration> (yyvsp[-1]);
			set_property (n, "duration", yyvsp[-1]);
			set_property (n, "articulations",
					 scm_reverse_x (yyvsp[0], SCM_EOL));
			yyval = n->unprotect ();
		}
	}
#line 3794 "./out/parser.cc"
    break;

  case 56: /* embedded_lilypond: music_embedded music_embedded music_list  */
#line 624 "parser.yy"
                                                   {
		SCM tail = SCM_EOL;
		if (unsmob<Music> (yyvsp[-2]))
			tail = scm_cons (yyvsp[-2], tail);
		if (unsmob<Music> (yyvsp[-1]))
			tail = scm_cons (yyvsp[-1], tail);
		yyval = reverse_music_list (parser, (yyloc),
					 scm_append_x (ly_list (yyvsp[0], tail)),
					 true, true);
		if (scm_is_pair (yyval)) // unpackaged list
			if (scm_is_null (scm_cdr (yyval)))
				yyval = scm_car (yyval); // single expression
			else
				yyval = MAKE_SYNTAX (sequential_music, (yyloc), yyval);
		else if (scm_is_null (yyval))
			yyval = MAKE_SYNTAX (unspecified_music, (yyloc));
		// else already packaged post-event
	}
#line 3817 "./out/parser.cc"
    break;

  case 57: /* embedded_lilypond: error  */
#line 642 "parser.yy"
                {
		parser->error_level_ = 1;
                yyval = SCM_UNSPECIFIED;
	}
#line 3826 "./out/parser.cc"
    break;

  case 58: /* embedded_lilypond: "\\version-error" embedded_lilypond  */
#line 646 "parser.yy"
                                    {
		parser->error_level_ = 1;
                yyval = yyvsp[0];
	}
#line 3835 "./out/parser.cc"
    break;

  case 59: /* lilypond_header_body: %empty  */
#line 654 "parser.yy"
                    { yyval = SCM_UNSPECIFIED; }
#line 3841 "./out/parser.cc"
    break;

  case 60: /* lilypond_header_body: lilypond_header_body assignment  */
#line 655 "parser.yy"
                                           {

	}
#line 3849 "./out/parser.cc"
    break;

  case 61: /* lilypond_header_body: lilypond_header_body SCM_TOKEN  */
#line 658 "parser.yy"
                                         {
		// Evaluate and ignore #xxx, as opposed to \xxx
		parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 3858 "./out/parser.cc"
    break;

  case 62: /* lilypond_header_body: lilypond_header_body embedded_scm_active  */
#line 662 "parser.yy"
                                                   {
		if (ly_is_module (yyvsp[0]))
			ly_module_copy (scm_current_module (), yyvsp[0]);
		else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _("bad expression type"));
	}
#line 3869 "./out/parser.cc"
    break;

  case 63: /* lilypond_header: "\\header" '{' lilypond_header_body '}'  */
#line 671 "parser.yy"
                                                {
		yyval = parser->lexer_->remove_scope ();
	}
#line 3877 "./out/parser.cc"
    break;

  case 64: /* $@2: %empty  */
#line 677 "parser.yy"
        {
		parser->lexer_->add_scope (get_header (parser));
	}
#line 3885 "./out/parser.cc"
    break;

  case 65: /* header_block: $@2 lilypond_header  */
#line 679 "parser.yy"
                          {
		yyval = yyvsp[0];
	}
#line 3893 "./out/parser.cc"
    break;

  case 66: /* assignment_id: STRING  */
#line 689 "parser.yy"
        {
		yyval = scm_string_to_symbol (yyvsp[0]);
	}
#line 3901 "./out/parser.cc"
    break;

  case 67: /* assignment_id: SYMBOL  */
#line 693 "parser.yy"
        {
		yyval = scm_string_to_symbol (yyvsp[0]);
	}
#line 3909 "./out/parser.cc"
    break;

  case 68: /* assignment: assignment_id '=' identifier_init  */
#line 699 "parser.yy"
                                           {
	        parser->lexer_->set_identifier (yyvsp[-2], yyvsp[0]);
                yyval = SCM_UNSPECIFIED;
	}
#line 3918 "./out/parser.cc"
    break;

  case 69: /* assignment: assignment_id '.' property_path '=' identifier_init  */
#line 703 "parser.yy"
                                                              {
		SCM path = scm_cons (yyvsp[-4], yyvsp[-2]);
		parser->lexer_->set_identifier (path, yyvsp[0]);
                yyval = SCM_UNSPECIFIED;
	}
#line 3928 "./out/parser.cc"
    break;

  case 70: /* assignment: markup_mode_word '=' identifier_init  */
#line 709 "parser.yy"
        {
		if (scm_is_false (Lily::markup_function_p (yyvsp[0])))
		{
			parser->parser_error ((yylsp[0]), _ ("Not a markup function"));
		} else {
			Lily::define_markup_command_internal
 				(scm_string_to_symbol (yyvsp[-2]), yyvsp[0], SCM_BOOL_F);
		}
		yyval = SCM_UNSPECIFIED;
	}
#line 3943 "./out/parser.cc"
    break;

  case 73: /* identifier_init: symbol_list_part_bare '.' property_path  */
#line 726 "parser.yy"
        {
		yyval = scm_reverse_x (yyvsp[-2], yyvsp[0]);
	}
#line 3951 "./out/parser.cc"
    break;

  case 74: /* identifier_init: symbol_list_part_bare ',' property_path  */
#line 730 "parser.yy"
        {
		yyval = scm_reverse_x (yyvsp[-2], yyvsp[0]);
	}
#line 3959 "./out/parser.cc"
    break;

  case 75: /* identifier_init: post_event_nofinger post_events  */
#line 734 "parser.yy"
        {
		yyval = post_event_cons (yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL));
		if (scm_is_pair (yyval)
		    && scm_is_null (scm_cdr (yyval)))
			yyval = scm_car (yyval);
		else
		{
			Music * m = MY_MAKE_MUSIC ("PostEvents", (yyloc));
			set_property (m, "elements", yyval);
			yyval = m->unprotect ();
		}
	}
#line 3976 "./out/parser.cc"
    break;

  case 90: /* identifier_init_nonumber: partial_function "\\etc"  */
#line 764 "parser.yy"
        {
		yyval = MAKE_SYNTAX (partial_music_function, (yyloc),
				  scm_reverse_x (yyvsp[-1], SCM_EOL));
	}
#line 3985 "./out/parser.cc"
    break;

  case 91: /* partial_function_scriptable: MUSIC_FUNCTION function_arglist_partial  */
#line 774 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-1], yyvsp[0], SCM_EOL);
	}
#line 3993 "./out/parser.cc"
    break;

  case 92: /* partial_function_scriptable: EVENT_FUNCTION function_arglist_partial  */
#line 778 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-1], yyvsp[0], SCM_EOL);
	}
#line 4001 "./out/parser.cc"
    break;

  case 93: /* partial_function_scriptable: SCM_FUNCTION function_arglist_partial  */
#line 782 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-1], yyvsp[0], SCM_EOL);
	}
#line 4009 "./out/parser.cc"
    break;

  case 94: /* partial_function_scriptable: MUSIC_FUNCTION "scheme?" function_arglist_optional partial_function  */
#line 786 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-3], yyvsp[-1], yyvsp[0]);
	}
#line 4017 "./out/parser.cc"
    break;

  case 95: /* partial_function_scriptable: EVENT_FUNCTION "scheme?" function_arglist_optional partial_function  */
#line 790 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-3], yyvsp[-1], yyvsp[0]);
	}
#line 4025 "./out/parser.cc"
    break;

  case 96: /* partial_function_scriptable: SCM_FUNCTION "scheme?" function_arglist_optional partial_function  */
#line 794 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-3], yyvsp[-1], yyvsp[0]);
	}
#line 4033 "./out/parser.cc"
    break;

  case 97: /* partial_function_scriptable: MUSIC_FUNCTION "optional?" "scheme?" function_arglist_nonbackup partial_function  */
#line 798 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-4], yyvsp[-1], yyvsp[0]);
	}
#line 4041 "./out/parser.cc"
    break;

  case 98: /* partial_function_scriptable: EVENT_FUNCTION "optional?" "scheme?" function_arglist_nonbackup partial_function  */
#line 802 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-4], yyvsp[-1], yyvsp[0]);
	}
#line 4049 "./out/parser.cc"
    break;

  case 99: /* partial_function_scriptable: SCM_FUNCTION "optional?" "scheme?" function_arglist_nonbackup partial_function  */
#line 806 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-4], yyvsp[-1], yyvsp[0]);
	}
#line 4057 "./out/parser.cc"
    break;

  case 101: /* partial_function: "\\override" grob_prop_path '='  */
#line 814 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[-1]))
			yyval = ly_list (SCM_BOOL_F);
		else
			yyval = scm_cons
				(ly_list (Syntax::property_override,
			                  scm_cdr (yyvsp[-1]), scm_car (yyvsp[-1])),
				 SCM_EOL);
	}
#line 4071 "./out/parser.cc"
    break;

  case 102: /* partial_function: "\\set" context_prop_spec '='  */
#line 824 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[-1]))
			yyval = ly_list (SCM_BOOL_F);
		else
			yyval = scm_cons
				(ly_list (Syntax::property_set,
				          scm_cadr (yyvsp[-1]), scm_car (yyvsp[-1])),
				 SCM_EOL);
	}
#line 4085 "./out/parser.cc"
    break;

  case 103: /* partial_function: "\\override" grob_prop_path '=' partial_function  */
#line 834 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[-2]))
			yyval = ly_list (SCM_BOOL_F);
		else
			yyval = scm_cons
				(ly_list (Syntax::property_override,
			       	          scm_cdr (yyvsp[-2]), scm_car (yyvsp[-2])),
				 yyvsp[0]);
	}
#line 4099 "./out/parser.cc"
    break;

  case 104: /* partial_function: "\\set" context_prop_spec '=' partial_function  */
#line 844 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[-2]))
			yyval = ly_list (SCM_BOOL_F);
		else
			yyval = scm_cons
				(ly_list (Syntax::property_set,
					  scm_cadr (yyvsp[-2]), scm_car (yyvsp[-2])),
				 yyvsp[0]);
	}
#line 4113 "./out/parser.cc"
    break;

  case 105: /* partial_function: "\\repeat" simple_string unsigned_integer  */
#line 854 "parser.yy"
        {
		yyval = scm_cons (ly_list (Syntax::repeat, yyvsp[0], yyvsp[-1]), SCM_EOL);
	}
#line 4121 "./out/parser.cc"
    break;

  case 106: /* partial_function: "\\repeat" simple_string unsigned_integer partial_function  */
#line 858 "parser.yy"
        {
		yyval = scm_cons (ly_list (Syntax::repeat, yyvsp[-1], yyvsp[-2]), yyvsp[0]);
	}
#line 4129 "./out/parser.cc"
    break;

  case 107: /* partial_function: "\\repeat" simple_string  */
#line 862 "parser.yy"
        {
		yyval = scm_cons (ly_list (Syntax::repeat, yyvsp[0]), SCM_EOL);
	}
#line 4137 "./out/parser.cc"
    break;

  case 108: /* partial_function: "\\repeat" simple_string partial_function  */
#line 866 "parser.yy"
        {
		yyval = scm_cons (ly_list (Syntax::repeat, yyvsp[-1]), yyvsp[0]);
	}
#line 4145 "./out/parser.cc"
    break;

  case 109: /* partial_function: script_dir markup_mode markup_partial_function  */
#line 871 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[-2]))
			yyvsp[-2] = SCM_INUM0;
		yyvsp[0] = MAKE_SYNTAX (partial_markup, (yylsp[0]), yyvsp[0]);
		parser->lexer_->pop_state ();
// This relies on partial_function always being followed by ETC
		yyval = ly_list (ly_list (MAKE_SYNTAX (partial_text_script, (yyloc), yyvsp[0]),
				       yyvsp[0], yyvsp[-2]));
	}
#line 4159 "./out/parser.cc"
    break;

  case 110: /* partial_function: script_dir partial_function_scriptable  */
#line 881 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[-1]))
			yyvsp[-1] = SCM_INUM0;
		yyval = scm_acons (Syntax::create_script_function, ly_list (yyvsp[-1]), yyvsp[0]);
	}
#line 4169 "./out/parser.cc"
    break;

  case 111: /* partial_function: script_dir  */
#line 887 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[0]))
			yyvsp[0] = SCM_INUM0;
		yyval = scm_acons (Syntax::create_script_function, ly_list (yyvsp[0]), SCM_EOL);
	}
#line 4179 "./out/parser.cc"
    break;

  case 112: /* context_def_spec_block: "\\context" '{' context_def_spec_body '}'  */
#line 896 "parser.yy"
        {
		yyval = yyvsp[-1];
		Context_def *td = unsmob<Context_def> (yyval);
		if (!td) {
			yyval = Context_def::make_scm ();
			td = unsmob<Context_def> (yyval);
		}
		td->origin ()->set_spot ((yyloc));
	}
#line 4193 "./out/parser.cc"
    break;

  case 114: /* $@3: %empty  */
#line 910 "parser.yy"
        {
		parser->lexer_->push_note_state ();
	}
#line 4201 "./out/parser.cc"
    break;

  case 115: /* context_mod_arg: $@3 composite_music  */
#line 914 "parser.yy"
        {
		parser->lexer_->pop_state ();
		yyval = yyvsp[0];
	}
#line 4210 "./out/parser.cc"
    break;

  case 116: /* context_def_spec_body: %empty  */
#line 922 "parser.yy"
             {
		yyval = SCM_UNSPECIFIED;
	}
#line 4218 "./out/parser.cc"
    break;

  case 117: /* context_def_spec_body: context_def_spec_body context_mod  */
#line 925 "parser.yy"
                                            {
		if (!SCM_UNBNDP (yyvsp[0])) {
			Context_def *td = unsmob<Context_def> (yyval);
			if (!td) {
				yyval = Context_def::make_scm ();
				td = unsmob<Context_def> (yyval);
			}
			unsmob<Context_def> (yyval)->add_context_mod (yyvsp[0]);
		}
	}
#line 4233 "./out/parser.cc"
    break;

  case 118: /* context_def_spec_body: context_def_spec_body context_modification  */
#line 935 "parser.yy"
                                                     {
                Context_def *td = unsmob<Context_def> (yyval);
		if (!td) {
			yyval = Context_def::make_scm ();
			td = unsmob<Context_def> (yyval);
		}
                SCM new_mods = unsmob<Context_mod> (yyvsp[0])->get_mods ();
                for (SCM m = new_mods; scm_is_pair (m); m = scm_cdr (m)) {
                    td->add_context_mod (scm_car (m));
                }
	}
#line 4249 "./out/parser.cc"
    break;

  case 119: /* context_def_spec_body: context_def_spec_body context_mod_arg  */
#line 946 "parser.yy"
                                                {
		Context_def *td = unsmob<Context_def> (yyvsp[-1]);
		if (scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			;
		else if (!td && unsmob<Context_def> (yyvsp[0]))
			yyval = yyvsp[0];
		else {
			if (!td) {
				yyval = Context_def::make_scm ();
				td = unsmob<Context_def> (yyval);
			}
			if (unsmob<Music> (yyvsp[0])) {
				SCM proc = parser->lexer_->lookup_identifier ("context-mod-music-handler");
				yyvsp[0] = ly_call (proc, yyvsp[0]);
			}
			if (Context_mod *cm = unsmob<Context_mod> (yyvsp[0])) {
				for (SCM m = cm->get_mods (); scm_is_pair (m); m = scm_cdr (m)) {
					td->add_context_mod (scm_car (m));
				}
			} else
				parser->parser_error ((yylsp[0]), _ ("not a context mod"));
		}
	}
#line 4277 "./out/parser.cc"
    break;

  case 120: /* book_block: "\\book" '{' book_body '}'  */
#line 974 "parser.yy"
                                {
		yyval = yyvsp[-1];
		unsmob<Book> (yyval)->origin ()->set_spot ((yyloc));
		pop_paper (parser);
		parser->lexer_->set_identifier (ly_symbol2scm ("$current-book"), SCM_BOOL_F);
	}
#line 4288 "./out/parser.cc"
    break;

  case 121: /* book_body: %empty  */
#line 986 "parser.yy"
        {
		Book *book = new Book;
		init_papers (parser);
		book->paper_ = unsmob<Output_def> (parser->lexer_->lookup_identifier ("$defaultpaper"))->clone ();
		book->paper_->unprotect ();
		push_paper (parser, book->paper_);
		book->header_ = get_header (parser);
                yyval = book->unprotect ();
		parser->lexer_->set_identifier (ly_symbol2scm ("$current-book"), yyval);
	}
#line 4303 "./out/parser.cc"
    break;

  case 122: /* book_body: BOOK_IDENTIFIER  */
#line 996 "parser.yy"
                          {
		parser->lexer_->set_identifier (ly_symbol2scm ("$current-book"), yyvsp[0]);
	}
#line 4311 "./out/parser.cc"
    break;

  case 123: /* book_body: book_body paper_block  */
#line 999 "parser.yy"
                                {
		unsmob<Book> (yyvsp[-1])->paper_ = unsmob<Output_def> (yyvsp[0]);
		set_paper (parser, unsmob<Output_def> (yyvsp[0]));
	}
#line 4320 "./out/parser.cc"
    break;

  case 124: /* book_body: book_body bookpart_block  */
#line 1003 "parser.yy"
                                   {
		SCM proc = parser->lexer_->lookup_identifier ("book-bookpart-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4329 "./out/parser.cc"
    break;

  case 125: /* book_body: book_body score_block  */
#line 1007 "parser.yy"
                                {
		SCM proc = parser->lexer_->lookup_identifier ("book-score-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4338 "./out/parser.cc"
    break;

  case 126: /* book_body: book_body composite_music  */
#line 1011 "parser.yy"
                                    {
		SCM proc = parser->lexer_->lookup_identifier ("book-music-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4347 "./out/parser.cc"
    break;

  case 127: /* book_body: book_body full_markup  */
#line 1015 "parser.yy"
                                {
		SCM proc = parser->lexer_->lookup_identifier ("book-text-handler");
		ly_call (proc, yyvsp[-1], ly_list (yyvsp[0]));
	}
#line 4356 "./out/parser.cc"
    break;

  case 128: /* book_body: book_body full_markup_list  */
#line 1019 "parser.yy"
                                     {
		SCM proc = parser->lexer_->lookup_identifier ("book-text-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4365 "./out/parser.cc"
    break;

  case 129: /* book_body: book_body SCM_TOKEN  */
#line 1023 "parser.yy"
                              {
		// Evaluate and ignore #xxx, as opposed to \xxx
		parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 4374 "./out/parser.cc"
    break;

  case 130: /* book_body: book_body embedded_scm_active  */
#line 1028 "parser.yy"
        {
		SCM out = SCM_UNDEFINED;
		if (Text_interface::is_markup (yyvsp[0]))
			out = ly_list (yyvsp[0]);
		else if (Text_interface::is_markup_list (yyvsp[0]))
			out = yyvsp[0];
		if (scm_is_pair (out))
		{
			SCM proc = parser->lexer_->lookup_identifier ("book-text-handler");
			ly_call (proc, yyvsp[-1], out);
		} else if (unsmob<Score> (yyvsp[0]))
		{
			SCM proc = parser->lexer_->lookup_identifier ("book-score-handler");
			ly_call (proc, yyvsp[-1], yyvsp[0]);
		} else if (Output_def *od = unsmob<Output_def> (yyvsp[0])) {
			if (scm_is_eq (od->lookup_variable (ly_symbol2scm ("output-def-kind")),
				       ly_symbol2scm ("paper"))) {
				unsmob<Book> (yyvsp[-1])->paper_ = od;
				set_paper (parser, od);
			} else {
				parser->parser_error ((yylsp[0]), _ ("need \\paper for paper block"));
			}
		} else if (ly_is_module (yyvsp[0]))
		{
			ly_module_copy (unsmob<Book> (yyvsp[-1])->header_, yyvsp[0]);
		} else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _("bad expression type"));
	}
#line 4407 "./out/parser.cc"
    break;

  case 131: /* $@4: %empty  */
#line 1057 "parser.yy"
        {
		parser->lexer_->add_scope (unsmob<Book> (yyvsp[0])->header_);
	}
#line 4415 "./out/parser.cc"
    break;

  case 133: /* book_body: book_body error  */
#line 1060 "parser.yy"
                          {
                Book *book = unsmob<Book> (yyvsp[-1]);
		book->paper_ = 0;
		book->scores_ = SCM_EOL;
		book->bookparts_ = SCM_EOL;
	}
#line 4426 "./out/parser.cc"
    break;

  case 134: /* bookpart_block: "\\bookpart" '{' bookpart_body '}'  */
#line 1069 "parser.yy"
                                       {
		yyval = yyvsp[-1];
		unsmob<Book> (yyval)->origin ()->set_spot ((yyloc));
		parser->lexer_->set_identifier (ly_symbol2scm ("$current-bookpart"), SCM_BOOL_F);
	}
#line 4436 "./out/parser.cc"
    break;

  case 135: /* bookpart_body: %empty  */
#line 1077 "parser.yy"
        {
		Book *book = new Book;
                yyval = book->unprotect ();
		parser->lexer_->set_identifier (ly_symbol2scm ("$current-bookpart"), yyval);
	}
#line 4446 "./out/parser.cc"
    break;

  case 136: /* bookpart_body: BOOK_IDENTIFIER  */
#line 1082 "parser.yy"
                          {
		parser->lexer_->set_identifier (ly_symbol2scm ("$current-bookpart"), yyvsp[0]);
	}
#line 4454 "./out/parser.cc"
    break;

  case 137: /* bookpart_body: bookpart_body paper_block  */
#line 1085 "parser.yy"
                                    {
		unsmob<Book> (yyval)->paper_ = unsmob<Output_def> (yyvsp[0]);
	}
#line 4462 "./out/parser.cc"
    break;

  case 138: /* bookpart_body: bookpart_body score_block  */
#line 1088 "parser.yy"
                                    {
		SCM proc = parser->lexer_->lookup_identifier ("bookpart-score-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4471 "./out/parser.cc"
    break;

  case 139: /* bookpart_body: bookpart_body composite_music  */
#line 1092 "parser.yy"
                                        {
		SCM proc = parser->lexer_->lookup_identifier ("bookpart-music-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4480 "./out/parser.cc"
    break;

  case 140: /* bookpart_body: bookpart_body full_markup  */
#line 1096 "parser.yy"
                                    {
		SCM proc = parser->lexer_->lookup_identifier ("bookpart-text-handler");
		ly_call (proc, yyvsp[-1], ly_list (yyvsp[0]));
	}
#line 4489 "./out/parser.cc"
    break;

  case 141: /* bookpart_body: bookpart_body full_markup_list  */
#line 1100 "parser.yy"
                                         {
		SCM proc = parser->lexer_->lookup_identifier ("bookpart-text-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4498 "./out/parser.cc"
    break;

  case 142: /* bookpart_body: bookpart_body SCM_TOKEN  */
#line 1104 "parser.yy"
                                  {
		// Evaluate and ignore #xxx, as opposed to \xxx
		parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 4507 "./out/parser.cc"
    break;

  case 143: /* bookpart_body: bookpart_body embedded_scm_active  */
#line 1109 "parser.yy"
        {
		SCM out = SCM_UNDEFINED;
		if (Text_interface::is_markup (yyvsp[0]))
			out = ly_list (yyvsp[0]);
		else if (Text_interface::is_markup_list (yyvsp[0]))
			out = yyvsp[0];
		if (scm_is_pair (out))
		{
			SCM proc = parser->lexer_->lookup_identifier ("bookpart-text-handler");
			ly_call (proc, yyvsp[-1], out);
		} else if (unsmob<Score> (yyvsp[0]))
		{
			SCM proc = parser->lexer_->lookup_identifier ("bookpart-score-handler");
			ly_call (proc, yyvsp[-1], yyvsp[0]);
		} else if (Output_def *od = unsmob<Output_def> (yyvsp[0])) {
			if (scm_is_eq (od->lookup_variable (ly_symbol2scm ("output-def-kind")),
				       ly_symbol2scm ("paper"))) {
				unsmob<Book> (yyvsp[-1])->paper_ = od;
			} else {
				parser->parser_error ((yylsp[0]), _ ("need \\paper for paper block"));
			}
		} else if (ly_is_module (yyvsp[0])) {
			Book *book = unsmob<Book> (yyvsp[-1]);
			if (!ly_is_module (book->header_))
				book->header_ = ly_make_module ();
			ly_module_copy (book->header_, yyvsp[0]);
		} else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _("bad expression type"));
	}
#line 4541 "./out/parser.cc"
    break;

  case 144: /* $@5: %empty  */
#line 1139 "parser.yy"
        {
                Book *book = unsmob<Book> (yyvsp[0]);
		if (!ly_is_module (book->header_))
			book->header_ = ly_make_module ();
		parser->lexer_->add_scope (book->header_);
	}
#line 4552 "./out/parser.cc"
    break;

  case 146: /* bookpart_body: bookpart_body error  */
#line 1145 "parser.yy"
                              {
                Book *book = unsmob<Book> (yyvsp[-1]);
		book->paper_ = 0;
		book->scores_ = SCM_EOL;
	}
#line 4562 "./out/parser.cc"
    break;

  case 147: /* score_block: "\\score" '{' score_body '}'  */
#line 1153 "parser.yy"
                                        {
		unsmob<Score> (yyvsp[-1])->origin ()->set_spot ((yyloc));
		yyval = yyvsp[-1];
	}
#line 4571 "./out/parser.cc"
    break;

  case 148: /* score_body: score_items  */
#line 1160 "parser.yy"
                    {
		if (!unsmob<Score> (yyvsp[0])) {
			parser->parser_error ((yylsp[0]), _("Missing music in \\score"));
			yyval = (new Score)->unprotect ();
			if (scm_is_pair (yyvsp[0]) && ly_is_module (scm_car (yyvsp[0])))
			{
				unsmob<Score> (yyval)->set_header (scm_car (yyvsp[0]));
				yyvsp[0] = scm_cdr (yyvsp[0]);
			}
			for (SCM p = scm_reverse_x (yyvsp[0], SCM_EOL);
			     scm_is_pair (p); p = scm_cdr (p))
			{
				unsmob<Score> (yyval)->
					add_output_def (unsmob<Output_def> (scm_car (p)));
			}
		}
	}
#line 4593 "./out/parser.cc"
    break;

  case 149: /* score_body: score_body error  */
#line 1177 "parser.yy"
                           {
		unsmob<Score> (yyval)->error_found_ = true;
	}
#line 4601 "./out/parser.cc"
    break;

  case 153: /* score_items: %empty  */
#line 1190 "parser.yy"
        {
		yyval = SCM_EOL;
	}
#line 4609 "./out/parser.cc"
    break;

  case 154: /* score_items: score_items score_item  */
#line 1194 "parser.yy"
        {
		Output_def *od = unsmob<Output_def> (yyvsp[0]);
		if (od) {
			if (scm_is_eq (od->lookup_variable (ly_symbol2scm ("output-def-kind")),
				       ly_symbol2scm ("paper")))
			{
				parser->parser_error ((yylsp[0]), _("\\paper cannot be used in \\score, use \\layout instead"));
				od = 0;
				yyvsp[0] = SCM_UNSPECIFIED;
			}
		} else if (!unsmob<Score> (yyval)) {
			if (unsmob<Music> (yyvsp[0])) {
				yyvsp[0] = Lily::scorify_music (yyvsp[0]);
			}
			if (unsmob<Score> (yyvsp[0]))
			{
				yyval = yyvsp[0];
				yyvsp[0] = SCM_UNSPECIFIED;
			}
		}
		Score *score = unsmob<Score> (yyval);
		if (score && scm_is_pair (yyvsp[-1])) {
			if (ly_is_module (scm_car (yyvsp[-1])))
			{
				score->set_header (scm_car (yyvsp[-1]));
				yyvsp[-1] = scm_cdr (yyvsp[-1]);
			}
			for (SCM p = scm_reverse_x (yyvsp[-1], SCM_EOL);
			     scm_is_pair (p); p = scm_cdr (p))
			{
				score->add_output_def (unsmob<Output_def> (scm_car (p)));
			}
		}
		if (od) {
			if (score)
				score->add_output_def (od);
			else if (scm_is_pair (yyval) && ly_is_module (scm_car (yyval)))
				scm_set_cdr_x (yyval, scm_cons (yyvsp[0], scm_cdr (yyval)));
			else
				yyval = scm_cons (yyvsp[0], yyval);
		} else if (ly_is_module (yyvsp[0])) {
			SCM module = SCM_UNSPECIFIED;
			if (score) {
				module = score->get_header ();
				if (!ly_is_module (module))
				{
					module = ly_make_module ();
					score->set_header (module);
				}
			} else if (scm_is_pair (yyval) && ly_is_module (scm_car (yyval)))
				module = scm_car (yyval);
			else {
				module = ly_make_module ();
				yyval = scm_cons (module, yyval);
			}
			ly_module_copy (module, yyvsp[0]);
		} else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _("Spurious expression in \\score"));
	}
#line 4673 "./out/parser.cc"
    break;

  case 155: /* $@6: %empty  */
#line 1254 "parser.yy"
        {
		if (Score *score = unsmob<Score> (yyvsp[0])) {
			if (!ly_is_module (score->get_header ()))
				score->set_header (ly_make_module ());
			parser->lexer_->add_scope (score->get_header ());
		} else {
			if (!scm_is_pair (yyvsp[0]) || !ly_is_module (scm_car (yyvsp[0])))
				yyvsp[0] = scm_cons (ly_make_module (), yyvsp[0]);
			parser->lexer_->add_scope (scm_car (yyvsp[0]));
		}
	}
#line 4689 "./out/parser.cc"
    break;

  case 156: /* score_items: score_items $@6 lilypond_header  */
#line 1265 "parser.yy"
        {
		yyval = yyvsp[-2];
	}
#line 4697 "./out/parser.cc"
    break;

  case 157: /* paper_block: output_def  */
#line 1276 "parser.yy"
                   {
                Output_def *od = unsmob<Output_def> (yyvsp[0]);

		if (!scm_is_eq (od->lookup_variable (ly_symbol2scm ("output-def-kind")),
				ly_symbol2scm ("paper")))
		{
			parser->parser_error ((yylsp[0]), _ ("need \\paper for paper block"));
			yyval = get_paper (parser)->unprotect ();
		}
	}
#line 4712 "./out/parser.cc"
    break;

  case 158: /* output_def: output_def_body '}'  */
#line 1290 "parser.yy"
                            {
		if (scm_is_pair (yyvsp[-1]))
			yyval = scm_car (yyvsp[-1]);

		parser->lexer_->remove_scope ();
		parser->lexer_->pop_state ();
	}
#line 4724 "./out/parser.cc"
    break;

  case 159: /* output_def_head: "\\paper"  */
#line 1300 "parser.yy"
              {
                Output_def *p = get_paper (parser);
		p->input_origin_ = (yyloc);
		parser->lexer_->add_scope (p->scope_);
                yyval = p->unprotect ();
	}
#line 4735 "./out/parser.cc"
    break;

  case 160: /* output_def_head: "\\midi"  */
#line 1306 "parser.yy"
                  {
		Output_def *p = get_midi (parser);
		yyval = p->unprotect ();
		parser->lexer_->add_scope (p->scope_);
	}
#line 4745 "./out/parser.cc"
    break;

  case 161: /* output_def_head: "\\layout"  */
#line 1311 "parser.yy"
                        {
		Output_def *p = get_layout (parser);

		parser->lexer_->add_scope (p->scope_);
		yyval = p->unprotect ();
	}
#line 4756 "./out/parser.cc"
    break;

  case 162: /* output_def_head_with_mode_switch: output_def_head  */
#line 1320 "parser.yy"
                        {
		parser->lexer_->push_initial_state ();
		yyval = yyvsp[0];
	}
#line 4765 "./out/parser.cc"
    break;

  case 165: /* output_def_body: output_def_head_with_mode_switch '{'  */
#line 1337 "parser.yy"
                                             {
		unsmob<Output_def> (yyvsp[-1])->input_origin_.set_spot ((yyloc));
		// This is a stupid trick to mark the beginning of the
		// body for deciding whether to allow
		// embedded_scm_active to have an output definition
		yyval = ly_list (yyvsp[-1]);
	}
#line 4777 "./out/parser.cc"
    break;

  case 166: /* output_def_body: output_def_body assignment  */
#line 1344 "parser.yy"
                                      {
		if (scm_is_pair (yyvsp[-1]))
			yyval = scm_car (yyvsp[-1]);
	}
#line 4786 "./out/parser.cc"
    break;

  case 167: /* output_def_body: output_def_body embedded_scm_active  */
#line 1349 "parser.yy"
        {
		// We don't switch into note mode for Scheme functions
		// here.  Does not seem warranted/required in output
		// definitions.
		if (scm_is_pair (yyvsp[-1]))
		{
			Output_def *o = unsmob<Output_def> (yyvsp[0]);
			if (o) {
				o->input_origin_.set_spot ((yyloc));
				yyvsp[-1] = o->self_scm ();
				parser->lexer_->remove_scope ();
				parser->lexer_->add_scope (o->scope_);
				yyvsp[0] = SCM_UNSPECIFIED;
			} else
				yyvsp[-1] = scm_car (yyvsp[-1]);
		}
		if (unsmob<Context_def> (yyvsp[0]))
			assign_context_def (unsmob<Output_def> (yyvsp[-1]), yyvsp[0]);
		// Seems unlikely, but let's be complete:
		else if (unsmob<Music> (yyvsp[0]))
		{
			SCM proc = parser->lexer_->lookup_identifier ("output-def-music-handler");
			ly_call (proc, yyvsp[-1], yyvsp[0]);
		} else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _("bad expression type"));
		yyval = yyvsp[-1];
	}
#line 4818 "./out/parser.cc"
    break;

  case 168: /* output_def_body: output_def_body SCM_TOKEN  */
#line 1376 "parser.yy"
                                    {
		if (scm_is_pair (yyvsp[-1]))
			yyval = scm_car (yyvsp[-1]);
		// Evaluate and ignore #xxx, as opposed to \xxx
		parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 4829 "./out/parser.cc"
    break;

  case 169: /* $@7: %empty  */
#line 1383 "parser.yy"
        {
		if (scm_is_pair (yyvsp[0]))
			yyvsp[0] = scm_car (yyvsp[0]);
		parser->lexer_->push_note_state ();
	}
#line 4839 "./out/parser.cc"
    break;

  case 170: /* output_def_body: output_def_body $@7 music_or_context_def  */
#line 1388 "parser.yy"
        {
		parser->lexer_->pop_state ();
		if (unsmob<Context_def> (yyvsp[0]))
			assign_context_def (unsmob<Output_def> (yyvsp[-2]), yyvsp[0]);
		else {

			SCM proc = parser->lexer_->lookup_identifier ("output-def-music-handler");
			ly_call (proc, yyvsp[-2], yyvsp[0]);
		}
		yyval = yyvsp[-2];
	}
#line 4855 "./out/parser.cc"
    break;

  case 171: /* output_def_body: output_def_body error  */
#line 1399 "parser.yy"
                                {

	}
#line 4863 "./out/parser.cc"
    break;

  case 172: /* tempo_event: "\\tempo" steno_duration '=' tempo_range  */
#line 1405 "parser.yy"
                                                {
		yyval = MAKE_SYNTAX (tempo, (yyloc), SCM_EOL, yyvsp[-2], yyvsp[0]);
	}
#line 4871 "./out/parser.cc"
    break;

  case 173: /* tempo_event: "\\tempo" text steno_duration '=' tempo_range  */
#line 1408 "parser.yy"
                                                        {
		yyval = MAKE_SYNTAX (tempo, (yyloc), yyvsp[-3], yyvsp[-2], yyvsp[0]);
	}
#line 4879 "./out/parser.cc"
    break;

  case 174: /* tempo_event: "\\tempo" text  */
#line 1411 "parser.yy"
                     {
		yyval = MAKE_SYNTAX (tempo, (yyloc), yyvsp[0]);
	}
#line 4887 "./out/parser.cc"
    break;

  case 175: /* music_list: %empty  */
#line 1420 "parser.yy"
                    {
		yyval = SCM_EOL;
	}
#line 4895 "./out/parser.cc"
    break;

  case 176: /* music_list: music_list music_embedded  */
#line 1423 "parser.yy"
                                    {
		if (unsmob<Music> (yyvsp[0]))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 4904 "./out/parser.cc"
    break;

  case 177: /* music_list: music_list error  */
#line 1427 "parser.yy"
                           {
		Music *m = MY_MAKE_MUSIC("Music", (yyloc));
		// ugh. code dup
		set_property (m, "error-found", SCM_BOOL_T);
		yyval = scm_cons (m->self_scm (), yyvsp[-1]);
		m->unprotect (); /* UGH */
	}
#line 4916 "./out/parser.cc"
    break;

  case 178: /* braced_music_list: '{' music_list '}'  */
#line 1438 "parser.yy"
        {
		yyval = reverse_music_list (parser, (yyloc), yyvsp[-1], true, false);
	}
#line 4924 "./out/parser.cc"
    break;

  case 182: /* pitch_as_music: pitch_or_music  */
#line 1450 "parser.yy"
        {
	        yyval = make_music_from_simple (parser, (yylsp[0]), yyvsp[0]);
                if (!unsmob<Music> (yyval))
		{
                        parser->parser_error ((yylsp[0]), _ ("music expected"));
			yyval = MAKE_SYNTAX (unspecified_music, (yyloc));
		}
	}
#line 4937 "./out/parser.cc"
    break;

  case 185: /* music_embedded: music_embedded_backup  */
#line 1464 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 4945 "./out/parser.cc"
    break;

  case 186: /* music_embedded: music_embedded_backup "(backed-up?)" lyric_element_music  */
#line 1468 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 4953 "./out/parser.cc"
    break;

  case 187: /* music_embedded: duration post_events  */
#line 1472 "parser.yy"
        {
		Music *n = MY_MAKE_MUSIC ("NoteEvent", (yyloc));

		parser->default_duration_ = *unsmob<Duration> (yyvsp[-1]);
		set_property (n, "duration", yyvsp[-1]);

		if (scm_is_pair (yyvsp[0]))
			set_property (n, "articulations",
					 scm_reverse_x (yyvsp[0], SCM_EOL));
		yyval = n->unprotect ();
	}
#line 4969 "./out/parser.cc"
    break;

  case 188: /* music_embedded_backup: embedded_scm  */
#line 1487 "parser.yy"
        {
		if (scm_is_eq (yyvsp[0], SCM_UNSPECIFIED)
		    || unsmob<Music> (yyvsp[0]))
			yyval = yyvsp[0];
		else if (parser->lexer_->is_lyric_state ()
			   && Text_interface::is_markup (yyvsp[0]))
			MYBACKUP (LYRIC_ELEMENT, yyvsp[0], (yylsp[0]));
		else {
			(yyloc).warning (_ ("Ignoring non-music expression"));
			yyval = SCM_UNSPECIFIED;
		}
	}
#line 4986 "./out/parser.cc"
    break;

  case 191: /* repeated_music: "\\repeat" simple_string unsigned_integer music  */
#line 1510 "parser.yy"
        {
		yyval = MAKE_SYNTAX (repeat, (yyloc), yyvsp[-2], yyvsp[-1], yyvsp[0]);
	}
#line 4994 "./out/parser.cc"
    break;

  case 192: /* repeated_music: "\\repeat" simple_string unsigned_integer music alternative_music  */
#line 1514 "parser.yy"
        {
		yyval = MAKE_SYNTAX (repeat_alt, (yyloc), yyvsp[-3], yyvsp[-2], yyvsp[-1], yyvsp[0]);
	}
#line 5002 "./out/parser.cc"
    break;

  case 193: /* alternative_music: "\\alternative" basic_music  */
#line 1520 "parser.yy"
                                {
		yyval = MAKE_SYNTAX (alternative, (yyloc), yyvsp[0]);
	}
#line 5010 "./out/parser.cc"
    break;

  case 194: /* sequential_music: "\\sequential" braced_music_list  */
#line 1526 "parser.yy"
                                     {
		yyval = MAKE_SYNTAX (sequential_music, (yyloc), yyvsp[0]);
	}
#line 5018 "./out/parser.cc"
    break;

  case 195: /* sequential_music: braced_music_list  */
#line 1529 "parser.yy"
                            {
		yyval = MAKE_SYNTAX (sequential_music, (yyloc), yyvsp[0]);
	}
#line 5026 "./out/parser.cc"
    break;

  case 196: /* simultaneous_music: "\\simultaneous" braced_music_list  */
#line 1535 "parser.yy"
                                       {
		yyval = MAKE_SYNTAX (simultaneous_music, (yyloc), yyvsp[0]);
	}
#line 5034 "./out/parser.cc"
    break;

  case 197: /* simultaneous_music: "<<" music_list ">>"  */
#line 1538 "parser.yy"
                                                                {
		yyval = MAKE_SYNTAX (simultaneous_music, (yyloc),
				  reverse_music_list (parser, (yyloc), yyvsp[-1],
						      true, false));
	}
#line 5044 "./out/parser.cc"
    break;

  case 201: /* $@8: %empty  */
#line 1553 "parser.yy"
        {
		parser->lexer_->push_note_state ();
	}
#line 5052 "./out/parser.cc"
    break;

  case 202: /* context_modification: "\\with" $@8 '{' context_mod_list '}'  */
#line 1556 "parser.yy"
        {
                parser->lexer_->pop_state ();
                yyval = yyvsp[-1];
        }
#line 5061 "./out/parser.cc"
    break;

  case 203: /* context_modification: "\\with" context_modification_arg  */
#line 1561 "parser.yy"
        {
		if (unsmob<Music> (yyvsp[0])) {
			SCM proc = parser->lexer_->lookup_identifier ("context-mod-music-handler");
			yyvsp[0] = ly_call (proc, yyvsp[0]);
		}
		if (unsmob<Context_mod> (yyvsp[0]))
			yyval = yyvsp[0];
		else {
			// let's permit \with #*unspecified* to go for
			// an empty context mod
			if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
				parser->parser_error ((yylsp[0]), _ ("not a context mod"));
			yyval = Context_mod ().smobbed_copy ();
		}
	}
#line 5081 "./out/parser.cc"
    break;

  case 206: /* optional_context_mods: context_modification_mods_list  */
#line 1589 "parser.yy"
        {
		if (scm_is_pair (yyvsp[0]))
			yyval = scm_append_x (scm_reverse_x (yyvsp[0], SCM_EOL));
        }
#line 5090 "./out/parser.cc"
    break;

  case 207: /* context_modification_mods_list: %empty  */
#line 1602 "parser.yy"
             {
		yyval = SCM_EOL;
	}
#line 5098 "./out/parser.cc"
    break;

  case 208: /* context_modification_mods_list: context_modification_mods_list context_modification  */
#line 1606 "parser.yy"
        {
		if (Context_mod *m = unsmob<Context_mod> (yyvsp[0]))
			yyval = scm_cons (m->get_mods (), yyvsp[-1]);
	}
#line 5107 "./out/parser.cc"
    break;

  case 209: /* context_mod_list: %empty  */
#line 1618 "parser.yy"
             {
            yyval = Context_mod ().smobbed_copy ();
        }
#line 5115 "./out/parser.cc"
    break;

  case 210: /* context_mod_list: context_mod_list context_mod  */
#line 1621 "parser.yy"
                                        {
		if (!SCM_UNBNDP (yyvsp[0]))
			unsmob<Context_mod> (yyvsp[-1])->add_context_mod (yyvsp[0]);
        }
#line 5124 "./out/parser.cc"
    break;

  case 211: /* context_mod_list: context_mod_list context_mod_arg  */
#line 1625 "parser.yy"
                                           {
		if (unsmob<Music> (yyvsp[0])) {
			SCM proc = parser->lexer_->lookup_identifier ("context-mod-music-handler");
			yyvsp[0] = ly_call (proc, yyvsp[0]);
		}
		if (unsmob<Context_mod> (yyvsp[0]))
			unsmob<Context_mod> (yyval)->add_context_mods
				(unsmob<Context_mod> (yyvsp[0])->get_mods ());
		else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _ ("not a context mod"));
        }
#line 5140 "./out/parser.cc"
    break;

  case 212: /* context_prefix: "\\context" symbol optional_id optional_context_mods  */
#line 1639 "parser.yy"
                                                         {
		yyval = START_MAKE_SYNTAX (context_find_or_create, yyvsp[-2], yyvsp[-1], yyvsp[0]);
	}
#line 5148 "./out/parser.cc"
    break;

  case 213: /* context_prefix: "\\new" symbol optional_id optional_context_mods  */
#line 1642 "parser.yy"
                                                              {
		yyval = START_MAKE_SYNTAX (context_create, yyvsp[-2], yyvsp[-1], yyvsp[0]);
	}
#line 5156 "./out/parser.cc"
    break;

  case 214: /* new_lyrics: "\\addlyrics" optional_context_mods lyric_mode_music  */
#line 1648 "parser.yy"
                                                         {
		yyval = scm_acons (yyvsp[0], yyvsp[-1], SCM_EOL);
	}
#line 5164 "./out/parser.cc"
    break;

  case 215: /* new_lyrics: new_lyrics "\\addlyrics" optional_context_mods lyric_mode_music  */
#line 1651 "parser.yy"
                                                                      {
		yyval = scm_acons (yyvsp[0], yyvsp[-1], yyvsp[-3]);
	}
#line 5172 "./out/parser.cc"
    break;

  case 220: /* basic_music: "\\lyricsto" simple_string lyric_mode_music  */
#line 1677 "parser.yy"
                                                  {
		yyval = MAKE_SYNTAX (lyric_combine, (yyloc), yyvsp[-1], SCM_EOL, yyvsp[0]);
	}
#line 5180 "./out/parser.cc"
    break;

  case 221: /* basic_music: "\\lyricsto" symbol '=' simple_string lyric_mode_music  */
#line 1681 "parser.yy"
        {
		yyval = MAKE_SYNTAX (lyric_combine, (yyloc), yyvsp[-1], yyvsp[-3], yyvsp[0]);
	}
#line 5188 "./out/parser.cc"
    break;

  case 225: /* contexted_basic_music: context_prefix contextable_music new_lyrics  */
#line 1694 "parser.yy"
        {
		Input i;
		i.set_location ((yylsp[-2]), (yylsp[-1]));
		yyval = FINISH_MAKE_SYNTAX (yyvsp[-2], i, yyvsp[-1]);
		yyval = MAKE_SYNTAX (add_lyrics, (yyloc), yyval, scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 5199 "./out/parser.cc"
    break;

  case 226: /* contexted_basic_music: context_prefix contextable_music  */
#line 1701 "parser.yy"
        {
		yyval = FINISH_MAKE_SYNTAX (yyvsp[-1], (yyloc), yyvsp[0]);
	}
#line 5207 "./out/parser.cc"
    break;

  case 227: /* contexted_basic_music: context_prefix contexted_basic_music  */
#line 1705 "parser.yy"
        {
		yyval = FINISH_MAKE_SYNTAX (yyvsp[-1], (yyloc), yyvsp[0]);
	}
#line 5215 "./out/parser.cc"
    break;

  case 230: /* composite_music: basic_music new_lyrics  */
#line 1714 "parser.yy"
        {
		yyval = MAKE_SYNTAX (add_lyrics, (yyloc), yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 5223 "./out/parser.cc"
    break;

  case 234: /* grouped_music_list: simultaneous_music  */
#line 1726 "parser.yy"
                                        { yyval = yyvsp[0]; }
#line 5229 "./out/parser.cc"
    break;

  case 235: /* grouped_music_list: sequential_music  */
#line 1727 "parser.yy"
                                        { yyval = yyvsp[0]; }
#line 5235 "./out/parser.cc"
    break;

  case 237: /* symbol_list_arg: SYMBOL_LIST '.' symbol_list_rev  */
#line 1786 "parser.yy"
        {
		yyval = ly_append (yyvsp[-2], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 5243 "./out/parser.cc"
    break;

  case 238: /* symbol_list_arg: SYMBOL_LIST ',' symbol_list_rev  */
#line 1790 "parser.yy"
        {
		yyval = ly_append (yyvsp[-2], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 5251 "./out/parser.cc"
    break;

  case 240: /* symbol_list_rev: symbol_list_rev '.' symbol_list_part  */
#line 1798 "parser.yy"
        {
		yyval = scm_append_x (ly_list (yyvsp[0], yyvsp[-2]));
	}
#line 5259 "./out/parser.cc"
    break;

  case 241: /* symbol_list_rev: symbol_list_rev ',' symbol_list_part  */
#line 1802 "parser.yy"
        {
		yyval = scm_append_x (ly_list (yyvsp[0], yyvsp[-2]));
	}
#line 5267 "./out/parser.cc"
    break;

  case 243: /* symbol_list_part: embedded_scm_bare  */
#line 1812 "parser.yy"
        {
		yyval = make_reverse_key_list (yyvsp[0]);
		if (SCM_UNBNDP (yyval)) {
			parser->parser_error ((yylsp[0]), _("not a key"));
			yyval = SCM_EOL;
		}
	}
#line 5279 "./out/parser.cc"
    break;

  case 244: /* symbol_list_element: STRING  */
#line 1824 "parser.yy"
        {
		yyval = scm_string_to_symbol (yyvsp[0]);
	}
#line 5287 "./out/parser.cc"
    break;

  case 246: /* symbol_list_part_bare: SYMBOL  */
#line 1833 "parser.yy"
        {
		yyval = try_word_variants (Lily::key_list_p, yyvsp[0]);
		if (SCM_UNBNDP (yyval)) {
			parser->parser_error ((yylsp[0]), _("not a key"));
			yyval = SCM_EOL;
		} else
			yyval = scm_reverse (yyval);
	}
#line 5300 "./out/parser.cc"
    break;

  case 247: /* symbol_list_part_bare: symbol_list_element  */
#line 1842 "parser.yy"
        {
		yyval = ly_list (yyvsp[0]);
	}
#line 5308 "./out/parser.cc"
    break;

  case 249: /* function_arglist_nonbackup: "optional?" "scheme?" function_arglist_nonbackup post_event_nofinger  */
#line 1850 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 5316 "./out/parser.cc"
    break;

  case 250: /* function_arglist_nonbackup: "optional?" "scheme?" function_arglist_nonbackup '-' UNSIGNED  */
#line 1854 "parser.yy"
        {
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		if (scm_is_true (ly_call (yyvsp[-3], n)))
			yyval = scm_cons (n, yyvsp[-2]);
		else {
			Music *t = MY_MAKE_MUSIC ("FingeringEvent", (yylsp[0]));
			set_property (t, "digit", yyvsp[0]);
			yyval = check_scheme_arg (parser, (yylsp[-1]), t->unprotect (),
					       yyvsp[-2], yyvsp[-3], n);
		}
	}
#line 5332 "./out/parser.cc"
    break;

  case 251: /* function_arglist_nonbackup: "optional?" "scheme?" function_arglist_nonbackup '-' REAL  */
#line 1866 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[-1]),
				       scm_difference (yyvsp[0], SCM_UNDEFINED),
				       yyvsp[-2], yyvsp[-3]);
	}
#line 5342 "./out/parser.cc"
    break;

  case 252: /* function_arglist_nonbackup: "optional?" "scheme?" function_arglist_nonbackup '-' NUMBER_IDENTIFIER  */
#line 1872 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[-1]),
				       scm_difference (yyvsp[0], SCM_UNDEFINED),
				       yyvsp[-2], yyvsp[-3]);
	}
#line 5352 "./out/parser.cc"
    break;

  case 253: /* function_arglist_nonbackup: "optional?" "scheme?" function_arglist_nonbackup embedded_scm_arg  */
#line 1878 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		else
			yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 5363 "./out/parser.cc"
    break;

  case 254: /* function_arglist_nonbackup: "optional?" "scheme?" function_arglist_nonbackup bare_number_common  */
#line 1885 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 5371 "./out/parser.cc"
    break;

  case 255: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" pitch_or_music  */
#line 1889 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-1], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-2]);
		else
			yyval = check_scheme_arg (parser, (yylsp[0]),
					       make_music_from_simple
					       (parser, (yylsp[0]), yyvsp[0]),
					       yyvsp[-2], yyvsp[-1], yyvsp[0]);
	}
#line 5385 "./out/parser.cc"
    break;

  case 256: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" duration  */
#line 1899 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5393 "./out/parser.cc"
    break;

  case 257: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" reparsed_rhythm  */
#line 1903 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5401 "./out/parser.cc"
    break;

  case 258: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" bare_number_common  */
#line 1907 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5409 "./out/parser.cc"
    break;

  case 259: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" SCM_ARG  */
#line 1911 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5417 "./out/parser.cc"
    break;

  case 260: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" lyric_element_music  */
#line 1915 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5425 "./out/parser.cc"
    break;

  case 261: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" symbol_list_arg  */
#line 1919 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5433 "./out/parser.cc"
    break;

  case 262: /* reparsed_rhythm: DURATION_ARG dots multipliers post_events  */
#line 1927 "parser.yy"
        {
		SCM d = make_duration (yyvsp[-3], from_scm<int> (yyvsp[-2]), yyvsp[-1]);
		parser->default_duration_ = *unsmob<Duration> (d);
		yyval = make_music_from_simple (parser, (yyloc), d);
		Music *m = unsmob<Music> (yyval);
		assert (m);
		if (scm_is_pair (yyvsp[0]))
			set_property (m, "articulations",
					 scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 5448 "./out/parser.cc"
    break;

  case 263: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup SCM_IDENTIFIER  */
#line 1941 "parser.yy"
        {
		yyval = yyvsp[-1];
		SCM res = try_string_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res))
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, res);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple
			   (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], STRING, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 5469 "./out/parser.cc"
    break;

  case 264: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup pitch  */
#line 1958 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true
		    (ly_call
		     (yyvsp[-2], make_music_from_simple
		      (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], PITCH_IDENTIFIER, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 5484 "./out/parser.cc"
    break;

  case 265: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup steno_tonic_pitch  */
#line 1969 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true
		    (ly_call
		     (yyvsp[-2], make_music_from_simple
		      (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], TONICNAME_PITCH, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 5499 "./out/parser.cc"
    break;

  case 266: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup STRING  */
#line 1980 "parser.yy"
        {
		yyval = yyvsp[-1];
		SCM res = try_string_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res))
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, res);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple
			   (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], STRING, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 5520 "./out/parser.cc"
    break;

  case 267: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup SYMBOL  */
#line 1997 "parser.yy"
        {
		yyval = yyvsp[-1];
		SCM res = try_word_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res))
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, res);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple
			   (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], STRING, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 5541 "./out/parser.cc"
    break;

  case 268: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup full_markup  */
#line 2014 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple
			   (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], STRING, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 5558 "./out/parser.cc"
    break;

  case 269: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup UNSIGNED  */
#line 2027 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			// May be 3 \cm or similar
			MYREPARSE ((yylsp[0]), yyvsp[-2], REAL, yyvsp[0]);
		else if (scm_is_true (ly_call (yyvsp[-2], ly_list (yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, ly_list (yyvsp[0]));
		else {
			SCM d = make_duration (yyvsp[0]);
			if (!SCM_UNBNDP (d)) {
				if (scm_is_true (ly_call (yyvsp[-2], d)))
					MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_IDENTIFIER, d);
				else if (scm_is_true
					 (ly_call
					  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), d))))
					MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_ARG, d);
				else
					MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]); // trigger error
			} else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]); // trigger error
		}
	}
#line 5585 "./out/parser.cc"
    break;

  case 270: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup DURATION_IDENTIFIER  */
#line 2050 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_IDENTIFIER, yyvsp[0]);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_ARG, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]); // trigger error
	}
#line 5601 "./out/parser.cc"
    break;

  case 272: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup embedded_scm_arg  */
#line 2069 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (SCM_ARG, yyvsp[0], (yylsp[0]));
		}
	}
#line 5614 "./out/parser.cc"
    break;

  case 273: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup post_event_nofinger  */
#line 2078 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
		{
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		} else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (EVENT_IDENTIFIER, yyvsp[0], (yylsp[0]));
		}
	}
#line 5628 "./out/parser.cc"
    break;

  case 274: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup pitch  */
#line 2088 "parser.yy"
        {
		if (scm_is_true
		    (ly_call
		     (yyvsp[-2], make_music_from_simple
		      (parser, (yylsp[0]), yyvsp[0]))))
		{
			yyval = yyvsp[-1];
			MYREPARSE ((yylsp[0]), yyvsp[-2], PITCH_IDENTIFIER, yyvsp[0]);
		} else if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (PITCH_IDENTIFIER, yyvsp[0], (yylsp[0]));
		}
	}
#line 5648 "./out/parser.cc"
    break;

  case 275: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup steno_tonic_pitch  */
#line 2104 "parser.yy"
        {
		if (scm_is_true
		    (ly_call
		     (yyvsp[-2], make_music_from_simple
		      (parser, (yylsp[0]), yyvsp[0]))))
		{
			yyval = yyvsp[-1];
			MYREPARSE ((yylsp[0]), yyvsp[-2], TONICNAME_PITCH, yyvsp[0]);
		} else if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (TONICNAME_PITCH, yyvsp[0], (yylsp[0]));
		}
	}
#line 5668 "./out/parser.cc"
    break;

  case 276: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup full_markup  */
#line 2120 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (SCM_IDENTIFIER, yyvsp[0], (yylsp[0]));
		}
	}
#line 5681 "./out/parser.cc"
    break;

  case 277: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup UNSIGNED  */
#line 2129 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			// May be 3 \cm or similar
			MYREPARSE ((yylsp[0]), yyvsp[-2], REAL, yyvsp[0]);
		else if (scm_is_true (ly_call (yyvsp[-2], ly_list (yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, ly_list (yyvsp[0]));
		else {
			SCM d = make_duration (yyvsp[0]);
			if (!SCM_UNBNDP (d)) {
				if (scm_is_true (ly_call (yyvsp[-2], d)))
					MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_IDENTIFIER, d);
				else if (scm_is_true
					 (ly_call
					  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), d))))
					MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_ARG, d);
				else {
					yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
					MYBACKUP (UNSIGNED, yyvsp[0], (yylsp[0]));
				}
			} else {
				yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
				MYBACKUP (UNSIGNED, yyvsp[0], (yylsp[0]));
			}
		}
	}
#line 5712 "./out/parser.cc"
    break;

  case 278: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup REAL  */
#line 2156 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
		{
			yyval = yyvsp[-1];
			MYREPARSE ((yylsp[0]), yyvsp[-2], REAL, yyvsp[0]);
		} else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (REAL, yyvsp[0], (yylsp[0]));
		}
	}
#line 5727 "./out/parser.cc"
    break;

  case 279: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup NUMBER_IDENTIFIER  */
#line 2167 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
		{
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		} else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (NUMBER_IDENTIFIER, yyvsp[0], (yylsp[0]));
		}
	}
#line 5741 "./out/parser.cc"
    break;

  case 280: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup '-' UNSIGNED  */
#line 2177 "parser.yy"
        {
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		if (scm_is_true (ly_call (yyvsp[-3], n))) {
			yyval = yyvsp[-2];
			MYREPARSE ((yylsp[0]), yyvsp[-3], REAL, n);
		} else {
			Music *t = MY_MAKE_MUSIC ("FingeringEvent", (yylsp[0]));
			set_property (t, "digit", yyvsp[0]);
			yyval = t->unprotect ();
			if (scm_is_true (ly_call (yyvsp[-3], yyval)))
				yyval = scm_cons (yyval, yyvsp[-2]);
			else {
				yyval = scm_cons (loc_on_copy (parser, (yylsp[-2]), yyvsp[-4]), yyvsp[-2]);
				MYBACKUP (UNSIGNED, yyvsp[0], (yylsp[0]));
				parser->lexer_->push_extra_token ((yylsp[-1]), '-');
			}
		}
	}
#line 5764 "./out/parser.cc"
    break;

  case 281: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup '-' REAL  */
#line 2196 "parser.yy"
        {
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		if (scm_is_true (ly_call (yyvsp[-3], n))) {
			MYREPARSE ((yylsp[0]), yyvsp[-3], REAL, n);
			yyval = yyvsp[-2];
		} else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-2]), yyvsp[-4]), yyvsp[-2]);
			MYBACKUP (REAL, n, (yylsp[0]));
		}
	}
#line 5779 "./out/parser.cc"
    break;

  case 282: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup '-' NUMBER_IDENTIFIER  */
#line 2207 "parser.yy"
        {
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		if (scm_is_true (ly_call (yyvsp[-3], n))) {
			yyval = scm_cons (n, yyvsp[-2]);
		} else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-2]), yyvsp[-4]), yyvsp[-2]);
			MYBACKUP (NUMBER_IDENTIFIER, n, (yylsp[0]));
		}
	}
#line 5793 "./out/parser.cc"
    break;

  case 283: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup DURATION_IDENTIFIER  */
#line 2217 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_IDENTIFIER, yyvsp[0]);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_ARG, yyvsp[0]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (DURATION_IDENTIFIER, yyvsp[0], (yylsp[0]));
		}
	}
#line 5811 "./out/parser.cc"
    break;

  case 284: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup SCM_IDENTIFIER  */
#line 2231 "parser.yy"
        {
		SCM res = try_string_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res)) {
				yyval = yyvsp[-1];
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			}
			else
				yyval = scm_cons (res, yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (SCM_IDENTIFIER, yyvsp[0], (yylsp[0]));
		}
	}
#line 5830 "./out/parser.cc"
    break;

  case 285: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup STRING  */
#line 2246 "parser.yy"
        {
		SCM res = try_string_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res)) {
				yyval = yyvsp[-1];
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			}
			else
				yyval = scm_cons (res, yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (STRING, yyvsp[0], (yylsp[0]));
		}
	}
#line 5849 "./out/parser.cc"
    break;

  case 286: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup SYMBOL  */
#line 2261 "parser.yy"
        {
		SCM res = try_word_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res)) {
				yyval = yyvsp[-1];
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			}
			else
				yyval = scm_cons (res, yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (STRING, yyvsp[0], (yylsp[0]));
		}
	}
#line 5868 "./out/parser.cc"
    break;

  case 287: /* function_arglist_backup: function_arglist_backup "(reparsed?)" pitch_or_music  */
#line 2276 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-1], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-2]);
		else
			yyval = check_scheme_arg (parser, (yylsp[0]),
					       make_music_from_simple
					       (parser, (yylsp[0]), yyvsp[0]),
					       yyvsp[-2], yyvsp[-1]);
	}
#line 5882 "./out/parser.cc"
    break;

  case 288: /* function_arglist_backup: function_arglist_backup "(reparsed?)" bare_number_common  */
#line 2286 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5891 "./out/parser.cc"
    break;

  case 289: /* function_arglist_backup: function_arglist_backup "(reparsed?)" duration  */
#line 2291 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5900 "./out/parser.cc"
    break;

  case 290: /* function_arglist_backup: function_arglist_backup "(reparsed?)" reparsed_rhythm  */
#line 2296 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5909 "./out/parser.cc"
    break;

  case 291: /* function_arglist_backup: function_arglist_backup "(reparsed?)" symbol_list_arg  */
#line 2301 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5917 "./out/parser.cc"
    break;

  case 293: /* function_arglist: "optional?" "scheme?" function_arglist_skip_nonbackup "\\default"  */
#line 2309 "parser.yy"
        {
		yyval = scm_cons (loc_on_copy (parser, (yylsp[0]), yyvsp[-3]), yyvsp[-1]);
	}
#line 5925 "./out/parser.cc"
    break;

  case 295: /* function_arglist_skip_nonbackup: "optional?" "scheme?" function_arglist_skip_nonbackup  */
#line 2317 "parser.yy"
        {
		yyval = scm_cons (loc_on_copy (parser, (yylsp[0]), yyvsp[-2]), yyvsp[0]);
	}
#line 5933 "./out/parser.cc"
    break;

  case 296: /* function_arglist_partial: "scheme?" function_arglist_optional  */
#line 2336 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 5941 "./out/parser.cc"
    break;

  case 297: /* function_arglist_partial: "scheme?" function_arglist_partial_optional  */
#line 2340 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 5949 "./out/parser.cc"
    break;

  case 298: /* function_arglist_partial: "optional?" "scheme?" function_arglist_nonbackup  */
#line 2344 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 5957 "./out/parser.cc"
    break;

  case 299: /* function_arglist_partial: "optional?" "scheme?" function_arglist_partial  */
#line 2348 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 5965 "./out/parser.cc"
    break;

  case 300: /* function_arglist_partial_optional: "scheme?" function_arglist_optional  */
#line 2355 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 5973 "./out/parser.cc"
    break;

  case 301: /* function_arglist_partial_optional: "scheme?" function_arglist_partial_optional  */
#line 2359 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 5981 "./out/parser.cc"
    break;

  case 302: /* function_arglist_partial_optional: "optional?" "scheme?" function_arglist_backup  */
#line 2363 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 5989 "./out/parser.cc"
    break;

  case 303: /* function_arglist_partial_optional: "optional?" "scheme?" function_arglist_partial_optional  */
#line 2367 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 5997 "./out/parser.cc"
    break;

  case 304: /* function_arglist_common: EXPECT_NO_MORE_ARGS  */
#line 2373 "parser.yy"
                            {
		yyval = SCM_EOL;
	}
#line 6005 "./out/parser.cc"
    break;

  case 305: /* function_arglist_common: "scheme?" function_arglist_optional embedded_scm_arg  */
#line 2377 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		else
			yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 6016 "./out/parser.cc"
    break;

  case 306: /* function_arglist_common: "scheme?" function_arglist_optional bare_number_common  */
#line 2384 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 6025 "./out/parser.cc"
    break;

  case 307: /* function_arglist_common: "scheme?" function_arglist_optional post_event_nofinger  */
#line 2389 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 6034 "./out/parser.cc"
    break;

  case 308: /* function_arglist_common: "scheme?" function_arglist_optional '-' NUMBER_IDENTIFIER  */
#line 2394 "parser.yy"
        {
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		yyval = check_scheme_arg (parser, (yylsp[0]), n, yyvsp[-2], yyvsp[-3]);
	}
#line 6043 "./out/parser.cc"
    break;

  case 309: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" SCM_ARG  */
#line 2399 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 6052 "./out/parser.cc"
    break;

  case 310: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" lyric_element_music  */
#line 2404 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 6061 "./out/parser.cc"
    break;

  case 311: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" pitch_or_music  */
#line 2409 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-1], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-2]);
		else
			yyval = check_scheme_arg (parser, (yylsp[0]),
					       make_music_from_simple
					       (parser, (yylsp[0]), yyvsp[0]),
					       yyvsp[-2], yyvsp[-1], yyvsp[0]);
	}
#line 6075 "./out/parser.cc"
    break;

  case 312: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" bare_number_common  */
#line 2419 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 6084 "./out/parser.cc"
    break;

  case 313: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" duration  */
#line 2424 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 6093 "./out/parser.cc"
    break;

  case 314: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" reparsed_rhythm  */
#line 2429 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 6102 "./out/parser.cc"
    break;

  case 315: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" symbol_list_arg  */
#line 2434 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 6110 "./out/parser.cc"
    break;

  case 316: /* function_arglist_common_reparse: "scheme?" function_arglist_optional SCM_IDENTIFIER  */
#line 2441 "parser.yy"
        {
		yyval = yyvsp[-1];
		SCM res = try_string_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res))
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, res);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], LYRIC_ELEMENT, yyvsp[0]);
		else
			// This is going to flag a syntax error, we
			// know the predicate to be false.
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 6132 "./out/parser.cc"
    break;

  case 317: /* function_arglist_common_reparse: "scheme?" function_arglist_optional pitch  */
#line 2459 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true
		    (ly_call
		     (yyvsp[-2], make_music_from_simple
		      (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], PITCH_IDENTIFIER, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 6147 "./out/parser.cc"
    break;

  case 318: /* function_arglist_common_reparse: "scheme?" function_arglist_optional steno_tonic_pitch  */
#line 2470 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true
		    (ly_call
		     (yyvsp[-2], make_music_from_simple
		      (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], TONICNAME_PITCH, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 6162 "./out/parser.cc"
    break;

  case 319: /* function_arglist_common_reparse: "scheme?" function_arglist_optional STRING  */
#line 2481 "parser.yy"
        {
		yyval = yyvsp[-1];
		SCM res = try_string_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res))
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, res);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], LYRIC_ELEMENT, yyvsp[0]);
		else
			// This is going to flag a syntax error, we
			// know the predicate to be false.
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 6184 "./out/parser.cc"
    break;

  case 320: /* function_arglist_common_reparse: "scheme?" function_arglist_optional SYMBOL  */
#line 2499 "parser.yy"
        {
		yyval = yyvsp[-1];
		SCM res = try_word_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res))
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, res);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], LYRIC_ELEMENT, yyvsp[0]);
		else
			// This is going to flag a syntax error, we
			// know the predicate to be false.
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 6206 "./out/parser.cc"
    break;

  case 321: /* function_arglist_common_reparse: "scheme?" function_arglist_optional full_markup  */
#line 2517 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], LYRIC_ELEMENT, yyvsp[0]);
		else
			// This is going to flag a syntax error, we
			// know the predicate to be false.
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 6224 "./out/parser.cc"
    break;

  case 322: /* function_arglist_common_reparse: "scheme?" function_arglist_optional UNSIGNED  */
#line 2531 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			// May be 3 \cm or similar
			MYREPARSE ((yylsp[0]), yyvsp[-2], REAL, yyvsp[0]);
		else if (scm_is_true (ly_call (yyvsp[-2], ly_list (yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, ly_list (yyvsp[0]));
		else {
			SCM d = make_duration (yyvsp[0]);
			if (!SCM_UNBNDP (d)) {
				if (scm_is_true (ly_call (yyvsp[-2], d)))
					MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_IDENTIFIER, d);
				else if (scm_is_true
					 (ly_call
					  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), d))))
					MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_ARG, d);
				else
					MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]); // trigger error
			} else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]); // trigger error
		}
	}
#line 6251 "./out/parser.cc"
    break;

  case 323: /* function_arglist_common_reparse: "scheme?" function_arglist_optional DURATION_IDENTIFIER  */
#line 2554 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_IDENTIFIER, yyvsp[0]);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_ARG, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]); // trigger error
	}
#line 6267 "./out/parser.cc"
    break;

  case 324: /* function_arglist_common_reparse: "scheme?" function_arglist_optional '-' UNSIGNED  */
#line 2566 "parser.yy"
        {
		yyval = yyvsp[-2];
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		if (scm_is_true (ly_call (yyvsp[-3], n)))
			MYREPARSE ((yylsp[0]), yyvsp[-3], REAL, n);
		else {
			Music *t = MY_MAKE_MUSIC ("FingeringEvent", (yylsp[0]));
			set_property (t, "digit", yyvsp[0]);
			SCM m = t->unprotect ();
			if (scm_is_true (ly_call (yyvsp[-3], m)))
				MYREPARSE ((yylsp[0]), yyvsp[-3], SCM_ARG, m);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-3], SCM_ARG, yyvsp[0]);
		}
	}
#line 6287 "./out/parser.cc"
    break;

  case 325: /* function_arglist_common_reparse: "scheme?" function_arglist_optional '-' REAL  */
#line 2582 "parser.yy"
        {
		yyval = yyvsp[-2];
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		MYREPARSE ((yylsp[0]), yyvsp[-3], REAL, n);
	}
#line 6297 "./out/parser.cc"
    break;

  case 327: /* function_arglist_optional: "optional?" "scheme?" function_arglist_skip_backup "\\default"  */
#line 2592 "parser.yy"
        {
		yyval = scm_cons (loc_on_copy (parser, (yylsp[0]), yyvsp[-3]), yyvsp[-1]);
	}
#line 6305 "./out/parser.cc"
    break;

  case 330: /* function_arglist_skip_backup: "optional?" "scheme?" function_arglist_skip_backup  */
#line 2601 "parser.yy"
        {
		yyval = scm_cons (loc_on_copy (parser, (yylsp[0]), yyvsp[-2]), yyvsp[0]);
	}
#line 6313 "./out/parser.cc"
    break;

  case 331: /* music_function_call: MUSIC_FUNCTION function_arglist  */
#line 2607 "parser.yy"
                                        {
		yyval = MAKE_SYNTAX (music_function, (yyloc),
				  yyvsp[-1], yyvsp[0]);
	}
#line 6322 "./out/parser.cc"
    break;

  case 332: /* optional_id: %empty  */
#line 2615 "parser.yy"
             { yyval = SCM_EOL; }
#line 6328 "./out/parser.cc"
    break;

  case 333: /* optional_id: '=' simple_string  */
#line 2616 "parser.yy"
                            {
		yyval = yyvsp[0];
	}
#line 6336 "./out/parser.cc"
    break;

  case 334: /* $@9: %empty  */
#line 2628 "parser.yy"
        {
		parser->lexer_->push_lyric_state ();
	}
#line 6344 "./out/parser.cc"
    break;

  case 335: /* lyric_mode_music: $@9 grouped_music_list  */
#line 2631 "parser.yy"
        {
		parser->lexer_->pop_state ();
		yyval = yyvsp[0];
	}
#line 6353 "./out/parser.cc"
    break;

  case 337: /* mode_changed_music: mode_changing_head grouped_music_list  */
#line 2639 "parser.yy"
                                              {
		if (scm_is_eq (yyvsp[-1], ly_symbol2scm ("chords")))
		{
		  yyval = MAKE_SYNTAX (unrelativable_music, (yyloc), yyvsp[0]);
		}
		else
		{
		  yyval = yyvsp[0];
		}
		parser->lexer_->pop_state ();
	}
#line 6369 "./out/parser.cc"
    break;

  case 338: /* mode_changed_music: mode_changing_head_with_context optional_context_mods grouped_music_list  */
#line 2650 "parser.yy"
                                                                                   {
		yyval = MAKE_SYNTAX (context_create, (yyloc), yyvsp[-2], SCM_EOL, yyvsp[-1], yyvsp[0]);
		if (scm_is_eq (yyvsp[-2], ly_symbol2scm ("ChordNames")))
		{
		  yyval = MAKE_SYNTAX (unrelativable_music, (yyloc), yyval);
		}
		parser->lexer_->pop_state ();
	}
#line 6382 "./out/parser.cc"
    break;

  case 339: /* mode_changing_head: "\\notemode"  */
#line 2661 "parser.yy"
                 {
		parser->lexer_->push_note_state ();

		yyval = ly_symbol2scm ("notes");
	}
#line 6392 "./out/parser.cc"
    break;

  case 340: /* mode_changing_head: "\\drummode"  */
#line 2667 "parser.yy"
                {
		parser->lexer_->push_drum_state ();
		yyval = ly_symbol2scm ("drums");
	}
#line 6401 "./out/parser.cc"
    break;

  case 341: /* mode_changing_head: "\\figuremode"  */
#line 2671 "parser.yy"
                     {
		parser->lexer_->push_figuredbass_state ();

		yyval = ly_symbol2scm ("figures");
	}
#line 6411 "./out/parser.cc"
    break;

  case 342: /* mode_changing_head: "\\chordmode"  */
#line 2676 "parser.yy"
                    {
		SCM mods = parser->lexer_->lookup_identifier_symbol (ly_symbol2scm ("chordmodifiers"));
		parser->lexer_->chordmodifier_tab_ = Hash_table::alist_to_hashq_table (mods);
		parser->lexer_->push_chord_state ();
		yyval = ly_symbol2scm ("chords");

	}
#line 6423 "./out/parser.cc"
    break;

  case 343: /* mode_changing_head: "\\lyricmode"  */
#line 2684 "parser.yy"
                { parser->lexer_->push_lyric_state ();
		yyval = ly_symbol2scm ("lyrics");
	}
#line 6431 "./out/parser.cc"
    break;

  case 344: /* mode_changing_head_with_context: "\\drums"  */
#line 2690 "parser.yy"
              {
		parser->lexer_->push_drum_state();
		yyval = ly_symbol2scm ("DrumStaff");
	}
#line 6440 "./out/parser.cc"
    break;

  case 345: /* mode_changing_head_with_context: "\\figures"  */
#line 2694 "parser.yy"
                  {
		parser->lexer_->push_figuredbass_state ();

		yyval = ly_symbol2scm ("FiguredBass");
	}
#line 6450 "./out/parser.cc"
    break;

  case 346: /* mode_changing_head_with_context: "\\chords"  */
#line 2699 "parser.yy"
                 {
		SCM mods = parser->lexer_->lookup_identifier_symbol (ly_symbol2scm ("chordmodifiers"));
		parser->lexer_->chordmodifier_tab_ = Hash_table::alist_to_hashq_table (mods);
		parser->lexer_->push_chord_state ();
		yyval = ly_symbol2scm ("ChordNames");
	}
#line 6461 "./out/parser.cc"
    break;

  case 347: /* mode_changing_head_with_context: "\\lyrics"  */
#line 2706 "parser.yy"
                { parser->lexer_->push_lyric_state ();
		yyval = ly_symbol2scm ("Lyrics");
	}
#line 6469 "./out/parser.cc"
    break;

  case 348: /* context_change: "\\change" symbol '=' simple_string  */
#line 2712 "parser.yy"
                                         {
		yyval = MAKE_SYNTAX (context_change, (yyloc), yyvsp[-2], yyvsp[0]);
	}
#line 6477 "./out/parser.cc"
    break;

  case 349: /* property_path: symbol_list_rev  */
#line 2719 "parser.yy"
                         {
		yyval = scm_reverse_x (yyvsp[0], SCM_EOL);
	}
#line 6485 "./out/parser.cc"
    break;

  case 350: /* property_operation: symbol '=' scalar  */
#line 2725 "parser.yy"
                          {
		yyval = ly_list (ly_symbol2scm ("assign"), yyvsp[-2], yyvsp[0]);
	}
#line 6493 "./out/parser.cc"
    break;

  case 351: /* property_operation: "\\unset" symbol  */
#line 2728 "parser.yy"
                       {
		yyval = ly_list (ly_symbol2scm ("unset"), yyvsp[0]);
	}
#line 6501 "./out/parser.cc"
    break;

  case 352: /* property_operation: "\\override" revert_arg '=' scalar  */
#line 2731 "parser.yy"
                                         {
		if (scm_ilength (yyvsp[-2]) < 2) {
			parser->parser_error ((yylsp[-2]), _("bad grob property path"));
			yyval = SCM_UNDEFINED;
		} else {
			yyval = scm_cons (ly_symbol2scm ("push"),
				       scm_cons2 (scm_car (yyvsp[-2]),
						  yyvsp[0],
						  scm_cdr (yyvsp[-2])));
		}
	}
#line 6517 "./out/parser.cc"
    break;

  case 353: /* property_operation: "\\revert" revert_arg  */
#line 2742 "parser.yy"
                            {
		yyval = scm_cons (ly_symbol2scm ("pop"), yyvsp[0]);
	}
#line 6525 "./out/parser.cc"
    break;

  case 354: /* revert_arg: revert_arg_backup "(backed-up?)" symbol_list_arg  */
#line 2772 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 6533 "./out/parser.cc"
    break;

  case 355: /* revert_arg_backup: revert_arg_part  */
#line 2779 "parser.yy"
        {
		if (scm_is_null (yyvsp[0])
		    || scm_is_null (scm_cdr (yyvsp[0])))
			MYBACKUP (SCM_ARG, yyvsp[0], (yylsp[0]));
		else
			MYBACKUP (SYMBOL_LIST, scm_reverse_x (yyvsp[0], SCM_EOL), (yylsp[0]));
	}
#line 6545 "./out/parser.cc"
    break;

  case 357: /* revert_arg_part: revert_arg_backup "(backed-up?)" SCM_ARG '.' symbol_list_part  */
#line 2792 "parser.yy"
        {
		yyval = scm_append_x (ly_list (yyvsp[0], yyvsp[-2]));
	}
#line 6553 "./out/parser.cc"
    break;

  case 358: /* revert_arg_part: revert_arg_backup "(backed-up?)" SCM_ARG ',' symbol_list_part  */
#line 2796 "parser.yy"
        {
		yyval = scm_append_x (ly_list (yyvsp[0], yyvsp[-2]));
	}
#line 6561 "./out/parser.cc"
    break;

  case 359: /* revert_arg_part: revert_arg_backup "(backed-up?)" SCM_ARG symbol_list_part  */
#line 2800 "parser.yy"
        {
		yyval = scm_append_x (ly_list (yyvsp[0], yyvsp[-1]));
		property_path_dot_warning ((yylsp[0]), scm_reverse (yyval));
	}
#line 6570 "./out/parser.cc"
    break;

  case 360: /* context_def_mod: "\\consists"  */
#line 2807 "parser.yy"
                 { yyval = ly_symbol2scm ("consists"); }
#line 6576 "./out/parser.cc"
    break;

  case 361: /* context_def_mod: "\\remove"  */
#line 2808 "parser.yy"
                 { yyval = ly_symbol2scm ("remove"); }
#line 6582 "./out/parser.cc"
    break;

  case 362: /* context_def_mod: "\\accepts"  */
#line 2810 "parser.yy"
                  { yyval = ly_symbol2scm ("accepts"); }
#line 6588 "./out/parser.cc"
    break;

  case 363: /* context_def_mod: "\\defaultchild"  */
#line 2811 "parser.yy"
                       { yyval = ly_symbol2scm ("default-child"); }
#line 6594 "./out/parser.cc"
    break;

  case 364: /* context_def_mod: "\\denies"  */
#line 2812 "parser.yy"
                 { yyval = ly_symbol2scm ("denies"); }
#line 6600 "./out/parser.cc"
    break;

  case 365: /* context_def_mod: "\\alias"  */
#line 2814 "parser.yy"
                { yyval = ly_symbol2scm ("alias"); }
#line 6606 "./out/parser.cc"
    break;

  case 366: /* context_def_mod: "\\type"  */
#line 2815 "parser.yy"
               { yyval = ly_symbol2scm ("translator-type"); }
#line 6612 "./out/parser.cc"
    break;

  case 367: /* context_def_mod: "\\description"  */
#line 2816 "parser.yy"
                      { yyval = ly_symbol2scm ("description"); }
#line 6618 "./out/parser.cc"
    break;

  case 368: /* context_def_mod: "\\name"  */
#line 2817 "parser.yy"
               { yyval = ly_symbol2scm ("context-name"); }
#line 6624 "./out/parser.cc"
    break;

  case 369: /* context_mod: property_operation  */
#line 2821 "parser.yy"
                           { yyval = yyvsp[0]; }
#line 6630 "./out/parser.cc"
    break;

  case 370: /* context_mod: context_def_mod STRING  */
#line 2822 "parser.yy"
                                 {
		yyval = ly_list (yyvsp[-1], yyvsp[0]);
	}
#line 6638 "./out/parser.cc"
    break;

  case 371: /* context_mod: context_def_mod SYMBOL  */
#line 2825 "parser.yy"
                                 {
		yyval = ly_list (yyvsp[-1], yyvsp[0]);
	}
#line 6646 "./out/parser.cc"
    break;

  case 372: /* context_mod: context_def_mod embedded_scm  */
#line 2829 "parser.yy"
        {
		if (!scm_is_string (yyvsp[0])
		    && !scm_is_eq (yyvsp[-1], ly_symbol2scm ("consists"))
		    && !scm_is_eq (yyvsp[-1], ly_symbol2scm ("remove")))
		{
			yyval = SCM_EOL;
			parser->parser_error ((yylsp[-1]), _ ("only \\consists and \\remove take non-string argument."));
		}
		else
		{
			yyval = ly_list (yyvsp[-1], yyvsp[0]);
		}
	}
#line 6664 "./out/parser.cc"
    break;

  case 373: /* grob_prop_spec: symbol_list_rev  */
#line 2846 "parser.yy"
        {
		yyval = scm_reverse_x (yyvsp[0], SCM_EOL);
	}
#line 6672 "./out/parser.cc"
    break;

  case 374: /* grob_prop_path: grob_prop_spec  */
#line 2854 "parser.yy"
        {
		if (scm_is_pair (yyvsp[0])
		    && from_scm<bool>
		    (scm_object_property (scm_car (yyvsp[0]),
					  ly_symbol2scm ("is-grob?"))))
			yyval = scm_cons (ly_symbol2scm ("Bottom"), yyvsp[0]);
		if (!scm_is_pair (yyval)
		    || !scm_is_pair (scm_cdr (yyval))
		    || !scm_is_pair (scm_cddr (yyval)))
		{
			parser->parser_error ((yylsp[0]), _ ("bad grob property path"));
			yyval = SCM_UNDEFINED;
		}
	}
#line 6691 "./out/parser.cc"
    break;

  case 375: /* grob_prop_path: grob_prop_spec property_path  */
#line 2869 "parser.yy"
        {
		if (scm_is_pair (yyvsp[-1])
		    && from_scm<bool>
		    (scm_object_property (scm_car (yyvsp[-1]),
					  ly_symbol2scm ("is-grob?"))))
			yyval = scm_cons (ly_symbol2scm ("Bottom"), yyvsp[-1]);
		if (!scm_is_pair (yyval)
		    || !scm_is_pair (scm_cdr (yyval))
		    || scm_is_pair (scm_cddr (yyval))
		    || !scm_is_pair (yyvsp[0]))
		{
			parser->parser_error ((yylsp[-1]), _ ("bad grob property path"));
			yyval = SCM_UNDEFINED;
		} else {
			property_path_dot_warning ((yylsp[0]), ly_append (yyvsp[-1], yyvsp[0]));
			yyval = scm_append_x (ly_list (yyval, yyvsp[0]));
		}
	}
#line 6714 "./out/parser.cc"
    break;

  case 376: /* context_prop_spec: symbol_list_rev  */
#line 2892 "parser.yy"
        {
		SCM l = scm_reverse_x (yyvsp[0], SCM_EOL);
		switch (scm_ilength (l)) {
		case 1:
			l = scm_cons (ly_symbol2scm ("Bottom"), l);
		case 2:
			break;
		default:
			parser->parser_error ((yylsp[0]), _ ("bad context property path"));
			l = SCM_UNDEFINED;
		}
		yyval = l;
	}
#line 6732 "./out/parser.cc"
    break;

  case 377: /* simple_revert_context: symbol_list_part  */
#line 2924 "parser.yy"
        {
		yyvsp[0] = scm_reverse_x (yyvsp[0], SCM_EOL);
		if (scm_is_null (yyvsp[0])
		    || from_scm<bool>
		    (scm_object_property (scm_car (yyvsp[0]),
					  ly_symbol2scm ("is-grob?")))) {
			yyval = ly_symbol2scm ("Bottom");
			parser->lexer_->push_extra_token ((yylsp[0]), SCM_IDENTIFIER, yyvsp[0]);
		} else {
			yyval = scm_car (yyvsp[0]);
			parser->lexer_->push_extra_token ((yylsp[0]), SCM_IDENTIFIER,
							  scm_cdr (yyvsp[0]));
		}
	}
#line 6751 "./out/parser.cc"
    break;

  case 378: /* music_property_def: "\\override" grob_prop_path '=' scalar  */
#line 2941 "parser.yy"
                                           {
		if (SCM_UNBNDP (yyvsp[-2]))
			yyval = MAKE_SYNTAX (unspecified_music, (yyloc));
		else
			yyval = MAKE_SYNTAX (property_override, (yyloc),
					  scm_car (yyvsp[-2]),
					  scm_cdr (yyvsp[-2]),
					  yyvsp[0]);
	}
#line 6765 "./out/parser.cc"
    break;

  case 379: /* music_property_def: "\\revert" simple_revert_context revert_arg  */
#line 2950 "parser.yy"
                                                  {
		yyval = MAKE_SYNTAX (property_revert, (yyloc), yyvsp[-1], yyvsp[0]);
	}
#line 6773 "./out/parser.cc"
    break;

  case 380: /* music_property_def: "\\set" context_prop_spec '=' scalar  */
#line 2953 "parser.yy"
                                           {
		if (SCM_UNBNDP (yyvsp[-2]))
			yyval = MAKE_SYNTAX (unspecified_music, (yyloc));
		else
			yyval = MAKE_SYNTAX (property_set, (yyloc),
					  scm_car (yyvsp[-2]),
					  scm_cadr (yyvsp[-2]),
					  yyvsp[0]);
	}
#line 6787 "./out/parser.cc"
    break;

  case 381: /* music_property_def: "\\unset" context_prop_spec  */
#line 2962 "parser.yy"
                                  {
		if (SCM_UNBNDP (yyvsp[0]))
			yyval = MAKE_SYNTAX (unspecified_music, (yyloc));
		else
			yyval = MAKE_SYNTAX (property_unset, (yyloc),
					  scm_car (yyvsp[0]),
					  scm_cadr (yyvsp[0]));
	}
#line 6800 "./out/parser.cc"
    break;

  case 388: /* text: embedded_scm_bare  */
#line 2983 "parser.yy"
        {
		if (Text_interface::is_markup (yyvsp[0])) {
			yyval = yyvsp[0];
		} else {
			parser->parser_error ((yylsp[0]), (_ ("markup expected")));
			yyval = scm_string (SCM_EOL);
		}
	}
#line 6813 "./out/parser.cc"
    break;

  case 391: /* simple_string: embedded_scm_bare  */
#line 2996 "parser.yy"
        {
		if (scm_is_string (yyvsp[0])) {
			yyval = yyvsp[0];
		} else {
			parser->parser_error ((yylsp[0]), (_ ("simple string expected")));
			yyval = scm_string (SCM_EOL);
		}
	}
#line 6826 "./out/parser.cc"
    break;

  case 392: /* symbol: STRING  */
#line 3007 "parser.yy"
               {
		yyval = scm_string_to_symbol (yyvsp[0]);
	}
#line 6834 "./out/parser.cc"
    break;

  case 393: /* symbol: SYMBOL  */
#line 3011 "parser.yy"
        {
		if (!is_regular_identifier (yyvsp[0], false))
			parser->parser_error ((yylsp[0]), (_ ("symbol expected")));
		yyval = scm_string_to_symbol (yyvsp[0]);
	}
#line 6844 "./out/parser.cc"
    break;

  case 394: /* symbol: embedded_scm_bare  */
#line 3017 "parser.yy"
        {
		// This is a bit of overkill but makes the same
		// routine responsible for all symbol interpretations.
		yyval = try_string_variants (Guile_user::symbol_p, yyvsp[0]);
		if (SCM_UNBNDP (yyval))
		{
			parser->parser_error ((yylsp[0]), (_ ("symbol expected")));
			// Generate a unique symbol in case it is used
			// for an assignment or similar
			yyval = scm_make_symbol (to_scm ("undefined"));
		}
	}
#line 6861 "./out/parser.cc"
    break;

  case 399: /* scalar: '-' bare_number  */
#line 3044 "parser.yy"
        {
		yyval = scm_difference (yyvsp[0], SCM_UNDEFINED);
	}
#line 6869 "./out/parser.cc"
    break;

  case 401: /* scalar: symbol_list_part_bare '.' property_path  */
#line 3049 "parser.yy"
        {
		yyval = scm_reverse_x (yyvsp[-2], yyvsp[0]);
	}
#line 6877 "./out/parser.cc"
    break;

  case 402: /* scalar: symbol_list_part_bare ',' property_path  */
#line 3053 "parser.yy"
        {
		yyval = scm_reverse_x (yyvsp[-2], yyvsp[0]);
	}
#line 6885 "./out/parser.cc"
    break;

  case 403: /* event_chord: simple_element post_events  */
#line 3059 "parser.yy"
                                   {
		// Let the rhythmic music iterator sort this mess out.
		if (scm_is_pair (yyvsp[0])) {
			set_property (unsmob<Music> (yyval), "articulations",
							 scm_reverse_x (yyvsp[0], SCM_EOL));
		}
	}
#line 6897 "./out/parser.cc"
    break;

  case 404: /* event_chord: CHORD_REPETITION optional_notemode_duration post_events  */
#line 3066 "parser.yy"
                                                                  {
		yyval = MAKE_SYNTAX (repetition_chord, (yyloc),
				  yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 6906 "./out/parser.cc"
    break;

  case 405: /* event_chord: MULTI_MEASURE_REST optional_notemode_duration post_events  */
#line 3070 "parser.yy"
                                                                    {
		yyval = MAKE_SYNTAX (multi_measure_rest, (yyloc), yyvsp[-1],
				  scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 6915 "./out/parser.cc"
    break;

  case 408: /* note_chord_element: chord_body optional_notemode_duration post_events  */
#line 3081 "parser.yy"
        {
		Music *m = unsmob<Music> (yyvsp[-2]);
		SCM dur = unsmob<Duration> (yyvsp[-1])->smobbed_copy ();
		SCM es = get_property (m, "elements");
		SCM postevs = scm_reverse_x (yyvsp[0], SCM_EOL);

		for (SCM s = es; scm_is_pair (s); s = scm_cdr (s))
			set_property (unsmob<Music> (scm_car (s)), "duration", dur);
		es = ly_append (es, postevs);

		set_property (m, "elements", es);
		m->set_spot (parser->lexer_->override_input ((yyloc)));
		yyval = m->self_scm ();
	}
#line 6934 "./out/parser.cc"
    break;

  case 409: /* chord_body: "<" chord_body_elements ">"  */
#line 3099 "parser.yy"
        {
		yyval = MAKE_SYNTAX (event_chord, (yyloc),
				  reverse_music_list (parser, (yyloc),
						      yyvsp[-1], false, false));
	}
#line 6944 "./out/parser.cc"
    break;

  case 410: /* chord_body: FIGURE_OPEN figure_list FIGURE_CLOSE  */
#line 3105 "parser.yy"
        {
		yyval = MAKE_SYNTAX (event_chord, (yyloc), scm_reverse_x (yyvsp[-1], SCM_EOL));
	}
#line 6952 "./out/parser.cc"
    break;

  case 411: /* chord_body_elements: %empty  */
#line 3111 "parser.yy"
                                { yyval = SCM_EOL; }
#line 6958 "./out/parser.cc"
    break;

  case 412: /* chord_body_elements: chord_body_elements chord_body_element  */
#line 3112 "parser.yy"
                                                 {
		if (unsmob<Music> (yyvsp[0]))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 6967 "./out/parser.cc"
    break;

  case 413: /* chord_body_element: pitch_or_tonic_pitch exclamations questions octave_check post_events  */
#line 3120 "parser.yy"
        {
		bool q = from_scm<bool> (yyvsp[-2]);
		bool ex = from_scm<bool> (yyvsp[-3]);
		SCM check = yyvsp[-1];
		SCM post = yyvsp[0];

		Music *n = MY_MAKE_MUSIC ("NoteEvent", (yyloc));
		set_property (n, "pitch", yyvsp[-4]);
		if (q)
			set_property (n, "cautionary", SCM_BOOL_T);
                if (ex || q)
			set_property (n, "force-accidental", SCM_BOOL_T);

		if (scm_is_pair (post)) {
			SCM arts = scm_reverse_x (post, SCM_EOL);
			set_property (n, "articulations", arts);
		}
		if (scm_is_number (check))
		{
			int q = from_scm<int> (check);
			set_property (n, "absolute-octave", to_scm (q-1));
		}

		yyval = n->unprotect ();
	}
#line 6997 "./out/parser.cc"
    break;

  case 414: /* chord_body_element: DRUM_PITCH post_events  */
#line 3145 "parser.yy"
                                           {
		Music *n = MY_MAKE_MUSIC ("NoteEvent", (yyloc));
		set_property (n, "drum-type", yyvsp[-1]);

		if (scm_is_pair (yyvsp[0])) {
			SCM arts = scm_reverse_x (yyvsp[0], SCM_EOL);
			set_property (n, "articulations", arts);
		}
		yyval = n->unprotect ();
	}
#line 7012 "./out/parser.cc"
    break;

  case 415: /* chord_body_element: music_function_chord_body  */
#line 3156 "parser.yy"
        {
		Music *m = unsmob<Music> (yyvsp[0]);

		if (m && !m->is_mus_type ("post-event")) {
			while (m && m->is_mus_type ("music-wrapper-music")) {
				yyval = get_property (m, "element");
				m = unsmob<Music> (yyval);
			}

			if (!(m && m->is_mus_type ("rhythmic-event"))) {
				parser->parser_error ((yyloc), _ ("not a rhythmic event"));
				yyval = SCM_UNSPECIFIED;
			}
		}
	}
#line 7032 "./out/parser.cc"
    break;

  case 420: /* event_function_event: EVENT_FUNCTION function_arglist  */
#line 3181 "parser.yy"
                                        {
		yyval = MAKE_SYNTAX (music_function, (yyloc),
				  yyvsp[-1], yyvsp[0]);
	}
#line 7041 "./out/parser.cc"
    break;

  case 421: /* post_events: %empty  */
#line 3188 "parser.yy"
                    {
		yyval = SCM_EOL;
	}
#line 7049 "./out/parser.cc"
    break;

  case 422: /* post_events: post_events post_event  */
#line 3191 "parser.yy"
                                 {
		yyval = post_event_cons (yyvsp[0], yyvsp[-1]);
	}
#line 7057 "./out/parser.cc"
    break;

  case 423: /* post_event_nofinger: direction_less_event  */
#line 3197 "parser.yy"
                             {
		yyval = yyvsp[0];
	}
#line 7065 "./out/parser.cc"
    break;

  case 424: /* post_event_nofinger: script_dir music_function_call  */
#line 3200 "parser.yy"
                                         {
		Music *m = unsmob<Music> (yyvsp[0]);
		if (!m->is_mus_type ("post-event")) {
			parser->parser_error ((yylsp[0]), _ ("post-event expected"));
			yyval = SCM_UNSPECIFIED;
		} else {
			m->set_spot (parser->lexer_->override_input ((yyloc)));
			if (!SCM_UNBNDP (yyvsp[-1]))
				set_property (m, "direction", yyvsp[-1]);
			yyval = yyvsp[0];
		}
	}
#line 7082 "./out/parser.cc"
    break;

  case 425: /* post_event_nofinger: "--"  */
#line 3212 "parser.yy"
                 {
		if (!parser->lexer_->is_lyric_state ())
			parser->parser_error ((yylsp[0]), _ ("have to be in Lyric mode for lyrics"));
		yyval = MY_MAKE_MUSIC ("HyphenEvent", (yyloc))->unprotect ();
	}
#line 7092 "./out/parser.cc"
    break;

  case 426: /* post_event_nofinger: "__"  */
#line 3217 "parser.yy"
                   {
		if (!parser->lexer_->is_lyric_state ())
			parser->parser_error ((yylsp[0]), _ ("have to be in Lyric mode for lyrics"));
		yyval = MY_MAKE_MUSIC ("ExtenderEvent", (yyloc))->unprotect ();
	}
#line 7102 "./out/parser.cc"
    break;

  case 427: /* post_event_nofinger: script_dir direction_reqd_event  */
#line 3222 "parser.yy"
                                          {
		if (Music *m = unsmob<Music> (yyvsp[0])) {
			m->set_spot (parser->lexer_->override_input ((yyloc)));
			if (!SCM_UNBNDP (yyvsp[-1]))
			{
				set_property (m, "direction", yyvsp[-1]);
			}
		}
		yyval = yyvsp[0];
	}
#line 7117 "./out/parser.cc"
    break;

  case 428: /* post_event_nofinger: script_dir direction_less_event  */
#line 3232 "parser.yy"
                                          {
		Music *m = unsmob<Music> (yyvsp[0]);
		m->set_spot (parser->lexer_->override_input ((yyloc)));
		if (!SCM_UNBNDP (yyvsp[-1]))
			set_property (m, "direction", yyvsp[-1]);
		yyval = yyvsp[0];
	}
#line 7129 "./out/parser.cc"
    break;

  case 429: /* post_event_nofinger: '^' fingering  */
#line 3240 "parser.yy"
        {
		Music *m = unsmob<Music> (yyvsp[0]);
		m->set_spot (parser->lexer_->override_input ((yyloc)));
		set_property (m, "direction", to_scm (UP));
		yyval = yyvsp[0];
	}
#line 7140 "./out/parser.cc"
    break;

  case 430: /* post_event_nofinger: '_' fingering  */
#line 3247 "parser.yy"
        {
		Music *m = unsmob<Music> (yyvsp[0]);
		m->set_spot (parser->lexer_->override_input ((yyloc)));
		set_property (m, "direction", to_scm (DOWN));
		yyval = yyvsp[0];
	}
#line 7151 "./out/parser.cc"
    break;

  case 432: /* post_event: '-' fingering  */
#line 3257 "parser.yy"
                        {
		unsmob<Music> (yyvsp[0])->set_spot (parser->lexer_->override_input ((yyloc)));
		yyval = yyvsp[0];
	}
#line 7160 "./out/parser.cc"
    break;

  case 433: /* string_number_event: E_UNSIGNED  */
#line 3264 "parser.yy"
                   {
		Music *s = MY_MAKE_MUSIC ("StringNumberEvent", (yyloc));
		set_property (s, "string-number", yyvsp[0]);
		yyval = s->unprotect ();
	}
#line 7170 "./out/parser.cc"
    break;

  case 435: /* direction_less_event: EVENT_IDENTIFIER  */
#line 3273 "parser.yy"
                                {
		yyval = yyvsp[0];
	}
#line 7178 "./out/parser.cc"
    break;

  case 436: /* direction_less_event: tremolo_type  */
#line 3276 "parser.yy"
                        {
               Music *a = MY_MAKE_MUSIC ("TremoloEvent", (yyloc));
               set_property (a, "tremolo-type", yyvsp[0]);
               yyval = a->unprotect ();
        }
#line 7188 "./out/parser.cc"
    break;

  case 438: /* direction_reqd_event: gen_text_def  */
#line 3285 "parser.yy"
                     {
		yyval = yyvsp[0];
	}
#line 7196 "./out/parser.cc"
    break;

  case 439: /* direction_reqd_event: script_abbreviation  */
#line 3288 "parser.yy"
                              {
		SCM sym = ly_symbol2scm ("dash" + from_scm<std::string> (yyvsp[0]));
		SCM s = parser->lexer_->lookup_identifier_symbol (sym);
		Music *original = unsmob<Music> (s);
		if (original && original->is_mus_type ("post-event")) {
			Music *a = original->clone ();
			// origin will be set by post_event_nofinger
			yyval = a->unprotect ();
		} else {
			parser->parser_error ((yylsp[0]), _ ("expecting post-event as script definition"));
			yyval = SCM_UNSPECIFIED;
		}
	}
#line 7214 "./out/parser.cc"
    break;

  case 440: /* octave_check: %empty  */
#line 3304 "parser.yy"
             { yyval = SCM_EOL; }
#line 7220 "./out/parser.cc"
    break;

  case 441: /* octave_check: '=' quotes  */
#line 3305 "parser.yy"
                     { yyval = yyvsp[0]; }
#line 7226 "./out/parser.cc"
    break;

  case 442: /* quotes: %empty  */
#line 3310 "parser.yy"
        {
                yyval = SCM_INUM0;
	}
#line 7234 "./out/parser.cc"
    break;

  case 445: /* erroneous_quotes: quotes  */
#line 3319 "parser.yy"
               {
		if (scm_is_eq (SCM_INUM0, yyvsp[0]))
			yyval = SCM_UNDEFINED;
	}
#line 7243 "./out/parser.cc"
    break;

  case 446: /* sup_quotes: '\''  */
#line 3326 "parser.yy"
             {
		yyval = to_scm (1);
	}
#line 7251 "./out/parser.cc"
    break;

  case 447: /* sup_quotes: sup_quotes '\''  */
#line 3329 "parser.yy"
                          {
		yyval = scm_oneplus (yyvsp[-1]);
	}
#line 7259 "./out/parser.cc"
    break;

  case 448: /* sub_quotes: ','  */
#line 3335 "parser.yy"
            {
		yyval = to_scm (-1);
	}
#line 7267 "./out/parser.cc"
    break;

  case 449: /* sub_quotes: sub_quotes ','  */
#line 3338 "parser.yy"
                         {
		yyval = scm_oneminus (yyvsp[-1]);
	}
#line 7275 "./out/parser.cc"
    break;

  case 450: /* steno_pitch: NOTENAME_PITCH quotes  */
#line 3344 "parser.yy"
                              {
                if (!scm_is_eq (SCM_INUM0, yyvsp[0]))
                {
                        Pitch p = *unsmob<Pitch> (yyvsp[-1]);
                        p = p.transposed (Pitch (from_scm<int> (yyvsp[0]), 0));
                        yyval = p.smobbed_copy ();
                }
	}
#line 7288 "./out/parser.cc"
    break;

  case 451: /* steno_tonic_pitch: TONICNAME_PITCH quotes  */
#line 3359 "parser.yy"
                               {
                if (!scm_is_eq (SCM_INUM0, yyvsp[0]))
                {
                        Pitch p = *unsmob<Pitch> (yyvsp[-1]);
                        p = p.transposed (Pitch (from_scm<int> (yyvsp[0]), 0));
                        yyval = p.smobbed_copy ();
                }
	}
#line 7301 "./out/parser.cc"
    break;

  case 453: /* pitch: PITCH_IDENTIFIER quotes  */
#line 3371 "parser.yy"
                                  {
                if (!scm_is_eq (SCM_INUM0, yyvsp[0]))
                {
                        Pitch p = *unsmob<Pitch> (yyvsp[-1]);
                        p = p.transposed (Pitch (from_scm<int> (yyvsp[0]), 0));
                        yyval = p.smobbed_copy ();
                }
	}
#line 7314 "./out/parser.cc"
    break;

  case 456: /* gen_text_def: full_markup  */
#line 3387 "parser.yy"
                    {
		Music *t = MY_MAKE_MUSIC ("TextScriptEvent", (yyloc));
		set_property (t, "text", yyvsp[0]);
		yyval = t->unprotect ();
	}
#line 7324 "./out/parser.cc"
    break;

  case 457: /* gen_text_def: STRING  */
#line 3392 "parser.yy"
                 {
		Music *t = MY_MAKE_MUSIC ("TextScriptEvent", (yyloc));
		set_property (t, "text",
			make_simple_markup (yyvsp[0]));
		yyval = t->unprotect ();
	}
#line 7335 "./out/parser.cc"
    break;

  case 458: /* gen_text_def: SYMBOL  */
#line 3398 "parser.yy"
                 {
		// Flag a warning? could be unintentional
		Music *t = MY_MAKE_MUSIC ("TextScriptEvent", (yyloc));
		set_property (t, "text",
			make_simple_markup (yyvsp[0]));
		yyval = t->unprotect ();
	}
#line 7347 "./out/parser.cc"
    break;

  case 459: /* gen_text_def: embedded_scm  */
#line 3406 "parser.yy"
        {
		// Could be using this for every gen_text_def but for speed
		yyval = MAKE_SYNTAX (create_script, (yylsp[0]), yyvsp[0]);
	}
#line 7356 "./out/parser.cc"
    break;

  case 460: /* fingering: UNSIGNED  */
#line 3413 "parser.yy"
                 {
		Music *t = MY_MAKE_MUSIC ("FingeringEvent", (yyloc));
		set_property (t, "digit", yyvsp[0]);
		yyval = t->unprotect ();
	}
#line 7366 "./out/parser.cc"
    break;

  case 461: /* script_abbreviation: '^'  */
#line 3421 "parser.yy"
                        {
		yyval = scm_from_latin1_string ("Hat");
	}
#line 7374 "./out/parser.cc"
    break;

  case 462: /* script_abbreviation: '+'  */
#line 3424 "parser.yy"
                        {
		yyval = scm_from_latin1_string ("Plus");
	}
#line 7382 "./out/parser.cc"
    break;

  case 463: /* script_abbreviation: '-'  */
#line 3427 "parser.yy"
                        {
		yyval = scm_from_latin1_string ("Dash");
	}
#line 7390 "./out/parser.cc"
    break;

  case 464: /* script_abbreviation: '!'  */
#line 3430 "parser.yy"
                        {
		yyval = scm_from_latin1_string ("Bang");
	}
#line 7398 "./out/parser.cc"
    break;

  case 465: /* script_abbreviation: ">"  */
#line 3433 "parser.yy"
                        {
		yyval = scm_from_latin1_string ("Larger");
	}
#line 7406 "./out/parser.cc"
    break;

  case 466: /* script_abbreviation: '.'  */
#line 3436 "parser.yy"
                        {
		yyval = scm_from_latin1_string ("Dot");
	}
#line 7414 "./out/parser.cc"
    break;

  case 467: /* script_abbreviation: '_'  */
#line 3439 "parser.yy"
              {
		yyval = scm_from_latin1_string ("Underscore");
	}
#line 7422 "./out/parser.cc"
    break;

  case 468: /* script_dir: '_'  */
#line 3445 "parser.yy"
                { yyval = to_scm (DOWN); }
#line 7428 "./out/parser.cc"
    break;

  case 469: /* script_dir: '^'  */
#line 3446 "parser.yy"
                { yyval = to_scm (UP); }
#line 7434 "./out/parser.cc"
    break;

  case 470: /* script_dir: '-'  */
#line 3447 "parser.yy"
                { yyval = SCM_UNDEFINED; }
#line 7440 "./out/parser.cc"
    break;

  case 471: /* maybe_notemode_duration: %empty  */
#line 3451 "parser.yy"
        {
		yyval = SCM_UNDEFINED;
	}
#line 7448 "./out/parser.cc"
    break;

  case 472: /* maybe_notemode_duration: duration  */
#line 3454 "parser.yy"
                        {
		yyval = yyvsp[0];
		parser->default_duration_ = *unsmob<Duration> (yyval);
	}
#line 7457 "./out/parser.cc"
    break;

  case 473: /* optional_notemode_duration: maybe_notemode_duration  */
#line 3463 "parser.yy"
        {
		if (SCM_UNBNDP (yyval))
			yyval = parser->default_duration_.smobbed_copy ();
	}
#line 7466 "./out/parser.cc"
    break;

  case 474: /* steno_duration: UNSIGNED dots  */
#line 3470 "parser.yy"
                                {
		yyval = make_duration (yyvsp[-1], from_scm<int> (yyvsp[0]));
		if (SCM_UNBNDP (yyval))
		{
			parser->parser_error ((yylsp[-1]), _ ("not a duration"));
			yyval = Duration ().smobbed_copy ();
		}
	}
#line 7479 "./out/parser.cc"
    break;

  case 475: /* steno_duration: DURATION_IDENTIFIER dots  */
#line 3478 "parser.yy"
                                        {
		yyval = make_duration (yyvsp[-1], from_scm<int> (yyvsp[0]));
	}
#line 7487 "./out/parser.cc"
    break;

  case 476: /* duration: steno_duration multipliers  */
#line 3484 "parser.yy"
                                   {
		yyval = make_duration (yyvsp[-1], 0, yyvsp[0]);
	}
#line 7495 "./out/parser.cc"
    break;

  case 477: /* dots: %empty  */
#line 3490 "parser.yy"
                        {
		yyval = SCM_INUM0;
	}
#line 7503 "./out/parser.cc"
    break;

  case 478: /* dots: dots '.'  */
#line 3493 "parser.yy"
                   {
		yyval = scm_oneplus (yyvsp[-1]);
	}
#line 7511 "./out/parser.cc"
    break;

  case 481: /* multipliers: %empty  */
#line 3505 "parser.yy"
        {
		yyval = SCM_UNDEFINED;
	}
#line 7519 "./out/parser.cc"
    break;

  case 482: /* multipliers: multipliers '*' UNSIGNED  */
#line 3509 "parser.yy"
        {
		if (!SCM_UNBNDP (yyvsp[-2]))
			yyval = scm_product (yyvsp[-2], yyvsp[0]);
		else
			yyval = yyvsp[0];
	}
#line 7530 "./out/parser.cc"
    break;

  case 483: /* multipliers: multipliers '*' FRACTION  */
#line 3516 "parser.yy"
        {
		if (!SCM_UNBNDP (yyvsp[-2]))
			yyval = scm_product (yyvsp[-2], scm_divide (scm_car (yyvsp[0]),
							  scm_cdr (yyvsp[0])));
		else
			yyval = scm_divide (scm_car (yyvsp[0]), scm_cdr (yyvsp[0]));
	}
#line 7542 "./out/parser.cc"
    break;

  case 484: /* multipliers: multipliers '*' multiplier_scm  */
#line 3524 "parser.yy"
        {
		if (scm_is_false (Lily::scale_p (yyvsp[0])))
		{
			parser->parser_error ((yylsp[0]), _ ("not a multiplier"));
		} else if (SCM_UNBNDP (yyvsp[-2]))
			yyval = Lily::scale_to_factor (yyvsp[0]);
		else
			yyval = scm_product (yyvsp[-2], Lily::scale_to_factor (yyvsp[0]));
	}
#line 7556 "./out/parser.cc"
    break;

  case 485: /* tremolo_type: ':'  */
#line 3536 "parser.yy"
                {
		yyval = to_scm (parser->default_tremolo_type_);
	}
#line 7564 "./out/parser.cc"
    break;

  case 486: /* tremolo_type: ':' UNSIGNED  */
#line 3539 "parser.yy"
                       {
		if (SCM_UNBNDP (make_duration (yyvsp[0]))) {
			parser->parser_error ((yylsp[0]), _ ("not a duration"));
			yyval = to_scm (parser->default_tremolo_type_);
		} else {
			yyval = yyvsp[0];
			parser->default_tremolo_type_ = from_scm<int> (yyvsp[0]);
		}
	}
#line 7578 "./out/parser.cc"
    break;

  case 491: /* bass_number: embedded_scm_bare  */
#line 3556 "parser.yy"
        {
		// as an integer, it needs to be non-negative, and otherwise
		// it needs to be suitable as a markup.
		if (scm_is_integer (yyvsp[0])
		    ? scm_is_true (scm_negative_p (yyvsp[0]))
		    : !Text_interface::is_markup (yyvsp[0]))
		{
			parser->parser_error ((yylsp[0]), _ ("bass number expected"));
			yyval = SCM_INUM0;
		}
	}
#line 7594 "./out/parser.cc"
    break;

  case 492: /* bass_figure: "_"  */
#line 3570 "parser.yy"
                     {
		Music *bfr = MY_MAKE_MUSIC ("BassFigureEvent", (yyloc));
		yyval = bfr->unprotect ();
	}
#line 7603 "./out/parser.cc"
    break;

  case 493: /* bass_figure: bass_number  */
#line 3574 "parser.yy"
                       {
		Music *bfr = MY_MAKE_MUSIC ("BassFigureEvent", (yyloc));
		yyval = bfr->self_scm ();

		if (scm_is_number (yyvsp[0]))
			set_property (bfr, "figure", yyvsp[0]);
		else if (Text_interface::is_markup (yyvsp[0]))
			set_property (bfr, "text", yyvsp[0]);

		bfr->unprotect ();
	}
#line 7619 "./out/parser.cc"
    break;

  case 494: /* bass_figure: bass_figure ']'  */
#line 3585 "parser.yy"
                          {
		yyval = yyvsp[-1];
		set_property (unsmob<Music> (yyvsp[-1]), "bracket-stop", SCM_BOOL_T);
	}
#line 7628 "./out/parser.cc"
    break;

  case 495: /* bass_figure: bass_figure FIGURE_ALTERATION_EXPR  */
#line 3589 "parser.yy"
                                             {
		Music *m = unsmob<Music> (yyvsp[-1]);

		if (scm_is_number (get_property (m, "alteration")))
			m->warning (_f ("Dropping surplus alteration symbols for bass figure."));
		else {
			auto alter_expr = from_scm<std::string> (yyvsp[0]);
			Rational alter (0);
			bool bracket = false;

			for (string::iterator it=alter_expr.begin(); it != alter_expr.end (); it++)
			{
				int c = *it & 0xff;

				/* The friendly lexer guarantees that '[' has its matching ']',
				   so we don't have to check here. */
				if (c == '[')		bracket = true;

				/* "!" resets the counter: we mimic this traditional (pre-2.23.4) behavior. */
				else if (c == '!')	alter = 0;
				else if (c == '+')	alter += SHARP_ALTERATION;
				else if (c == '-')	alter += FLAT_ALTERATION;
			}

			set_property (m, "alteration", to_scm (alter));
			if (bracket)
				set_property (m, "alteration-bracket", SCM_BOOL_T);
		}
	}
#line 7662 "./out/parser.cc"
    break;

  case 496: /* bass_figure: bass_figure figured_bass_modification  */
#line 3618 "parser.yy"
                                                 {
		Music *m = unsmob<Music> (yyvsp[-1]);
		set_property (m, yyvsp[0], SCM_BOOL_T);
	}
#line 7671 "./out/parser.cc"
    break;

  case 497: /* figured_bass_modification: "\\+"  */
#line 3626 "parser.yy"
                        {
		yyval = ly_symbol2scm ("augmented");
	}
#line 7679 "./out/parser.cc"
    break;

  case 498: /* figured_bass_modification: "\\!"  */
#line 3629 "parser.yy"
                        {
		yyval = ly_symbol2scm ("no-continuation");
	}
#line 7687 "./out/parser.cc"
    break;

  case 499: /* figured_bass_modification: '/'  */
#line 3632 "parser.yy"
                        {
		yyval = ly_symbol2scm ("diminished");
	}
#line 7695 "./out/parser.cc"
    break;

  case 500: /* figured_bass_modification: "\\\\"  */
#line 3635 "parser.yy"
                      {
		yyval = ly_symbol2scm ("augmented-slash");
	}
#line 7703 "./out/parser.cc"
    break;

  case 501: /* br_bass_figure: bass_figure  */
#line 3641 "parser.yy"
                    {
		yyval = yyvsp[0];
	}
#line 7711 "./out/parser.cc"
    break;

  case 502: /* br_bass_figure: '[' bass_figure  */
#line 3644 "parser.yy"
                          {
		yyval = yyvsp[0];
		set_property (unsmob<Music> (yyval), "bracket-start", SCM_BOOL_T);
	}
#line 7720 "./out/parser.cc"
    break;

  case 503: /* figure_list: %empty  */
#line 3651 "parser.yy"
                        {
		yyval = SCM_EOL;
	}
#line 7728 "./out/parser.cc"
    break;

  case 504: /* figure_list: figure_list br_bass_figure  */
#line 3654 "parser.yy"
                                     {
		yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 7736 "./out/parser.cc"
    break;

  case 505: /* optional_rest: %empty  */
#line 3660 "parser.yy"
               { yyval = SCM_BOOL_F; }
#line 7742 "./out/parser.cc"
    break;

  case 506: /* optional_rest: "\\rest"  */
#line 3661 "parser.yy"
               { yyval = SCM_BOOL_T; }
#line 7748 "./out/parser.cc"
    break;

  case 507: /* pitch_or_music: pitch exclamations questions octave_check maybe_notemode_duration erroneous_quotes optional_rest post_events  */
#line 3669 "parser.yy"
                                                                                                                     {
		if (!parser->lexer_->is_note_state ())
			parser->parser_error ((yylsp[-7]), _ ("have to be in Note mode for notes"));
		if (!SCM_UNBNDP (yyvsp[-2]))
		{
			// It's possible to get here without a
			// duration, like when there is no
			// octave_check but a question mark.  But we
			// point out the most frequent error of an
			// interspersed duration specifically
			if (!SCM_UNBNDP (yyvsp[-3]))
				parser->parser_error ((yylsp[-2]), _ ("octave marks must precede duration"));
			else
				parser->parser_error ((yylsp[-2]), _ ("badly placed octave marks"));
			// Try sorting the quotes to where they likely belong
			if (scm_is_number (yyvsp[-4])) {
				yyvsp[-4] = scm_sum (yyvsp[-4], yyvsp[-2]);
			} else {
				yyvsp[-7] = unsmob<Pitch> (yyvsp[-7])->transposed
					(Pitch (from_scm<int> (yyvsp[-2]), 0)).smobbed_copy ();
			}
		}

		if (!SCM_UNBNDP (yyvsp[-6])
                    || !SCM_UNBNDP (yyvsp[-5])
                    || scm_is_number (yyvsp[-4])
                    || !SCM_UNBNDP (yyvsp[-3])
		    || scm_is_true (yyvsp[-1])
		    || scm_is_pair (yyvsp[0]))
		{
			Music *n = 0;
			if (scm_is_true (yyvsp[-1]))
				n = MY_MAKE_MUSIC ("RestEvent", (yyloc));
			else
				n = MY_MAKE_MUSIC ("NoteEvent", (yyloc));

			set_property (n, "pitch", yyvsp[-7]);
			if (SCM_UNBNDP (yyvsp[-3]))
				set_property (n, "duration",
						 parser->default_duration_.smobbed_copy ());
			else
				set_property (n, "duration", yyvsp[-3]);

			if (scm_is_number (yyvsp[-4]))
			{
				int q = from_scm<int> (yyvsp[-4]);
				set_property (n, "absolute-octave", to_scm (q-1));
			}

			if (from_scm<bool> (yyvsp[-5]))
				set_property (n, "cautionary", SCM_BOOL_T);
			if (from_scm<bool> (yyvsp[-6]) || from_scm<bool> (yyvsp[-5]))
				set_property (n, "force-accidental", SCM_BOOL_T);
			if (scm_is_pair (yyvsp[0]))
				set_property (n, "articulations",
						 scm_reverse_x (yyvsp[0], SCM_EOL));
			yyval = n->unprotect ();
		}
	}
#line 7812 "./out/parser.cc"
    break;

  case 508: /* pitch_or_music: new_chord post_events  */
#line 3728 "parser.yy"
                                {
		if (!parser->lexer_->is_chord_state ())
                        parser->parser_error ((yylsp[-1]), _ ("have to be in Chord mode for chords"));
		if (scm_is_pair (yyvsp[0])) {
			if (unsmob<Pitch> (yyvsp[-1]))
				yyvsp[-1] = make_chord_elements ((yylsp[-1]),
							  yyvsp[-1],
							  parser->default_duration_.smobbed_copy (),
							  SCM_EOL);

			SCM elts = ly_append (yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL));

			yyval = MAKE_SYNTAX (event_chord, (yylsp[-1]), elts);
		} else if (!unsmob<Pitch> (yyvsp[-1]))
			yyval = MAKE_SYNTAX (event_chord, (yylsp[-1]), yyvsp[-1]);
		// A mere pitch drops through.
	}
#line 7834 "./out/parser.cc"
    break;

  case 509: /* simple_element: DRUM_PITCH optional_notemode_duration  */
#line 3748 "parser.yy"
                                              {
		Music *n = MY_MAKE_MUSIC ("NoteEvent", (yyloc));
		set_property (n, "duration", yyvsp[0]);
		set_property (n, "drum-type", yyvsp[-1]);

		yyval = n->unprotect ();
	}
#line 7846 "./out/parser.cc"
    break;

  case 510: /* simple_element: RESTNAME optional_notemode_duration  */
#line 3755 "parser.yy"
                                                        {
		Music *ev = 0;
 		if (from_scm<std::string> (yyvsp[-1]) == "s") {
			/* Space */
			ev = MY_MAKE_MUSIC ("SkipEvent", (yyloc));
		  }
		else {
			ev = MY_MAKE_MUSIC ("RestEvent", (yyloc));

		    }
		set_property (ev, "duration", yyvsp[0]);
 		yyval = ev->unprotect ();
	}
#line 7864 "./out/parser.cc"
    break;

  case 511: /* lyric_element: full_markup  */
#line 3771 "parser.yy"
                    {
		if (!parser->lexer_->is_lyric_state ())
			parser->parser_error ((yylsp[0]), _ ("markup outside of text script or \\lyricmode"));
		yyval = yyvsp[0];
	}
#line 7874 "./out/parser.cc"
    break;

  case 512: /* lyric_element: SYMBOL  */
#line 3776 "parser.yy"
                 {
		if (!parser->lexer_->is_lyric_state ())
			parser->parser_error ((yylsp[0]), _f ("not a note name: %s", from_scm<std::string> (yyvsp[0])));
		yyval = yyvsp[0];
	}
#line 7884 "./out/parser.cc"
    break;

  case 513: /* lyric_element: STRING  */
#line 3781 "parser.yy"
                 {
		if (!parser->lexer_->is_lyric_state ())
			parser->parser_error ((yylsp[0]), _ ("string outside of text script or \\lyricmode"));
		yyval = yyvsp[0];
	}
#line 7894 "./out/parser.cc"
    break;

  case 515: /* lyric_element_music: lyric_element optional_notemode_duration post_events  */
#line 3790 "parser.yy"
                                                             {
		yyval = MAKE_SYNTAX (lyric_event, (yyloc), yyvsp[-2], yyvsp[-1]);
		if (scm_is_pair (yyvsp[0]))
			set_property
				(unsmob<Music> (yyval), "articulations", scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 7905 "./out/parser.cc"
    break;

  case 516: /* new_chord: steno_tonic_pitch maybe_notemode_duration  */
#line 3800 "parser.yy"
                                                    {
		if (SCM_UNBNDP (yyvsp[0]))
			yyval = yyvsp[-1];
		else
			yyval = make_chord_elements ((yyloc), yyvsp[-1], yyvsp[0], SCM_EOL);
	}
#line 7916 "./out/parser.cc"
    break;

  case 517: /* new_chord: steno_tonic_pitch optional_notemode_duration chord_separator chord_items  */
#line 3806 "parser.yy"
                                                                                   {
		SCM its = scm_reverse_x (yyvsp[0], SCM_EOL);
		yyval = make_chord_elements ((yyloc), yyvsp[-3], yyvsp[-2], scm_cons (yyvsp[-1], its));
	}
#line 7925 "./out/parser.cc"
    break;

  case 518: /* chord_items: %empty  */
#line 3813 "parser.yy"
             {
		yyval = SCM_EOL;
	}
#line 7933 "./out/parser.cc"
    break;

  case 519: /* chord_items: chord_items chord_item  */
#line 3816 "parser.yy"
                                 {
		yyval = scm_cons (yyvsp[0], yyval);
	}
#line 7941 "./out/parser.cc"
    break;

  case 520: /* chord_separator: ":"  */
#line 3822 "parser.yy"
                    {
		yyval = ly_symbol2scm ("chord-colon");
	}
#line 7949 "./out/parser.cc"
    break;

  case 521: /* chord_separator: "^"  */
#line 3825 "parser.yy"
                      {
		yyval = ly_symbol2scm ("chord-caret");
	}
#line 7957 "./out/parser.cc"
    break;

  case 522: /* chord_separator: "/" steno_tonic_pitch  */
#line 3828 "parser.yy"
                                        {
 		yyval = ly_list (ly_symbol2scm ("chord-slash"), yyvsp[0]);
	}
#line 7965 "./out/parser.cc"
    break;

  case 523: /* chord_separator: "/+" steno_tonic_pitch  */
#line 3831 "parser.yy"
                                       {
		yyval = ly_list (ly_symbol2scm ("chord-bass"), yyvsp[0]);
	}
#line 7973 "./out/parser.cc"
    break;

  case 524: /* chord_item: chord_separator  */
#line 3837 "parser.yy"
                        {
		yyval = yyvsp[0];
	}
#line 7981 "./out/parser.cc"
    break;

  case 525: /* chord_item: step_numbers  */
#line 3840 "parser.yy"
                       {
		yyval = scm_reverse_x (yyvsp[0], SCM_EOL);
	}
#line 7989 "./out/parser.cc"
    break;

  case 526: /* chord_item: CHORD_MODIFIER  */
#line 3843 "parser.yy"
                          {
		yyval = yyvsp[0];
	}
#line 7997 "./out/parser.cc"
    break;

  case 527: /* step_numbers: step_number  */
#line 3849 "parser.yy"
                    { yyval = scm_cons (yyvsp[0], SCM_EOL); }
#line 8003 "./out/parser.cc"
    break;

  case 528: /* step_numbers: step_numbers '.' step_number  */
#line 3850 "parser.yy"
                                       {
		yyval = scm_cons (yyvsp[0], yyval);
	}
#line 8011 "./out/parser.cc"
    break;

  case 529: /* step_number: UNSIGNED  */
#line 3856 "parser.yy"
                 {
		yyval = make_chord_step (yyvsp[0], 0);
        }
#line 8019 "./out/parser.cc"
    break;

  case 530: /* step_number: UNSIGNED '+'  */
#line 3859 "parser.yy"
                       {
		yyval = make_chord_step (yyvsp[-1], SHARP_ALTERATION);
	}
#line 8027 "./out/parser.cc"
    break;

  case 531: /* step_number: UNSIGNED "-"  */
#line 3862 "parser.yy"
                               {
		yyval = make_chord_step (yyvsp[-1], FLAT_ALTERATION);
	}
#line 8035 "./out/parser.cc"
    break;

  case 532: /* tempo_range: exact_unsigned_number  */
#line 3868 "parser.yy"
                              {
		yyval = yyvsp[0];
	}
#line 8043 "./out/parser.cc"
    break;

  case 533: /* tempo_range: exact_unsigned_number '-' exact_unsigned_number  */
#line 3871 "parser.yy"
                                                          {
		yyval = scm_cons (yyvsp[-2], yyvsp[0]);
	}
#line 8051 "./out/parser.cc"
    break;

  case 534: /* number_expression: number_expression '+' number_term  */
#line 3883 "parser.yy"
                                          {
		yyval = scm_sum (yyvsp[-2], yyvsp[0]);
	}
#line 8059 "./out/parser.cc"
    break;

  case 535: /* number_expression: number_expression '-' number_term  */
#line 3886 "parser.yy"
                                            {
		yyval = scm_difference (yyvsp[-2], yyvsp[0]);
	}
#line 8067 "./out/parser.cc"
    break;

  case 537: /* number_term: number_factor  */
#line 3893 "parser.yy"
                      {
		yyval = yyvsp[0];
	}
#line 8075 "./out/parser.cc"
    break;

  case 538: /* number_term: number_factor '*' number_factor  */
#line 3896 "parser.yy"
                                          {
		yyval = scm_product (yyvsp[-2], yyvsp[0]);
	}
#line 8083 "./out/parser.cc"
    break;

  case 539: /* number_term: number_factor '/' number_factor  */
#line 3899 "parser.yy"
                                          {
		yyval = scm_divide (yyvsp[-2], yyvsp[0]);
	}
#line 8091 "./out/parser.cc"
    break;

  case 540: /* number_factor: '-' number_factor  */
#line 3905 "parser.yy"
                           { /* %prec UNARY_MINUS */
		yyval = scm_difference (yyvsp[0], SCM_UNDEFINED);
	}
#line 8099 "./out/parser.cc"
    break;

  case 544: /* bare_number_common: REAL NUMBER_IDENTIFIER  */
#line 3915 "parser.yy"
        {
		yyval = scm_product (yyvsp[-1], yyvsp[0]);
	}
#line 8107 "./out/parser.cc"
    break;

  case 547: /* bare_number: UNSIGNED NUMBER_IDENTIFIER  */
#line 3923 "parser.yy"
                                        {
		yyval = scm_product (yyvsp[-1], yyvsp[0]);
	}
#line 8115 "./out/parser.cc"
    break;

  case 549: /* exact_unsigned_number: NUMBER_IDENTIFIER  */
#line 3931 "parser.yy"
        {
		if (!scm_is_exact (yyvsp[0])
		    || scm_is_true (scm_negative_p (yyvsp[0])))
		{
			parser->parser_error ((yylsp[0]), _("not an exact unsigned number"));
			yyval = SCM_INUM0;
		}
	}
#line 8128 "./out/parser.cc"
    break;

  case 550: /* exact_unsigned_number: embedded_scm  */
#line 3940 "parser.yy"
        {
		if (!scm_is_number (yyvsp[0])
		    || !scm_is_exact (yyvsp[0])
		    || scm_is_true (scm_negative_p (yyvsp[0])))
		{
			parser->parser_error ((yylsp[0]), _("not an exact unsigned number"));
			yyval = SCM_INUM0;
		}
	}
#line 8142 "./out/parser.cc"
    break;

  case 552: /* unsigned_integer: NUMBER_IDENTIFIER  */
#line 3954 "parser.yy"
        {
		if (!scm_is_integer (yyvsp[0])
		    || scm_is_true (scm_negative_p (yyvsp[0])))
		{
			parser->parser_error ((yylsp[0]), _("not an unsigned integer"));
			yyval = SCM_INUM0;
		}
	}
#line 8155 "./out/parser.cc"
    break;

  case 553: /* unsigned_integer: embedded_scm  */
#line 3963 "parser.yy"
        {
		if (!scm_is_integer (yyvsp[0])
		    || scm_is_true (scm_negative_p (yyvsp[0])))
		{
			parser->parser_error ((yylsp[0]), _("not an unsigned integer"));
			yyval = SCM_INUM0;
		}
	}
#line 8168 "./out/parser.cc"
    break;

  case 554: /* exclamations: %empty  */
#line 3974 "parser.yy"
                { yyval = SCM_UNDEFINED; }
#line 8174 "./out/parser.cc"
    break;

  case 555: /* exclamations: exclamations '!'  */
#line 3976 "parser.yy"
        {
                if (SCM_UNBNDP (yyvsp[-1]))
                        yyval = SCM_BOOL_T;
                else
                        yyval = scm_not (yyvsp[-1]);
        }
#line 8185 "./out/parser.cc"
    break;

  case 556: /* questions: %empty  */
#line 3991 "parser.yy"
        { yyval = SCM_UNDEFINED; }
#line 8191 "./out/parser.cc"
    break;

  case 557: /* questions: questions '?'  */
#line 3993 "parser.yy"
        {
                if (SCM_UNBNDP (yyvsp[-1]))
                        yyval = SCM_BOOL_T;
                else
                        yyval = scm_not (yyvsp[-1]);
        }
#line 8202 "./out/parser.cc"
    break;

  case 558: /* $@10: %empty  */
#line 4003 "parser.yy"
                { parser->lexer_->push_markup_state (); }
#line 8208 "./out/parser.cc"
    break;

  case 559: /* full_markup_list: "\\markuplist" $@10 markup_list  */
#line 4004 "parser.yy"
                    {
		yyval = yyvsp[0];
		parser->lexer_->pop_state ();
	}
#line 8217 "./out/parser.cc"
    break;

  case 560: /* markup_mode: "\\markup"  */
#line 4012 "parser.yy"
        {
		parser->lexer_->push_markup_state ();
	}
#line 8225 "./out/parser.cc"
    break;

  case 561: /* markup_mode_word: markup_mode markup_word  */
#line 4028 "parser.yy"
        {
		yyval = yyvsp[0];
		parser->lexer_->pop_state ();
	}
#line 8234 "./out/parser.cc"
    break;

  case 562: /* full_markup: markup_mode markup_top  */
#line 4036 "parser.yy"
                               {
		yyval = yyvsp[0];
		parser->lexer_->pop_state ();
	}
#line 8243 "./out/parser.cc"
    break;

  case 563: /* full_markup: markup_mode_word  */
#line 4041 "parser.yy"
        {
		yyval = make_simple_markup (yyvsp[0]);
	}
#line 8251 "./out/parser.cc"
    break;

  case 564: /* partial_markup: markup_mode markup_partial_function "\\etc"  */
#line 4048 "parser.yy"
        {
		yyval = MAKE_SYNTAX (partial_markup, (yylsp[-1]), yyvsp[-1]);
		parser->lexer_->pop_state ();
	}
#line 8260 "./out/parser.cc"
    break;

  case 565: /* markup_top: markup_list  */
#line 4055 "parser.yy"
                    {
		yyval = ly_list (Lily::line_markup,  yyvsp[0]);
	}
#line 8268 "./out/parser.cc"
    break;

  case 566: /* markup_top: markup_head_1_list simple_markup  */
#line 4059 "parser.yy"
        {
		yyval = scm_car (MAKE_SYNTAX (composed_markup_list,
					   (yylsp[0]), yyvsp[-1], ly_list (yyvsp[0])));
	}
#line 8277 "./out/parser.cc"
    break;

  case 567: /* markup_top: simple_markup_noword  */
#line 4063 "parser.yy"
                               {
		yyval = yyvsp[0];
	}
#line 8285 "./out/parser.cc"
    break;

  case 568: /* $@11: %empty  */
#line 4070 "parser.yy"
        {
		if (Text_interface::is_markup (yyvsp[0]))
			MYBACKUP (MARKUP_IDENTIFIER, yyvsp[0], (yylsp[0]));
		else if (Text_interface::is_markup_list (yyvsp[0]))
			MYBACKUP (MARKUPLIST_IDENTIFIER, yyvsp[0], (yylsp[0]));
		else if (scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			MYBACKUP (MARKUPLIST_IDENTIFIER, SCM_EOL, (yylsp[0]));
		else {
			parser->parser_error ((yylsp[0]), _ ("not a markup"));
			MYBACKUP (MARKUP_IDENTIFIER, scm_string (SCM_EOL), (yylsp[0]));
		}
	}
#line 8302 "./out/parser.cc"
    break;

  case 570: /* markup_list: markup_composed_list  */
#line 4086 "parser.yy"
                             {
		yyval = yyvsp[0];
	}
#line 8310 "./out/parser.cc"
    break;

  case 572: /* markup_uncomposed_list: markup_braced_list  */
#line 4093 "parser.yy"
                           {
		yyval = yyvsp[0];
	}
#line 8318 "./out/parser.cc"
    break;

  case 573: /* markup_uncomposed_list: markup_command_list  */
#line 4096 "parser.yy"
                              {
		yyval = ly_list (yyvsp[0]);
	}
#line 8326 "./out/parser.cc"
    break;

  case 574: /* markup_uncomposed_list: markup_scm MARKUPLIST_IDENTIFIER  */
#line 4100 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 8334 "./out/parser.cc"
    break;

  case 575: /* $@12: %empty  */
#line 4103 "parser.yy"
                     {
		parser->lexer_->push_note_state ();
	}
#line 8342 "./out/parser.cc"
    break;

  case 576: /* markup_uncomposed_list: "\\score-lines" $@12 '{' score_body '}'  */
#line 4105 "parser.yy"
                             {
		Score *sc = unsmob<Score> (yyvsp[-1]);
		sc->origin ()->set_spot ((yyloc));
		if (sc->defs_.empty ()) {
			Output_def *od = get_layout (parser);
			sc->add_output_def (od);
			od->unprotect ();
		}
		yyval = ly_list (ly_list (Lily::score_lines_markup_list, yyvsp[-1]));
		parser->lexer_->pop_state ();
	}
#line 8358 "./out/parser.cc"
    break;

  case 577: /* markup_composed_list: markup_head_1_list markup_uncomposed_list  */
#line 4119 "parser.yy"
                                                  {
		yyval = MAKE_SYNTAX (composed_markup_list,
				  (yylsp[0]), yyvsp[-1], yyvsp[0]);
	}
#line 8367 "./out/parser.cc"
    break;

  case 578: /* markup_braced_list: '{' markup_braced_list_body '}'  */
#line 4126 "parser.yy"
                                        {
		yyval = scm_reverse_x (yyvsp[-1], SCM_EOL);
	}
#line 8375 "./out/parser.cc"
    break;

  case 579: /* markup_braced_list_body: %empty  */
#line 4132 "parser.yy"
                        {  yyval = SCM_EOL; }
#line 8381 "./out/parser.cc"
    break;

  case 580: /* markup_braced_list_body: markup_braced_list_body markup  */
#line 4133 "parser.yy"
                                         {
		yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 8389 "./out/parser.cc"
    break;

  case 581: /* markup_braced_list_body: markup_braced_list_body markup_list  */
#line 4136 "parser.yy"
                                              {
		yyval = Srfi_1::append_reverse (yyvsp[0], yyvsp[-1]);
	}
#line 8397 "./out/parser.cc"
    break;

  case 582: /* markup_command_list: MARKUP_LIST_FUNCTION markup_command_list_arguments  */
#line 4142 "parser.yy"
                                                           {
	  yyval = scm_cons (yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 8405 "./out/parser.cc"
    break;

  case 583: /* markup_command_basic_arguments: "markup-list?" markup_command_list_arguments markup_list  */
#line 4148 "parser.yy"
                                                                     {
		yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 8413 "./out/parser.cc"
    break;

  case 584: /* markup_command_basic_arguments: "scheme?" markup_command_list_arguments embedded_scm  */
#line 4151 "parser.yy"
                                                                {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 8421 "./out/parser.cc"
    break;

  case 585: /* $@13: %empty  */
#line 4162 "parser.yy"
                                                       {
		parser->lexer_->push_note_state ();
	}
#line 8429 "./out/parser.cc"
    break;

  case 586: /* markup_command_basic_arguments: "scheme?" markup_command_list_arguments '{' $@13 embedded_lilypond '}'  */
#line 4164 "parser.yy"
                                {
		yyval = SCM_UNDEFINED;
		if (scm_is_false (ly_call (yyvsp[-5], yyvsp[-1]))) {
			// The conversion to a note event needs the lexer to be still
			// in note state.
			SCM maybe_music = make_music_from_simple (parser, (yylsp[-1]), yyvsp[-1]);
			if (unsmob<Music> (maybe_music)
			    && scm_is_true (ly_call (yyvsp[-5], maybe_music))) {
				yyval = scm_cons (maybe_music, yyvsp[-4]);
				if (Duration *dur = unsmob<Duration> (yyvsp[-1])) {
					parser->default_duration_ = *dur;
				}
			}
		}
		if (SCM_UNBNDP (yyval)) {
			yyval = check_scheme_arg (parser, (yylsp[-1]), yyvsp[-1], yyvsp[-4], yyvsp[-5]);
		}
		parser->lexer_->pop_state ();
	}
#line 8453 "./out/parser.cc"
    break;

  case 587: /* markup_command_basic_arguments: "scheme?" markup_command_list_arguments mode_changed_music  */
#line 4183 "parser.yy"
                                                                      {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 8461 "./out/parser.cc"
    break;

  case 588: /* markup_command_basic_arguments: "scheme?" markup_command_list_arguments MUSIC_IDENTIFIER  */
#line 4186 "parser.yy"
                                                                    {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 8469 "./out/parser.cc"
    break;

  case 589: /* markup_command_basic_arguments: "scheme?" markup_command_list_arguments STRING  */
#line 4189 "parser.yy"
                                                          {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 8477 "./out/parser.cc"
    break;

  case 590: /* markup_command_basic_arguments: EXPECT_NO_MORE_ARGS  */
#line 4192 "parser.yy"
                              {
		yyval = SCM_EOL;
	}
#line 8485 "./out/parser.cc"
    break;

  case 591: /* markup_command_list_arguments: markup_command_basic_arguments  */
#line 4198 "parser.yy"
                                       { yyval = yyvsp[0]; }
#line 8491 "./out/parser.cc"
    break;

  case 592: /* markup_command_list_arguments: "markup?" markup_command_list_arguments markup  */
#line 4199 "parser.yy"
                                                             {
	  yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 8499 "./out/parser.cc"
    break;

  case 593: /* markup_partial_function: MARKUP_FUNCTION markup_arglist_partial  */
#line 4206 "parser.yy"
        {
		yyval = ly_list (scm_cons (yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL)));
	}
#line 8507 "./out/parser.cc"
    break;

  case 594: /* markup_partial_function: markup_head_1_list MARKUP_FUNCTION markup_arglist_partial  */
#line 4210 "parser.yy"
        {
		yyval = scm_cons (scm_cons (yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL)),
			       yyvsp[-2]);
	}
#line 8516 "./out/parser.cc"
    break;

  case 595: /* markup_arglist_partial: "markup?" markup_arglist_partial  */
#line 4218 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 8524 "./out/parser.cc"
    break;

  case 596: /* markup_arglist_partial: "markup-list?" markup_arglist_partial  */
#line 4222 "parser.yy"
        {
		yyval= yyvsp[0];
	}
#line 8532 "./out/parser.cc"
    break;

  case 597: /* markup_arglist_partial: "scheme?" markup_arglist_partial  */
#line 4226 "parser.yy"
        {
		yyval= yyvsp[0];
	}
#line 8540 "./out/parser.cc"
    break;

  case 598: /* markup_arglist_partial: "markup?" markup_command_list_arguments  */
#line 4232 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 8548 "./out/parser.cc"
    break;

  case 599: /* markup_arglist_partial: "markup-list?" markup_command_list_arguments  */
#line 4236 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 8556 "./out/parser.cc"
    break;

  case 600: /* markup_arglist_partial: "scheme?" markup_command_list_arguments  */
#line 4240 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 8564 "./out/parser.cc"
    break;

  case 601: /* markup_head_1_item: MARKUP_FUNCTION "markup?" markup_command_list_arguments  */
#line 4246 "parser.yy"
                                                                    {
	  yyval = scm_cons (yyvsp[-2], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 8572 "./out/parser.cc"
    break;

  case 602: /* markup_head_1_list: markup_head_1_item  */
#line 4252 "parser.yy"
                                {
		yyval = ly_list (yyvsp[0]);
	}
#line 8580 "./out/parser.cc"
    break;

  case 603: /* markup_head_1_list: markup_head_1_list markup_head_1_item  */
#line 4255 "parser.yy"
                                                {
		yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 8588 "./out/parser.cc"
    break;

  case 606: /* simple_markup: markup_word  */
#line 4267 "parser.yy"
        {
		yyval = make_simple_markup (yyvsp[0]);
	}
#line 8596 "./out/parser.cc"
    break;

  case 608: /* $@14: %empty  */
#line 4274 "parser.yy"
              {
		parser->lexer_->push_note_state ();
	}
#line 8604 "./out/parser.cc"
    break;

  case 609: /* simple_markup_noword: "\\score" $@14 '{' score_body '}'  */
#line 4276 "parser.yy"
                             {
		Score *sc = unsmob<Score> (yyvsp[-1]);
		sc->origin ()->set_spot ((yyloc));
		if (sc->defs_.empty ()) {
			Output_def *od = get_layout (parser);
			sc->add_output_def (od);
			od->unprotect ();
		}
		yyval = ly_list (Lily::score_markup, yyvsp[-1]);
		parser->lexer_->pop_state ();
	}
#line 8620 "./out/parser.cc"
    break;

  case 610: /* simple_markup_noword: MARKUP_FUNCTION markup_command_basic_arguments  */
#line 4287 "parser.yy"
                                                         {
		yyval = scm_cons (yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 8628 "./out/parser.cc"
    break;

  case 611: /* simple_markup_noword: markup_scm MARKUP_IDENTIFIER  */
#line 4291 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 8636 "./out/parser.cc"
    break;

  case 612: /* markup: markup_head_1_list simple_markup  */
#line 4298 "parser.yy"
        {
		yyval = scm_car (MAKE_SYNTAX (composed_markup_list,
					   (yylsp[0]), yyvsp[-1], ly_list (yyvsp[0])));
	}
#line 8645 "./out/parser.cc"
    break;

  case 613: /* markup: simple_markup  */
#line 4302 "parser.yy"
                        {
		yyval = yyvsp[0];
	}
#line 8653 "./out/parser.cc"
    break;


#line 8657 "./out/parser.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken, &yylloc};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (&yylloc, parser, retval, yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= END_OF_FILE)
        {
          /* Return failure if at end of input.  */
          if (yychar == END_OF_FILE)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, parser, retval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp, parser, retval);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, parser, retval, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, parser, retval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp, parser, retval);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 4307 "parser.yy"


void
Lily_parser::set_yydebug (bool x)
{
	yydebug = x;
}

SCM
Lily_parser::do_yyparse ()
{
	return scm_c_with_fluid (Lily::f_parser,
				 self_scm (),
				 do_yyparse_trampoline,
				 static_cast <void *>(this));
}

SCM
Lily_parser::do_yyparse_trampoline (void *parser)
{
	SCM retval = SCM_UNDEFINED;
	yyparse (static_cast <Lily_parser *>(parser), &retval);
	return retval;
}



/*

It is a little strange to have this function in this file, but
otherwise, we have to import music classes into the lexer.

*/
int
Lily_lexer::try_special_identifiers (SCM *destination, SCM sid)
{
	if (unsmob<Book> (sid)) {
		Book *book =  unsmob<Book> (sid)->clone ();
		*destination = book->self_scm ();
		book->unprotect ();

		return BOOK_IDENTIFIER;
	} else if (scm_is_number (sid)) {
		*destination = sid;
		return NUMBER_IDENTIFIER;
	} else if (unsmob<Context_def> (sid))
	{
		*destination = unsmob<Context_def> (sid)->clone ()->unprotect ();
		return SCM_IDENTIFIER;
        } else if (unsmob<Context_mod> (sid)) {
                *destination = unsmob<Context_mod> (sid)->smobbed_copy ();
                return SCM_IDENTIFIER;
	} else if (Music *mus = unsmob<Music> (sid)) {
		mus = mus->clone ();
		*destination = mus->self_scm ();
		bool is_event = mus->is_mus_type ("post-event");
		mus->unprotect ();
		return is_event ? EVENT_IDENTIFIER : MUSIC_IDENTIFIER;
	} else if (unsmob<Pitch> (sid)) {
		*destination = unsmob<Pitch> (sid)->smobbed_copy ();
		return PITCH_IDENTIFIER;
	} else if (unsmob<Duration> (sid)) {
		*destination = unsmob<Duration> (sid)->smobbed_copy ();
		return DURATION_IDENTIFIER;
	} else if (unsmob<Output_def> (sid)) {
		*destination = unsmob<Output_def> (sid)->clone ()->unprotect ();
		return SCM_IDENTIFIER;
	} else if (unsmob<Score> (sid)) {
		*destination = unsmob<Score> (sid)->clone ()->unprotect ();
		return SCM_IDENTIFIER;
	} else if (scm_is_pair (sid)
		   && scm_is_pair (scm_car (sid))
		   && scm_is_true (Lily::key_p (scm_caar (sid)))) {
		*destination = sid;
		return LOOKUP_IDENTIFIER;
	}
	return -1;
}

// check_scheme_arg checks one argument with a given predicate for use
// in an argument list and throws a syntax error if it is unusable.
// The argument is prepended to the argument list in any case.  After
// throwing a syntax error, the argument list is terminated with #f as
// its last cdr in order to mark it as uncallable while not losing
// track of its total length.
//
// There are a few special considerations: if optional argument disp
// is given (otherwise it defaults to SCM_UNDEFINED), it will be used
// instead of arg in a prospective error message.  This is useful if
// arg is not the actual argument but rather a transformation of it.
//
// If arg itself is SCM_UNDEFINED, the predicate is considered false
// and an error message using disp is produced unconditionally.

SCM check_scheme_arg (Lily_parser *parser, Input loc,
		      SCM arg, SCM args, SCM pred, SCM disp)
{
	if (SCM_UNBNDP (arg))
		args = scm_cons (disp, args);
	else {
		args = scm_cons (arg, args);
		if (scm_is_true (ly_call (pred, arg)))
			return args;
	}
	scm_set_cdr_x (scm_last_pair (args), SCM_EOL);
	MAKE_SYNTAX (argument_error, loc, scm_length (args), pred,
		     SCM_UNBNDP (disp) ? arg : disp);
	scm_set_cdr_x (scm_last_pair (args), SCM_BOOL_F);
	return args;
}

SCM loc_on_copy (Lily_parser *parser, Input loc, SCM arg)
{
	if (Music *m = unsmob<Music> (arg))
	{
		m = m->clone ();
		m->set_spot (parser->lexer_->override_input (loc));
		return m->unprotect ();
	}
	if (Book *b = unsmob<Book> (arg))
	{
		b = b->clone ();
		b->origin ()->set_spot (parser->lexer_->override_input (loc));
		return b->unprotect ();
	}
	if (Context_def *cd = unsmob<Context_def> (arg))
	{
		cd = cd->clone ();
		cd->origin ()->set_spot (parser->lexer_->override_input (loc));
		return cd->unprotect ();
	}
	if (Output_def *od = unsmob<Output_def> (arg))
	{
		od = od->clone ();
		od->input_origin_ = parser->lexer_->override_input (loc);
		return od->unprotect ();
	}
	if (Score *s = unsmob<Score> (arg))
	{
		s = s->clone ();
		s->origin ()->set_spot (parser->lexer_->override_input (loc));
		return s->unprotect ();
	}
	if (Context_mod *cm = unsmob<Context_mod> (arg))
	{
		return cm->smobbed_copy ();
	}
	return arg;
}

SCM
make_reverse_key_list (SCM keys)
{
	if (scm_is_true (Lily::key_p (keys)))
		return ly_list (keys);
	if (scm_is_string (keys))
		return ly_list (scm_string_to_symbol (keys));
	if (!ly_is_list (keys))
		return SCM_UNDEFINED;
	SCM res = SCM_EOL;
	for (; scm_is_pair (keys); keys = scm_cdr (keys))
	{
		SCM elt = scm_car (keys);
		if (scm_is_true (Lily::key_p (elt)))
			res = scm_cons (elt, res);
		else if (scm_is_string (elt))
			res = scm_cons (scm_string_to_symbol (elt), res);
		else return SCM_UNDEFINED;
	}
	return res;
}

SCM
try_string_variants (SCM pred, SCM str)
{
	// a matching predicate is always ok
	if (scm_is_true (ly_call (pred, str)))
		return str;
	// a key may be interpreted as a list of keys if it helps
	if (scm_is_true (Lily::key_p (str))) {
		str = ly_list (str);
		if (scm_is_true (ly_call (pred, str)))
			return str;
		return SCM_UNDEFINED;
	}

	if (!scm_is_string (str))
		return SCM_UNDEFINED;

	// Let's attempt the symbol list interpretation first.

	str = scm_string_to_symbol (str);

	SCM lst = ly_list (str);

	if (scm_is_true (ly_call (pred, lst)))
		return lst;

	// Try the single symbol interpretation

	if (scm_is_true (ly_call (pred, str)))
		return str;

	return SCM_UNDEFINED;
}

SCM
try_word_variants (SCM pred, SCM str)
{
	// str is always a string when we come here

	if (scm_is_true (ly_call (pred, str)))
		return str;

	// If this cannot be a string representation of a symbol list,
	// we are through.

	if (!is_regular_identifier (str, true))
		return SCM_UNDEFINED;

	str = scm_string_split (str, SCM_MAKE_CHAR ('.'));
	for (SCM &p : as_ly_scm_list (str))
		p = scm_string_split (p, SCM_MAKE_CHAR (','));
	str = scm_append_x (str);
	for (SCM &p : as_ly_scm_list (str))
		p = scm_string_to_symbol (p);

	// Let's attempt the symbol list interpretation first.

	if (scm_is_true (ly_call (pred, str)))
		return str;

	// If there is just one symbol in the list, we might interpret
	// it as a single symbol

	if (scm_is_null (scm_cdr (str)))
	{
		str = scm_car (str);
		if (scm_is_true (ly_call (pred, str)))
			return str;
	}

	return SCM_UNDEFINED;
}

bool
is_regular_identifier (SCM id, bool multiple)
{
  if (!scm_is_string (id))
	  return false;

  auto str = from_scm<std::string> (id);

  bool middle = false;

  for (string::iterator it=str.begin(); it != str.end (); it++)
  {
	  int c = *it & 0xff;
	  if ((c >= 'a' && c <= 'z')
	      || (c >= 'A' && c <= 'Z')
	      || c > 0x7f)
		  middle = true;
	  else if (middle && (c == '-' || c == '_' || (multiple &&
						       (c == '.' || c == ','))))
		  middle = false;
	  else
		  return false;
  }
  return middle;
}

SCM
make_music_from_simple (Lily_parser *parser, Input loc, SCM simple)
{
	if (unsmob<Music> (simple))
		return simple;

	if (scm_is_symbol (simple))
	{
		SCM out = SCM_UNDEFINED;
		switch (parser->lexer_->scan_word (out, simple))
		{
		case DRUM_PITCH:
		{
			Music *n = MY_MAKE_MUSIC ("NoteEvent", loc);
			set_property (n, "duration", parser->default_duration_.smobbed_copy ());
			set_property (n, "drum-type", out);
			return n->unprotect ();
		}
		case NOTENAME_PITCH:
		case TONICNAME_PITCH:
			// Take the parsed pitch
			simple = out;
			break;
		// Don't scan CHORD_MODIFIER etc.
		}
	}

	if (parser->lexer_->is_note_state ()) {
		if (unsmob<Pitch> (simple)) {
			Music *n = MY_MAKE_MUSIC ("NoteEvent", loc);
			set_property (n, "duration", parser->default_duration_.smobbed_copy ());
			set_property (n, "pitch", simple);
			return n->unprotect ();
		}
		SCM d = simple;
		if (scm_is_integer (simple))
			d = make_duration (simple);
		if (unsmob<Duration> (d)) {
			Music *n = MY_MAKE_MUSIC ("NoteEvent", loc);
			set_property (n, "duration", d);
			return n->unprotect ();
		}
		return simple;
	} else if (parser->lexer_->is_lyric_state ()) {
		if (Text_interface::is_markup (simple))
			return MAKE_SYNTAX (lyric_event, loc, simple,
					    parser->default_duration_.smobbed_copy ());
	} else if (parser->lexer_->is_chord_state ()) {
		if (unsmob<Pitch> (simple))
			return MAKE_SYNTAX
				(event_chord,
				 loc,
				 make_chord_elements (loc, simple,
						      parser->default_duration_.smobbed_copy (),
						      SCM_EOL));
	}
	return simple;
}

Music *
make_music_with_input (SCM name, Input where)
{
       Music *m = make_music_by_name (name);
       m->set_spot (where);
       return m;
}

SCM
make_simple_markup (SCM a)
{
	return a;
}

SCM
make_duration (SCM d, int dots, SCM factor)
{
	Duration k;

	if (Duration *dur = unsmob<Duration> (d)) {
		if (!dots && SCM_UNBNDP (factor))
			return d;
		k = *dur;
		if (dots)
			k = Duration (k.duration_log (), k.dot_count () + dots)
				.compressed (k.factor ());
	} else {
		int t = from_scm<int> (d);
		if (t > 0 && (t & (t-1)) == 0)
			k = Duration (intlog2 (t), dots);
		else
			return SCM_UNDEFINED;
	}

	if (!SCM_UNBNDP (factor))
		k = k.compressed (from_scm<Rational> (factor));

	return k.smobbed_copy ();
}

SCM
make_chord_step (SCM step_scm, Rational alter)
{
	Pitch m (0, from_scm<int> (step_scm) - 1, alter);

	// Notename/octave are normalized
	if (m.get_notename () == 6)
		m = m.transposed (Pitch (0, 0, FLAT_ALTERATION));

	return m.smobbed_copy ();
}


SCM
make_chord_elements (Input loc, SCM pitch, SCM dur, SCM modification_list)
{
	SCM res = Lily::construct_chord_elements (pitch, dur, modification_list);
	for (SCM s = res; scm_is_pair (s); s = scm_cdr (s))
	{
		unsmob<Music> (scm_car (s))->set_spot (loc);
	}
	return res;
}

// Return true if there are post events unaccounted for
bool
add_post_events (Music *m, SCM events)
{
	if (!scm_is_pair (events))
		return false;	// successfully added -- nothing

	while (m) {
		if (m->is_mus_type ("rhythmic-event")
		    || m->is_mus_type ("caesura-event")) {
			set_property
				(m, "articulations",
				 scm_append_x (ly_list
					       (get_property (m, "articulations"),
						events)));
			return false;
		}
		if (m->is_mus_type ("event-chord")) {
			set_property
				(m, "elements",
				 scm_append_x (ly_list
					       (get_property (m, "elements"),
						events)));
			return false;
		}
		if (m->is_mus_type ("sequential-music")) {
			SCM lp = scm_last_pair (get_property (m, "elements"));
			if (scm_is_pair (lp)) {
				m = unsmob<Music> (scm_car (lp));
				continue;
			}
			return true;
		}
		if (m->is_mus_type ("music-wrapper-music")
		    || m->is_mus_type ("time-scaled-music")) {
			m = unsmob<Music> (get_property (m, "element"));
			continue;
		}
		break;
	}
	return true;
}

// Returns either a list or a post-event
//
// If PRESERVE is true, unattachable post-events are not thrown away
// but rather added attached to empty chords.  If COMPRESS is true, a
// sequence consisting only of post-events may be returned as a single
// post-event.
SCM reverse_music_list (Lily_parser *parser, Input loc, SCM lst, bool preserve, bool compress)
{
	SCM res = SCM_EOL;	// Resulting reversed list
	SCM bad = SCM_EOL;	// Bad post events
	SCM post = SCM_EOL;	// current unattached events
	for (; scm_is_pair (lst); lst = scm_cdr (lst)) {
		SCM elt = scm_car (lst);
		Music *m = unsmob<Music> (elt);
		assert (m);
		if (m->is_mus_type ("post-event")) {
			post = post_event_cons (elt, post);
			continue;
		}
		if (add_post_events (m, post)) {
			bad = scm_cons (scm_car (post), bad);
			if (preserve) {
				Music *p = unsmob<Music> (scm_car (post));
				res = scm_cons (MAKE_SYNTAX (event_chord,
							     *p->origin (),
							     post),
						res);
			}
		}
		post = SCM_EOL;
		res = scm_cons (elt, res);
	}
	if (scm_is_pair (post)) {
		if (scm_is_null (res) && compress) { // pure postevent list
			if (scm_is_null (scm_cdr (post)))
				return scm_car (post);
			Music *m = MY_MAKE_MUSIC ("PostEvents", loc);
			set_property (m, "elements", post);
			return m->unprotect ();
		}
		bad = ly_append (post, bad);
		if (preserve) {
			Music *p = unsmob<Music> (scm_car (post));
			res = scm_cons (MAKE_SYNTAX (event_chord,
						     *p->origin (),
						     post),
					res);
		}
	}
	for (; scm_is_pair (bad); bad = scm_cdr (bad))
	{
		Music *what = unsmob<Music> (scm_car (bad));
		if (preserve)
			what->warning (_f ("Unattached %s", what->name ()));
		else
			what->warning (_f ("Dropping unattachable %s", what->name ()));
	}
	return res;
}

SCM post_event_cons (SCM post_event, SCM tail)
{
	Music *ev = unsmob<Music> (post_event);
	if (!ev)
		return tail;
	if (!ev->is_mus_type ("post-event-wrapper"))
		return scm_cons (post_event, tail);
	SCM elts = SCM_UNDEFINED;
	SCM props = SCM_EOL;
	SCM tweaks = SCM_UNDEFINED;
	for (SCM p = ev->get_property_alist (true);
	     scm_is_pair (p);
	     p = scm_cdr (p))
	{
		SCM pair = scm_car (p);
		SCM sym = scm_car (pair);
		if (scm_is_eq (sym, ly_symbol2scm ("origin")))
			continue;
		else if (scm_is_eq (sym, ly_symbol2scm ("elements"))
			 && SCM_UNBNDP (elts))
			elts = scm_cdr (pair);
		else if (scm_is_eq (sym, ly_symbol2scm ("tweaks"))
			 && SCM_UNBNDP (tweaks))
			tweaks = scm_cdr (pair);
		else
			props = scm_cons (pair, props);
	}
	if (!scm_is_pair (elts))
		return tail;
	elts = scm_reverse_x (elts, SCM_EOL);
	for (SCM p = elts; scm_is_pair (p); p = scm_cdr (p))
	{
		Music *ev = unsmob<Music> (scm_car (p));
		// tweaks are always collected in-order, newer tweaks
		// nearer to the front of the list
		if (scm_is_pair (tweaks))
			set_property (ev,
			              "tweaks",
			              Srfi_1::append_reverse (tweaks,
				                              get_property (ev, "tweaks")));
		// other properties are applied last to first so that
		// in case of duplicate properties, the actually
		// current one survives
		for (SCM q = props; scm_is_pair (q); q = scm_cdr (q))
			set_property (ev, scm_caar (q), scm_cdar (q));
	}
	return ly_append (elts, tail);
}

void property_path_dot_warning (Input loc, SCM lst)
{
	// if lst is empty, don't even venture a guess...
	if (scm_is_pair (lst)) {
		std::string out = ly_symbol2string (scm_car (lst));
		for (lst = scm_cdr (lst); scm_is_pair (lst); lst = scm_cdr (lst)) {
			out += ".";
			out += ly_symbol2string (scm_car (lst));
		}
		loc.warning (_f ("deprecated: missing `.' in property path %s", out));
	}
}


int
yylex (YYSTYPE *s, YYLTYPE *loc, Lily_parser *parser)
{
	Lily_lexer *lex = parser->lexer_;

	lex->lexval_ = s;
	lex->lexloc_ = loc;
	int tok = lex->pop_extra_token ();
	if (tok >= 0)
		return tok;
	lex->prepare_for_next_token ();
	return lex->yylex ();
}
